Welcome

This page links you to product and user information for the Keysight N7609B Signal Studio for Global Navigation Satellite Systems (GNSS) software.

Technical Overview

Web Page

Free Trial

Installation

Licensing

Using the Software

Release Notes

Software version 1.9

Help revised 9/15/2016 - get the latest revision

© Keysight Technologies, Inc. 2010-2016


Installation

From the Internet

If you are downloading and installing the software from the Internet, do the following:

1. | System Requirements | Verify that the instrument and PC meet the requirements.
2. | .NET Framework | Download and install .NET Framework.
3. | Keysight IO Libraries | Download and install Keysight IO Libraries.
4. | Keysight License Manager | Download and install Keysight License Manager.
5. | Signal Studio Software | Download and install Signal Studio software.
6. | Equipment Setup | Determine the IO interface, configure the equipment and connect the PC.
7. | Testing Connections | Check that the software communicates with the instrument.


System Requirements

1. System Requirements

Installation Steps: 1 2 3 4 5 6 7

The N7609B Signal Studio for Global Navigation Satellite Systems (GNSS) software can be used in two different configurations:

  1. The software can be installed on a PC for use with the N5172B EXG or N5182B MXG X-series signal generators. The PC software allows the user to configure settings, generates scenario data, and provides a user interface for real-time control of the signals being produced by the signal generators.

  2. The software can be used with the N5106A PXB baseband generator and channel emulator to create baseband GNSS signals, which are upconverted to RF using an N5172B EXG, N5182A/B MXG, or E4438C ESG signal generator. The software is already installed as a component of the PXB firmware. However, to use the software, you must purchase and install a license, and ensure that the PXB and signal generator meet the minimum hardware requirements.

Instrument Requirements

N5172B EXG X-Series RF vector signal generator

Firmware:

Version B.01.30 or later (how to upgrade)

Required options:

N5172B-503 (9 kHz to 3 GHz frequency range)

N5172B-653 (Internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth)

N5172B-660 (upgrade baseband generator with real-time capability)

Recommended options:

N5172B-009 (internal Flash drive)

N5172B-403 (calibrated AWGN for testing with noise)

N5172B-660 is not required for the N7609B software's basic option.

When the N5172B EXG is used solely for RF upconversion with the PXB, the only required option is N5172B-503

N5182B MXG X-Series RF vector signal generator

Firmware:

Version B.01.30 or later (how to upgrade)

Required options:

N5182B-503 (9 kHz to 3 GHz frequency range)

N5182B-656 (Internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth)

N5182B-660 (upgrade baseband generator with real-time capability)

Recommended options:

N5182B-009 (internal Flash drive)

N5182B-1EQ (low power output for Rx testing)

N5182B-403 (calibrated AWGN for testing with noise)

N5182B-UNX (low phase noise)

N5182B-660 is not required for the N7609B software's basic option.

When the N5182B MXG is used solely for RF upconversion with the PXB, the only required option is N5182B-503

N5106A baseband generator and channel emulator

Firmware:

Version A.01.60 or later (how to upgrade)

Required options:

N5106A-611 (1 DSP block on 1 baseband card)

N5106A-632 (2 I/O ports - 2 analog I/Q out and 2 digital I/O on 1 I/O cards)

N5106A-EFP (Baseband generation)

Recommended options:

N5106A-JFP (Calibrated AWGN)

N5182A MXG vector signal generator

Firmware:

Version A.01.44 or later (how to upgrade)

Required options:

N5182A-503 (100 kHz to 3 GHz frequency range)

N5182A-651 (30 MSa/s internal baseband generator with 8 MSa memory)

Recommended options:

N5182A-403 (calibrated AWGN for testing with noise)

N5182A-1EL (differential I/Q outputs)

N5182A-1EQ (low power < -110 dBm)

When the N5182A MXG is used solely for RF upconversion with the PXB, the only required option is N5182A-503

E4438C ESG vector signal generator

Firmware:

Version C.05.23 or later (how to upgrade)

Required options:

E4438C-403 (calibrated AWGN for testing with noise)

E4438C-503 (250 kHz to 3 GHz frequency range)

E4438C-601 (Internal baseband generator, 8 MSa memory for digital bus capability)

Recommended options:

E4438C-UNJ (Enhanced Phase Noise)

When the E4438C ESG is used solely for RF upconversion with the PXB, the only required option is E4438C-503

E8267D PSG vector signal generator

Firmware:

Version C.04.85 or later (how to upgrade)

Required options:

E8267D-520 (250 kHz to 20 GHz frequency range)

E8267D-602 (internal baseband generator with 64 Msample memory and digital bus capability)

Recommended options:

E8267D-005 (6 GB internal hard drive)

E8267D-403 (calibrated noise personality, required for C/N capability)

E8267D-UNR (enhanced phase noise performance)

E6607A/B/C EXT wireless communications test set

Required options:

E6607A-503 (3 GHz) or E6607B/C-504 (3.8 GHz)

M9381A PXIe vector signal generator

Driver:

Version 1.4.400.0 or later

Required options:

M9381A-F03, frequency range 1 MHz to 3 GHz

M9381A-B04, modulation bandwidth 40 MHz

M9381A-M01, 32 MSa of memory

M9381A-300, adds M9300A PXIe frequency reference (if one is not already in the system)

Limitations:

The M9381A VSG has a limitation related to the Power Search and DC Cal functions, creating a time-synchronization loss. That is, the signal timing changes after a Power Search or DC Cal. When ALC is set to Off, Signal Studio automatically runs Power Search, which affects the user's trigger signal for starting waveform playback. Even though the timing alignment of the trigger signal and waveform are properly set, the Power Search function disrupts this synchronization. In these cases, use the following workarounds:

  • Set ALC to On whenever possible. This avoids the automatic Power Search.
  • When ALC must be set to Off (or is set to Off by Signal Studio), you can re-trigger the signal by turning ARB Off, then On, and then send the trigger signal to M9381A VSG.

For DC Cal, run it before you download and play the waveform. Do not run DC Cal while the signal is playing, which disrupts the synchronization.

E6640A EXM wireless test set

Software:

Version E.16.06 or later

Recommended options:

E6640A-B85 (increases signal bandwidth to 80 MHz)

E6640A-B1X (increases signal bandwidth to 160 MHz)

PC Requirements

200 GB HDD with 2 GB free disk space at runtime (5 GB or higher recommended)

1024 x 768 screen resolution (1280 x 1024 recommended)

Windows 8.1 (Pro/Enterprise) (32/64 bit)1,2:

  • 1 GHz or faster 32-bit or 64-bit processor

  • 1 GB of memory minimum for the 32-bit version

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (2. Downloading and Installing the .NET Framework)

  • Keysight IO Libraries, version 17.1 or later (3. Downloading and Installing the Keysight IO Libraries Suite)

  • Keysight License Manager (4. Downloading and Installing the Keysight License Manager )

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Windows 7 (Professional/Ultimate/Enterprise)1,2:

  • 1 GHz or faster 32-bit or 64-bit processor

  • 1 GB of memory minimum for the 32-bit version

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (included with Windows 7) (2. Downloading and Installing the .NET Framework)

  • Keysight IO Libraries, version 17.1 or later (3. Downloading and Installing the Keysight IO Libraries Suite)

  • Keysight License Manager (4. Downloading and Installing the Keysight License Manager )

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Installed GPIB IO interface card, LAN interface card, or USB/GPIB interface connector

Keysight VISA

Microsoft Windows Installer version 2.0 or later

1 No support for Itanium64.

2 Signal Studio is compatible with the 64-bit operating system, but performs at the 32-bit speed.


.NET Framework

2. Downloading and Installing the .NET Framework

Installation Steps: 1 2 3 4 5 6 7

A Microsoft .NET Framework version may come pre-installed with your Windows operating system. If the pre-installed .NET Framework version is not the same version as stated in the text below, you must install the required version. Different versions of .NET Framework can simultaneously reside on the Windows operating system.

Verify your version of .NET Framework

Ensure that you have Microsoft .NET Framework 3.5, or .NET Framework 3.5 Service Pack 1 installed on the Windows operating system (PC or Windows-based instrument) that is to receive the Signal Studio software download. If you know it is already installed, proceed to Installation Step 3.

Windows 8.1

With Windows 8.1 you do not have to install .NET Framework, rather you enable it in the Control Panel and it is downloaded and installed automatically. You must perform this procedure as the administrator and be connected to the internet.

  1. Go to Start > Control Panel > Programs and Features > Turn Windows features on or off.

  2. A Closed Windows Featuresdialog box appears, indicating the state of .NET Framework 3.5. Make sure the checkbox is marked.

  3. Press OK. This will begin the installation process of .NET Framework 3.5.

Windows 7

.NET Framework 3.5 is included with Windows 7, but you can verify it is turned on by doing the following:

  1. Go to Start > Control Panel > Programs and Features > Turn Windows features on or off.

  2. A Closed Windows Featuresdialog box appears, indicating the state of .NET Framework 3.5.

Downloading .NET Framework

If you do not have the .NET Framework 3.5 installed, do the following:

  1. Go to: http://www.microsoft.com/downloads/.

  2. Search the site for .NET Framework 3.5.

  3. Download and install the software.

If you get a security exception message when you try to open the software, consult your system administrator to resolve the problem.


Downloading and Installing the Keysight IO Libraries Suite

3. Downloading and Installing the Keysight IO Libraries Suite

Installation Steps: 1 2 3 4 5 6 7

The Keysight IO Libraries are required only for GPIB connectivity.

  1. Download the Keysight IO Libraries Suite 17.1 or later, free of charge, from the Keysight website at: http://www.keysight.com/find/iolib. After the IO Libraries Suite has been successfully installed, you will see the IO Control (IO icon) in the Windows notification area on your PC screen.

  2. Click Connection Expert (IO Config in older versions) from the IO icon, if it does not run automatically. This utility automatically detects most interfaces and instruments, and assigns names and other default configuration settings. (You can edit these default settings if necessary.) Refer to the Keysight IO Libraries Suite documentation, for more information.


Downloading and Installing the Keysight License Manager

4. Downloading and Installing the Keysight License Manager

Installation Steps: 1 2 3 4 5 6 7

Skip this step if you are installing Signal Studio on a PXB.

You must install a license on the instrument you will use to play the waveforms generated by the Signal Studio software. If you will be using a LAN connection between the PC running the Signal Studio software and your instrument, use the Keysight License Manager to install the Signal Studio license in the instrument.

  1. Download the Keysight License Manager, free of charge, at the following website: http://www.keysight.com/find/licensemanager.

  2. At the prompt, select Run to install the software directly, or select Save to save the software to your hard drive.

    To install the software after saving it to your hard drive, perform the following steps:

    1. Double-click the Keysight License Manager executable file.

    2. In the dialog box that appears, click Run and follow the prompts

For more information about Signal Studio licenses, see Licensing.

For detailed information about installing Signal Studio licenses, see Installing the License.


Installing Signal Studio Software

5. Downloading and Installing the Signal Studio Software

Installation Steps: 1 2 3 4 5 6 7

To download the software onto your PC, you must have administrator status. If you receive an access denied message, consult your system administrator for the required permissions. See User Permissions.

  1. Click the link below to download the setup.exe file that steps you through the installation process.

    Download Now

  2. At the prompt, select Run to install the software.


Equipment Setup and Connection

6. Equipment Setup and Connection

Installation Steps: 1 2 3 4 5 6 7

Some instruments require unique configurations for use with Signal Studio and are not described in this topic. In these cases, refer to Tutorials for specific information on how to configure your instrument.

Connecting to a signal generator

  1. Ensure the signal generator is turned off.

  2. Connect the signal generator to the computer using one of the following methods for instrument control:

    • LAN Network — Closed connect both the signal generator and the computer to an external LAN network using standard LAN cables.

      Equipment Setup

      Equipment Required

      • One LAN cable for the PC and one for each instrument connected to a network LAN

    • Crossover LAN — Closed connect the signal generator directly to the computer using a crossover LAN cable. (You will need to configure your PC.)

      Equipment Setup

      Equipment Required

      • One LAN crossover cable for the PC

      If connecting more than one instrument:

      • one LAN crossover cable for the PC

      • one LAN cable for each instrument

      • one LAN hub

    • GPIB — Closed connect the signal generator directly to the computer using a GPIB cable.

      Equipment Setup

      Equipment Required

      • GPIB cable between PC and signal generator.

      • One of the following interfaces configured using the Keysight IO Libraries:

        • GPIB interface card in PC

        • Keysight 82357A USB/GPIB interface connector for USB port

      You can test the GPIB connections by using either the Connection Expert or the Interactive IO utility that comes with the Keysight IO Libraries. Refer to the Keysight IO Libraries Suite documentation for more information.

Connecting to a PXB

This section only applies if you are connecting a PC to the PXB. If you are using the PXB as the controller, no connections are required and you can ignore this section.

  1. Ensure the PXB is turned off.

  2. Connect the PXB to the computer using one of the following methods for instrument control. See the PXB's online documentation for GPIB and LAN configuration information.

    • LAN Network — Closed connect both the PXB and the computer to an external LAN network using standard LAN cables.

      Equipment Setup

      Equipment Required

      • One LAN cable for the PC and one for each instrument connected to a network LAN

    • Crossover LAN — Closed connect the PXB directly to the computer using a crossover LAN. (You will need to configure your PC and the PXB.)

      Equipment Setup

      Equipment Required

      • One LAN crossover cable for the PC

      If connecting more than one instrument:

      • one LAN crossover cable for the PC

      • one LAN cable for each instrument

      • one LAN hub

    • GPIB — connect the PXB directly to the computer using a GPIB cable.

Related Topics

Tutorials


Testing Connections

7. Testing Connections

Installation Steps: 1 2 3 4 5 6 7

  1. Turn on the instrument and the computer.

  2. Start the Signal Studio software.

  3. Establish communications between the software and the instrument by first selecting New hardware configuration in the Closed Welcome to Keysight Signal Studio... dialog box (System Configuration Wizard) that appears.

  4. Click OK and follow the remaining prompts. (Be prepared to enter the instrument's IP/GPIB address.)

    • If you are running Signal Studio on the PXB, use ”localhost” in the Hostname/IP Address field in Step 4 of the System Configuration Wizard.

    • If you are running Signal Studio on a PC connected to the PXB, use the PXB's address (LAN/GPIB) or hostname (LAN only)

      • hostname: click System > Product Information and view the Machine Name row

      • IP address: click System > Product Information and view the IP Address row

      • GPIB address: click System > GPIB

    • If you are running Signal Studio on a PC connected to an EXT, use the EXT's address (LAN/GPIB) or hostname (LAN only) [Some Signal Studio products do not support live connectivity to the EXT]:

      • hostname: press System > Show > System and view the Computer Name row

      • IP address: press System > Show > System and view the IP Address row

      • GPIB address: press System > I/O Config > GPIB

    • If you are running Signal Studio on a PC connected to a signal generator, refer to the following table to locate the instrument's address (LAN/GPIB) or hostname (LAN only):

      Connection

      Signal Generator

      Key Path

      LAN

      EXG and MXG1

      Utility > I/O Config > LAN Setup > Manual Config Settings

      ESG

      PSG

      Utility > GPIB/RS-232 LAN > LAN Setup

      GPIB

      EXG and MXG

      Utility > I/O Config > GPIB Setup.

      ESG

      PSG

      Utility > GPIB/RS-232 LAN > GPIB Address

      1 Signal Studio accepts either the LAN address or hostname. So if you want to use the hostname, just enter the hostname into the software's Hostname/IP Address field.

      If the connection fails or for help with error messages, refer to Troubleshooting.

      After making the connection, you can view the instrument's information by selecting Hardware in the tree view.

  5. Install the software license.

    To learn about the different licenses, see Licensing.

    To install the license, see Installing the License.


Licensing

To play waveforms created with this Signal Studio software, a valid license must be installed on your instrument. Several flexible license configurations are available to meet your specific testing needs.

Use the following tools to ensure that you obtain the type of license that works best for you:

  • Use the Getting a License flow chart to learn how to obtain and install a license.

  • Obtain a free trial license to evaluate all of the capabilities of the Signal Studio software for a limited time.

Related Licensing Topics

Moving a Transportable License

Viewing the Remaining Time on a Trial License


Getting a License

The flowchart below illustrates the process for obtaining a Signal Studio software license and installing it in your instrument. Click a block in the flowchart for details on that step of the process.


Installing the License

Your Signal Studio software license file (*.lic) is a text file that is attached to the email message you receive when you redeem your license. The license file is specific to the target instrument’s model and serial number. To view license installation instructions, click the link below for the Keysight instrument you are using.

Before installing the license file, save a backup copy in a safe place.

  • N5172B EXG X-Series RF Vector Signal Generator

  • N5182B MXG X-Series RF Vector Signal Generator

  • M9381A PXIe Vector Signal Generator

  • E6640A EXM Wireless Test Set

  • N5182A MXG Signal Generator

  • E4438C ESG Signal Generator

  • E8267D PSG Signal Generator

  • N5106A PXB Baseband Generator and Channel Emulator

  • E6607 EXT Wireless Communications Test Set


Installing the License in an MXG Signal Generator

Installing the License in an MXG/EXG Signal Generator

Before installing the license file, save a backup copy in a safe place.

This topic supports N5172B EXG, N5182B MXG, and N5182A MXG vector signal generators.

To install the license file in your signal generator, follow one of the procedures below.

  • If your signal generator is connected to LAN, see Using Keysight License Manager.

  • If your signal generator is not connected to LAN, see Using a USB Storage Device or Using GPIB and SCPI Commands.

Using Keysight License Manager

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the MXG/EXG signal generator. If your equipment cannot be connected through a LAN, install the license using a USB storage device.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC and the instrument, as described in Equipment Setup and Connection.

  3. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the hostname or IP address of your instrument. Refer to the instrument's user's guide to learn how.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

Using a USB Storage Device

If you are unable to establish a LAN connection between your PC and your MXG/EXG signal generator, you can manually install the license using a USB storage device.

  1. Copy the license file to a supported USB storage device. The license file is attached to the email message you received when you redeemed your license.

  2. Insert the storage device into the USB port on the front panel of the MXG/EXG signal generator.

  3. Press the Install licenses key to copy the file to the signal generator's memory.

  4. Cycle the signal generator power.

Using GPIB and SCPI Commands

If you are unable to establish a LAN connection between your PC and your signal generator, you can manually install the license using a GPIB connection and the Keysight Connection Expert software (or another command line tool).

This method can be used for perpetual licenses only. To install or move a transportable license, you must use the Keysight License Manager software on a PC connected to your signal generator through LAN.

  1. Copy the license file to your PC. The license file is attached to the email message your received when you redeemed your license.

  2. On your PC, start the Keysight Connection Expert software. Click Start > All Programs > Keysight Connection Expert. If you do not have Keysight IO Libraries Suite installed on your PC, you can download it from www.keysight.com/find/iolib.

    If you are not using Keysight Connection Expert, start your command line tool and proceed to step 5.

  3. Select your signal generator, as shown below. If there are a lot of instruments connected to the network, you can use the Filter Instruments field to narrow your search.

  4. Click Send Commands To This Instrument to open the Keysight Interactive IO window.

  5. Open the license file you copied to your PC in Step 1 using Microsoft Notepad, or a similar text editor that creates plain, ASCII text files. Do not use a word processor such as Microsoft Word.

  6. Using the text editor, select and copy the license file text.

  7. Type the following SCPI command into the Command: field in the Keysight Interactive IO window, pasting the license file text you copied in Step 7 at the <license_line> location in the command.

    :SYST:LIC:INST "<license_line>"

  8. Click the Send Command button to send the command, or the Send & Read button to send the command and read the response in the Instrument Session History displayed at the bottom of the window.


Installing the License in an M9381A PXIe Vector Signal Generator

Before installing the license file, save a backup copy in a safe place.

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the instrument-controlling PC. It can also be installed directly on the instrument-controlling PC.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  3. Obtain the hostname or IP address of the controlling PC.

  4. Use the KLM software to install the license file on the controlling PC. Refer to the KLM help for specific instructions.


Installing the License in an E6640A EXM Wireless Test Set

Before installing the license file, save a backup copy in a safe place.

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the instrument-controlling PC. It can also be installed directly on the instrument-controlling PC.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  3. Obtain the hostname or IP address of the controlling PC.

  4. Use the KLM software to install the license file on the controlling PC. Refer to the KLM help for specific instructions.


Installing the License in an ESG Signal Generator

Before installing the license file, save a backup copy in a safe place.

To install the license file in your signal generator, follow the procedure below for your connection type.

  • For LAN connection between PC and signal generator, see Using Keysight License Manager.

  • For GPIB connection between PC and signal generator, see Using GPIB and SCPI Commands.

Using Keysight License Manager

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the ESG signal generator. If your equipment cannot be connected through a LAN, install the license using a GPIB connection and SCPI commands.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC and the instrument, as described in Equipment Setup and Connection.

  3. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the hostname or IP address of your instrument. Refer to the instrument's user's guide to learn how.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

Using GPIB and SCPI Commands

If you are unable to establish a LAN connection between your PC and your signal generator, you can manually install the license using a GPIB connection and the Keysight Connection Expert software (or another command line tool).

This method can be used for perpetual licenses only. To install or move a transportable license, you must use the Keysight License Manager software on a PC connected to your signal generator through LAN.

  1. Copy the license file to your PC. The license file is attached to the email message your received when you redeemed your license.

  2. On your PC, start the Keysight Connection Expert software. Click Start > All Programs > Keysight Connection Expert. If you do not have Keysight IO Libraries Suite installed on your PC, you can download it from www.keysight.com/find/iolib.

    If you are not using Keysight Connection Expert, start your command line tool and proceed to step 5.

  3. Select your signal generator, as shown below. If there are a lot of instruments connected to the network, you can use the Filter Instruments field to narrow your search.

  4. Click Send Commands To This Instrument to open the Keysight Interactive IO window.

  5. Open the license file you copied to your PC in Step 1 using Microsoft Notepad, or a similar text editor that creates plain, ASCII text files. Do not use a word processor such as Microsoft Word.

  6. Using the text editor, select and copy the license file text.

  7. Type the following SCPI command into the Command: field in the Keysight Interactive IO window, pasting the license file text you copied in Step 7 at the <license_line> location in the command.

    :SYST:LIC:INST "<license_line>"

  8. Click the Send Command button to send the command, or the Send & Read button to send the command and read the response in the Instrument Session History displayed at the bottom of the window.


Installing the License in a PSG Signal Generator

Before installing the license file, save a backup copy in a safe place.

To install the license file in your signal generator, follow the procedure below for your connection type.

  • For LAN connection between PC and signal generator, see Using Keysight License Manager.

  • For GPIB connection between PC and signal generator, see Using GPIB and SCPI Commands.

Using Keysight License Manager

The Keysight License Manager (KLM) software requires a LAN connection between the PC on which it is installed and the PSG signal generator. If your equipment cannot be connected through a LAN, install the license using a GPIB connection and SCPI commands.

  1. If you do not have KLM installed on your PC, you can download it at no charge from the following website: http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC and the instrument, as described in Equipment Setup and Connection.

  3. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the hostname or IP address of your instrument. Refer to the instrument's user's guide to learn how.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

Using GPIB and SCPI Commands

If you are unable to establish a LAN connection between your PC and your signal generator, you can manually install the license using a GPIB connection and the Keysight Connection Expert software (or another command line tool).

This method can be used for perpetual licenses only. To install or move a transportable license, you must use the Keysight License Manager software on a PC connected to your signal generator through LAN.

  1. Copy the license file to your PC. The license file is attached to the email message your received when you redeemed your license.

  2. On your PC, start the Keysight Connection Expert software. Click Start > All Programs > Keysight Connection Expert. If you do not have Keysight IO Libraries Suite installed on your PC, you can download it from www.keysight.com/find/iolib.

    If you are not using Keysight Connection Expert, start your command line tool and proceed to step 5.

  3. Select your signal generator, as shown below. If there are a lot of instruments connected to the network, you can use the Filter Instruments field to narrow your search.

  4. Click Send Commands To This Instrument to open the Keysight Interactive IO window.

  5. Open the license file you copied to your PC in Step 1 using Microsoft Notepad, or a similar text editor that creates plain, ASCII text files. Do not use a word processor such as Microsoft Word.

  6. Using the text editor, select and copy the license file text.

  7. Type the following SCPI command into the Command: field in the Keysight Interactive IO window, pasting the license file text you copied in Step 7 at the <license_line> location in the command.

    :SYST:LIC:INST "<license_line>"

  8. Click the Send Command button to send the command, or the Send & Read button to send the command and read the response in the Instrument Session History displayed at the bottom of the window.


Installing the License in a PXB

Installing the License in a PXB Baseband Generator and Channel Emulator

Before installing the license file, save a backup copy in a safe place.

Two methods of installing the license are described below.

  • If you are not using a PC connected to the PXB, you must use a USB storage device to install the license, see Using a USB Storage Device.

  • If you are using a PC connected to the PXB to install the license remotely, see Using Keysight License Manager on a PC Connected to the PXB.

Using a USB Storage Device (Preferred Method)

You can manually install the license in the PXB using a USB storage device.

  1. Copy the license file to a USB storage device. The license file is attached to the email message you received when you redeemed your license.

  2. Insert the storage device into a USB port on the front panel of the PXB.

  3. Wait a few seconds for the license to be copied to the hard drive. A popup message from Keysight License Manager (KLM) appears on the PXB front panel that shows the license model number and version with the following message: "Successful License Installation."

  4. Remove the USB storage device.

Using Keysight License Manager on a PC Connected to the PXB

If a USB storage device is not available, you can install the license using the Keysight License Manager (KLM) on a PC that is connected to the PXB through a LAN connection. This method requires that the PXB and PC have the same version of KLM installed.

  1. Verify that the same version of KLM resides on both the PXB and the PC.

    1. Click Start > All Programs > Keysight > Keysight License Manager.

    2. Click Help > About and read the software revision number. If the revisions are different, upgrade either or both. Get the latest revision of KLM from http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC running the Keysight License Manager software and the PXB. For information on connecting or configuring the PC or PXB, see Equipment Setup and Connection.

  3. Copy the license file to the hard drive on your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the IP address of your PXB. In the PXB user interface, click System > Product Information and view the Machine Name row.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

    If you are unable to connect to the PXB or if you receive an error message when trying to connect, temporarily disable the Windows Firewall on the PXB. Click Start > Control Panel > Windows Firewall > Off.


Installing the License in an EXT

Installing the License in an EXT Wireless Communications Test Set

Before installing the license file, save a backup copy in a safe place.

Two methods of installing the license are described below.

  • If you are not using a PC connected to the EXT, you must use a USB storage device to install the license, see Using a USB Storage Device.

  • If you are using a PC connected to the EXT to install the license remotely, see Using Keysight License Manager on a PC Connected to the EXT.

Using a USB Storage Device (Preferred Method)

You can manually install the license in the EXT using a USB storage device.

  1. Copy the license file to a USB storage device. The license file is attached to the email message you received when you redeemed your license.

  2. Insert the storage device into the USB port on the front panel of the EXT.

  3. Wait a few seconds for the license to be copied to the hard drive. A popup message from Keysight License Manager (KLM) appears on the EXT front panel that shows the license model number and version with the following message: "Successful License Installation."

  4. Remove the USB storage device.

Using Keysight License Manager on a PC Connected to the EXT

If a USB storage device is not available, you can install the license using the Keysight License Manager (KLM) on a PC that is connected to the EXT through a LAN connection. This method requires that the EXT and PC have the same version of KLM installed.

  1. Verify that the same version of KLM resides on both the EXT and the PC.

    1. Click Start > All Programs > Keysight > Keysight License Manager.

    2. Click Help > About and read the software revision number. If the revisions are different, upgrade either or both. Get the latest revision of KLM from http://www.keysight.com/find/licensemanager.

  2. Establish a LAN connection between the PC running the KLM software and the EXT.

  3. Copy the license file to the hard drive on your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license.

  4. Obtain the IP address of your EXT. In the EXT user interface, press System > Show > System and see the IP Address row.

  5. On your PC, use the KLM software to install the license file in your instrument. Refer to the KLM help for specific instructions.

    If you are unable to connect to the PXB or if you receive an error message when trying to connect, temporarily disable the Windows Firewall on the PXB. Click Start > Control Panel > Windows Firewall > Off.


Moving a Transportable License

A transportable license can be moved from one instrument to another up to 10 times per month, but can be used on only one instrument at a time. This topic describes two methods for moving a transportable license between instruments.

Transporting a license requires the Keysight License Manager (KLM) software. If you do not have KLM installed on your PC, download it from the following website: www.keysight.com/find/licensemanager.

Instruments Connected to the Internet (Recommended)

  1. Make sure the source (currently licensed) instrument, the target instrument, and PC are connected to a LAN with Internet access.

  2. On your PC, use the KLM software to move the transportable license between instruments. Refer to the KLM help for specific instructions.

Instruments Not Connected to the Internet

  1. Configure a direct LAN connection between the PC and source (currently licensed) instrument. At this point, the PC does not require an Internet connection.

  2. Open the KLM software.

  3. Delete the transportable license from the source instrument Refer to the KLML help for specific instructions.

  4. A Transport License dialog box appears. In the dialog box, save the license contents to a file with a .url extension (for redemption later).

    If you do not immediately save the license contents to a file, you can later retrieve the license contents in the Application Category of the Windows Event Viewer and use the contents for re-issue on the Keysight Software License Transportation web page: www.keysight.com/find/transportlicense.

  5. Skip this step if your PC is connected to the Internet.

    1. Copy the .url file you created in the previous step to a portable mass storage device, such as a USB flash drive.

    2. Connect the portable mass storage device to a PC that is connected to the Internet.

  6. From Windows Explorer, locate and double-click the .url file on the PC (or portable mass storage device). The .url file appears in a browser that is connected to the Keysight Software License Transportation web page. The fields automatically update with the license contents.

  7. Enter the target instrument's hostid (model number, serial number) and then click the Submit button. A link to the re-issued license is displayed.

  8. Right-click the link and select Save Target As. Save the license file to a location on your PC (or portable mass storage device).

  9. Configure a direct LAN connection between the PC and target instrument.

  10. Skip this step if your PC is connected to the Internet.

    1. Connect the portable mass storage device to the PC that is connected to the target instrument.

  11. Open the KLM software and select the target system in the tree view.

  12. From Windows Explorer, locate the license file and drag (or copy and paste) it into KLM's tree view.


Viewing the Remaining Time on a Trial License

Use any of the following methods to view the time remaining for a trial license on your Keysight instrument.

The instructions below apply only to Keysight EXG, MXG, ESG, and PSG signal generators and the EXT wireless communications test set. To view license information for other Keysight instruments, refer to the user documentation for those instruments.

From the Instrument Front Panel

  1. Use the appropriate key-press sequence for your instrument model:

    MXG/EXG: Local > Utility > Instrument Info > Options Info > Instrument Options

    ESG/PSG: Utility > Instrument Adjustments > Instrument Options > External Software Licenses

    EXT: System > More > Licensing

  2. Look at the Expiration column for the number of remaining days.

    EXPIRED is displayed when there is no time remaining.

From an Internet Browser

This procedure applies to EXG, MXG, ESG, and PSG signal generators only.

  1. On your PC, open an internet browser.

  2. In the Address field, enter either the hostname or the IP address of the instrument.

  3. Press Enter on the keyboard. The instrument's web page appears.

  4. On the left side of the web page, click Signal Generator Web Control. At this point, you may be prompted to enter a password. For more information on setting the password, refer to the signal generator's Programming Guide.

  5. Click the appropriate key-press sequence for your instrument model:

    MXG/EXG: Utility > Instrument Info > Options Info > Instrument Options

    ESG/PSG: Utility > Instrument Adjustments > Instrument Options > External Software Licenses

  6. Look at the Expiration column for the number of remaining days.

    EXPIRED is displayed when there is no time remaining.

From the Keysight License Manager

  1. On your PC, open the Keysight License Manager. If you do not have the Keysight License Manager installed on your PC, download it at http://www.keysight.com/find/licensemanager.

  2. Click File > Connect.... A dialog box appears.

  3. In the Device Address field, enter either the hostname or the IP address of the instrument.

  4. Click OK. The instrument address and its installed licenses appear in the tree view (left pane). The right pane displays additional information for each license, including the Expiration Date.


Using the Software

This section provides details for using the N7609B software.

Concepts

Tutorials

User Interface

Troubleshooting


Concepts

GPS Technology | Provides basic knowledge of GPS Technology.
GLONASS Technology | Provides basic knowledge of GLONASS Technology.
Galileo Technology | Provides basic knowledge of Galileo Technology.
Beidou Technology | Provides basic knowledge of Beidou Technology
QZSS Technology | Provides basic knowledge of QZSS Technology.
SBAS Technology | Provides basic knowledge of SBAS Technology.
Comparison between Navigation Satellite Systems | Shows the major differences between the supported global navigation satellite systems.
Raw Scenario Data | Explains the raw data format and how to correlate with the GUI.


GPS Technology

Introduction

GPS (Global Positioning System) is a satellite-based technology. It allows users to determine positions at points in time by utilizing navigational signals broadcast by multiple satellites, known as a satellite constellation.

Currently, this constellation consists of 32 active satellites, which orbit the earth at an altitude of approximately 11,500 miles. Each satellite completes an orbit every 12 hours. The constellation includes some in-orbit spare satellites which can be activated to replace any satellites which may fail.

The GPS system (also called NAVSTAR) was developed by the United States and is owned and operated by the United States Department of Defense. The initial satellites were launched in 1978, and by 1994 a full constellation of 24 satellites was available. Satellites typically last 8 to 12 years and new satellites are periodically launched to replace older satellites. Enhancements have been made over the years and currently there are a number of new technologies, including new signals that are being planned.

Navigation signals

In the current GPS satellite constellation, each satellite broadcasts two different navigation signals, known as L1 and L2. The L1 signal is broadcast on a frequency of 1575.42 MHz, and the L2 signal is broadcast on a frequency of 1227.60 MHz. The L2 signal is encrypted andis available only to authorized users – typically military applications. The L2 signal provides a highly reliable and accurate time and location solution. The L1 signal is not encrypted and is available to users worldwide, 24 hours a day,without charge or subscription. GPS navigation signals are broadcast with circular polarization. See Figure 1.

For a given signal (L1 or L2), all satellites broadcast on the same frequency. The signals are differentiated by the different codes that are

transmitted by each satellite. This is called “code domain multiple access” or CDMA.

Two different code rates are used. The first code is the Coarse Acquisition code, or C/A code, which has a code rate of 1.023 MHz and it repeats every 1 millisecond. The second code rate is 10.23 MHz, it is called the Precise, or P code and it repeats every week. Typically the P code is encrypted to form a code called P(Y). Each satellite is assigned a unique code sequence for the C/A and P codes, respectively. These sequences are identified by a number called the PRN (pseudo-random) ID.

The navigation signals convey information to the GPS receivers including precise timing information as well as system status, orbit descriptions of each satellite, and satellite health information. Using this information a receiver can determine the distance to each satellite and, using a triangulation approach, a position and time can be determined.

Navigation signals are broadcast with a fairly low power and appear at a minimum level of about -155 dBm at sea level. Signal levels may be even lower inside of buildings or under tree cover. These signal levels are extremely low and require significant amplification and baseband processing to recover.

GPS technology

Although GPS receivers have been available for many years, initial implementations were large, expensive, and consumed considerable power.

Because of this, the GPS application was limited to high-end commercial and military applications.

In recent years, the cost for GPS receivers has declined significantly for commercial technology. The result is that GPS receiver technology has recently become increasingly important in consumer products such as handheld receivers, automotive receivers, mobile phones, and other tracking devices.


GLONASS Technology

GLONASS, Global Navigation Satellite System, is a radio-based satellite navigation system operated for the Russian government.It's currently the only alternative navigational system in operation with global coverage and of similar precision.By October 2011, the full orbital constellation of 24 satellites was restored,orbiting in 3 planes, enabling full global coverage.

The current GLONASS-M satellites transmit signals on one of 14 frequencies (FDMA), all with the same PRN code. GLONASS satellites transmit two types of signal: a standard precision (SP) signal and an obfuscated high precision (HP) signal.

  • The Standard precision (SP) signals transmitted around 1602 MHz (L1), 562.5 kHz apart (~1598-1605 MHz); while the SP signal also broadcasts in L2 band.

  • High precision (HP) signals transmitted around 1246 MHz (L2), 437.5 kHz apart (~1242-1252 MHz)

For the new GLONASS-K1 satellites, CDMA signals will also be transmited similar to GPS and Galileo.


Galileo Technology

Introduction

Galileo is Europe’s own global navigation satellite system, providing a highly accurate, guaranteed global positioning service that is inter-operable with GPS and Glonass. The system is being built by the European Union and the European Space agency and is under civilian control.

Once fully deployed, the Galileo system will consists of 30 satellites (27 operational + 3 active spares), positioned in three circular Medium Earth Orbit (MEO) planes that are at a 56 degree inclination to the equatorial plane. This will provide good coverage at latitudes up to 75 degrees north. The large number of satellites along with the optimization of the constellation, and the three active spare satellites, will ensure no disruption in service in the event of the loss of one satellite.

Galileo will also provide an enhanced global Search and Rescue (SAR) function. Each satellite will have a transponder that can transfer the distress signals from the user transmitters to the Rescue Coordination Center (RCC), which will initiate the rescue operation. The system then provides a signal to the user informing him that help is under way. This is a major enhancement compared to the current systems, which do not provide feedback to the user.

Navigation signals

Galileo's E1 Open Service (free to public) signal uses the Composite Binary Offset Carrier (CBOC). It is the result of multiplexing a wideband BOC(6,1) signal with a narrowband BOC(1,1) so that 1/11 of power is allocated on average to the high frequency component. The E1 signal is transmitted at the GPS L1 frequency of 1575.42 MHz with a constant envelope.

Galileo also includes additional signals that will not be supported in Signal Studio:

  • E1-A restricted service

  • E5a/E5b for higher precision

  • E6 for Public Regulated Service (PRS)


Beidou Technology

Introduction

The official name of the Chinese GNSS is Beidou Navigation Satellite System, also called the Beidou System (BDS) for short. Previously the system was also known as Beidou-2, to distinguish it from the earlier experimental Beidou-1 system. The name Compass was also used, taken from the names of the satellites.

Unlike the other GNSS systems that only have medium earth orbit (MEO) satellites, Beidou will also include five geostationary earth orbit (GEO) satellites and three satellites with inclined geosynchronous orbit (IGSO). Sixteen satellites have been launched as of March 2013. The Beidou system began offering regional service covering the Asia Pacific area in December 2012, and completion of the full system is planned for 2020.

The system specifications in the Interface Control Document that was released in December 2012, covers the open service signal B1I, which is transmitted at a frequency of 1561.098 MHz. Other frequencies allocated for Beidou include the B2 and B3 bands, which overlap with the E5 and E6 bands for Galileo. The definitions for those signals have not been publicly released. Signal Studio supports simulation of the Beidou B1I signal.

Navigation Signals

Like GPS and Galileo, Beidou is a CDMA system with a different ranging code for each satellite. The signals transmitted by the MEO and IGSO satellites are different from the signals transmitted by the GEO satellites.

The Beidou signal has the following components as shown in the figure:

  • Ranging code
  • Secondary (Neumann-Hoffman) code
  • Navigation data
  • Carrrier Wave

For the MEO and IGSO satellites, the ranging code is 2046 bits long and transmitted at a rate of 2.046 Mchips per second. The ranging code is multiplied by a secondary code called the Neumann-Hoffman code, which is a fixed 20-bit sequence at a data rate of 1 kbps. This data is combined with the D1 navigation message and transmitted at 50 bps. The resulting stream is modulated onto the B1 carrier, a sine wave at 1561.098 MHz using QPSK modulation. But since the ICD is defining only the I (real) component of the signal, the modulation appears to be BPSK.

For the GEO satellites, the secondary code is not used, and a different navigation message is transmitted. The ranging code is combined with the D2 navigation message data transmitted at a faster rate of 500 bps, and the combined data is modulated with QPSK onto the B1 carrier.

Construction of Beidou B1I transmitted signals

The D1 navigation message that is broadcasted by the MEO and IGSO satellites contains 36,000 bits of data organized in 24 pages or frames. For the broadcasting satellite, it includes the basic navigation information that includes the time, clock correction data, health status, ephemeris, and ionosphere model parameters, as well as the almanac for all of the satellites. The D2 navigation message that is broadcasted by the GEO satellites is much longer, consisting of 180,000 bits of data organized into 120 frames or pages. In addition to the data contained in the D1 navigation message, the D2 message also includes system integrity and differential correction information that can be used to improve the accuracy of the receiver’s location calculations.


QZSS Technology

Introduction

The Quasi-Zenith Satellite System (QZSS), developed by Japan, provides a regional satellite navigation service in East Asia and Oceania. QZSS was designed to provide position service in urban canyons and mountainous environments. Although QZSS is primarily an augmentation and complementary system to GPS, it also has the potential to operate in stand-alone mode providing a regional service, however with diminished positioning performance.Nevertheless, the system has the capability to be extended to a fully operational, high-performance Japanese regional system in the future.

In October 2002, a GPS/QZSS Technical Working Group was established for a joint specification of the QZSS signals to guarantee interoperability with GPS. At the beginning the system was developed by the Advanced Space Business Corporation (ASBC) team,including Mitsubishi Electric Corp., Hitachi Ltd., and GNSS Technologies Inc. In 2003, the conceptual study phase has been started. When in 2007 ASBC collapsed, the work was taken over by JAXA together with Satellite Positioning Research and Application Center (SPAC), established in February 2007 and approved by the Ministers associated with QZSS research and development.The Initial Phase Operation started in September 2010 with the launch of the first quasi-zenith satellite, Michibiki, has been completed by summer 2011, with all functions of the satellite and the ground segment confirmed.In 2011 the Government of Japan has decided to accelerate the QZSS deployment in order to reach a 4-satellite constellation by the late 2010s, while aiming at a final 7-satellite constellation in the future.

Navigation signals

As GPS, QZSS is a CDMA system with a different ranging code f

or each satellite.The Quasi-Zenith Satellites (QZS) transmit L1C/A compatible with the GPS L1C/A signal at the frequency of 1575.42 MHz, which means QZSS applies for the L1C/A signal,the same ranging code modulation as GPS. The PRN codes are assigned in coordation with GPS. Furthermore, the same navigation message, as specified by GPS, is modulated on the L1C/A signal.

QZSS also includes additional signals that will not be supported in Signal Studio:

  • L1C (its ranging codes and navigation messages are in accordance with GPS L1C's )

  • L1-SAIF (Submeter-class Augmentation with Integrity Function) signal

  • L2C ( a replica of GPS L2C component)

  • L5I (a replica of GPS L5C component)

  • L5Q (a replica of GPS L5C component)

  • LEX signal (generated using two different ranging sequences)


SBAS Technology

Introduction

A Satellite-based Augmentation System (SBAS) is a civil aviation safety-critical system that supports wide-area or regional augmentation – even continental scale - through the use of geostationary (GEO) satellites which broadcast the augmentation information. A SBAS augments primary GNSS constellation(s) by providing GEO ranging, integrity and correction information. While the main goal of SBAS is to provide integrity assurance, it also increases the accuracy with position errors below 1 meter (1 sigma).

Current satellite navigation systems (GPS, GLONASS) were not designed to meet the real-time integrity monitoring capability required by the civil aviation navigation safety needs. To overcome the above limitation, several Augmentation Systems have been put in place. A Satellite Based Augmentation System (SBAS) is a wide-area differential augmentation system. A network of ground stations at known positions is deployed over the SBAS service area in order to monitor the ranging signals of the satellite constellation. The SBAS collects and process all the input data provided by the station network in order to compute (see SBAS Fundamentals for further details) and provide corrections to the original navigation information of the primary constellation (satellite orbit and clock errors, ionospheric errors) and its integrity bounds information over a certain region.

Navigation signals

The SBAS navigation message is disseminated over the service area by a GEO. Currently, several SBAS systems are in an operational capability, such as WAAS in United States, EGNOS in Europe, and MSAS in Japan, GAGAN in India.Every SBAS provides ranging signals transmitted by GEO satellites, differential corrections on the wide area and additional parameters aimed to guarantee the integrity of the GNSS user:

  • GEO Ranging: transmission of GPS-like L1 signals from GEO satellites to augment the number of navigation satellites available to the users.

  • Wide Area Differential (WAD): differential corrections to the existing GPS/GLONASS/GEO navigation services computed in a wide area to improve navigation services performance. This includes corrections to the satellite orbits and clocks, as well as information to estimate the delay suffered from the signal when it passes through the ionosphere.

  • GNSS/Ground Integrity Channel (GIC): integrity information to inform about the availability of GPS/GLONASS/GEO safe navigation service.


Comparison between Navigation Satellite Systems

 | GPS | GLONASS | Galileo | Beidou | QZSS | SBAS
Transmission mode | CDMA | FDMA (GLONASS-M) CDMA (GLONASS-K) | CDMA | CDMA | CDMA | CDMA
Ranging code | Each satellite transmits different PRN code | All satellites transmit same code but at different frequencies | Each satellite transmits different PRN code | Each satellite transmits different PRN code | Each satellite transmits different PRN code | Each satellite transmits different PRN code
Frequency | L1: 1575.42 MHz L2: 1227.6 MHz | L1: 1602 MHz (1598-1605 MHz) L2: 1246 MHz (1242-1252 MHz) | E1: 1575.420 MHz E6: 1278.750 MHz E5: 1191.795 MHz E5a: 1176.450 MHz E5b: 1207.140 MHz | B1: 1561.098 MHz | L1 CA: 1575.42 MHz | L1 CA: 1575.42MHz
Standard precision signal | C/A code transmitted on L1 | Transmitted in L1 band on frequencies 562.5 kHz apart (channel –7 to + 6) | OS code transmitted on E1 | OS code transmitted on B1 | C/A code transmitted on L1 | C/A code transmitted on L1
High precision signal | P(Y) code transmitted on L1 and L2 | Transmitted in L2 band on frequencies 437.5 kHz apart | E6 signal at 1278.750 MHz | Unknown |  | N/A
Coordinate datum system | WGS 84 | PZ-90 | GTRF | CGCS 2000 (China Geodetic Coordinate System) | JGS(Japanese geodetic system) | WGS84
Time system | GPS Time | UTC (SU) | GST | Beidou System Time (BDT) | TAI (international atomic time) | SBAS Network Time


Raw Scenario Data

When creating a scenario, the software provides the option of generating a separate file that contains the raw data of the generated scenario file. The software saves the raw data as a csv file in the same location as the generated scenario file and uses the same file name with the appended text _constellation abbr_raw_data, for example; newScenario_bds_raw_data.csv. The following list shows the constellation abbreviations:

  • GPS = gps
  • GLONASS = glo
  • Galileo = gal
  • Beidou = bds
  • SBAS = sbas
  • QZSS = qzss

The software creates the raw data in separate files for each constellation type, and the raw data file is pre-formatted to show the data for any of the satellites in the constellation that are visible to the receiver. In addition to the satellite data, the file shows the time-of-week (TOW). While the file also shows a column for longitude, latitude, and altitude populated with zeros, these columns do not represent any real data and are reserved for future use. The following figure shows a small part of a Beidou raw data file.

Figure 1: Raw Scenario Data

Understanding the Satellite Information Placement

The information type for each satellite is the same and spans over 10 columns, with the first column being the constellation. As stated earlier, the files are always pre-formatted to show the data for any of the satellites in the constellation that are visible to the receiver:

  • For GPS , the file is pre-formatted for 32 satellites
  • For GLONASS, while the file is pre-formatted for 32 satellites, there are only 24 satellites in the GLONASS constellation, so only a maximum of 24 satellites will ever be shown in the file
  • for Galileo and Beidou, the files are pre-formatted for 30 satellites
  • For SBAS, the files are pre-formatted for 20 satellites
  • For QZSS, the files are pre-formatted for 5 satellites

The file maintains a fixed ascending PRN numbering display where PRN 1 always resides in the first group of 10 columns of satellite information, PRN 2, in the second group of 10 columns, and PRN 3 in the third group of 10 columns. This PRN numbering location in the spreadsheet continues to the last PRN. This is shown in Figure 2 below for the GPS raw data file, where the first two groups of 10 columns, reserved for PRN 1 and PRN 2, are blank, and PRN 3 data shows in the third group of 10 columns. If PRN 4 was visible in the scenario, the data would show in the fourth group of 10 columns, and so on.

Figure 2: Raw Scenario Data Placement

Viewing the Raw Data

The software supports a maximum of 56 channels to accommodate multiple constellation scenarios. GPS, GLONASS, and Beidou share 40 channels, and Galileo can use up to 16 channels. The output raw scenario data file supports up to 32 satellites for GPS, up to 24 satellites for GLONASS, and up to 30 satellites for Galileo and Beidou, 20 satellites for SBAS and 5 satellites for QZSS.

With so many satellites and different satellites becoming visible at different times during the scenario, especially when using multiple constellations, it may become challenging to read the data. This is where the Scenario Graphics node can help.The scenario graphic is a visual representation of the raw data, which can be used to help correlate the data. It shows satellite visibility vs. time along the x-axis (shown in Figure 3) in the scenario, and it can be used to help locate the information for a particular satellite in the raw data file.

After creating a scenario, the Scenario Graphics node displays all of the satellites used in the scenario. Each constellation type is identified by a letter prior to the SV ID and a color:

  • 'G' for GPS with a blue background

  • 'R' for GLONASS with a green background

  • 'E' for Galileo with an orange background

  • 'B' for Beidou with a red background

  • 'S' for a SBAS with a purple background

  • 'Q' for a QZSS with a yellow background

Figure 3: Scenario Graphics

As with the scenario graphics, the data in the raw data file also follows when the satellite becomes visible. When a satellite is visible at the beginning of the scenario, its data starts on the first available data row (row 3 shown in Figure 4). If the satellite becomes visible later in the scenario, its data starts further down in the rows. Where it starts in the rows is dependent upon when it becomes visible to the receiver. Figure 4 demonstrates this concept. It shows some of the GPS raw data from the above Scenario Graphics figure (Figure 3).

Figure 4 shows that GPS PRN 6, on channel 12 in the scenario graphics, is visible at the beginning of the scenario at an elevation of 61.02 degrees, and GPS PRN 7, on channel 24 in the scenario graphics, becomes visible later in the scenario at row 1307 with an elevation of 5 degrees, the set value for the Elevation Mask Angle. Then GPS PRN 8, on channel 13 in the scenario graphics, becomes visible still later in the scenario at row 9728, at the set Elevation Mask Angle. The raw data also shows when a satellite is no longer visible by ending the data. This typically occurs when the satellite drops below the Elevation Mask Angle.

Figure 4: Scenario Data Placement over Three Satellites


Tutorials

This section provides tutorials for using the N7609B software.

Factory Supplied GNSS Files

Generating a Real-Time GNSS Signal

Creating a Scenario

Editing a Scenario

Generating a Trajectory

Creating and Using a Trajectory from Google Earth

Generating and Downloading Satellite Waveforms

Using Real-time GNSS Signals without a PC Connection

Play a GNSS Signal with Multi-tone Interference Signals

Configuring the M9381A for Signal Studio


Factory Supplied GPS Files

Factory Supplied GNSS Files

This topic provides information on the Advanced Real-time Signal Generation mode of factory supplied scenario files along with the almanac, trajectory and ephemeris files used to create the scenario files. Some of the scenarios use multiple constellations. For these scenarios, only the constellations for which an advanced license was purchased will function in the scenario. Additional scenario files are located at the "N7609B Signal Studio for Global Navigation Satellite Systems" website: www.keysight.com/find/N7609B.

Scenario Files

All of the following factory supplied scenarios were generated with the NATO model for troposphere and the Klobuchar model for ionosphere. The ionosphere parameters are listed in the following table:

Alpha: | 0 | 4.6566129E-09
 | 1 | 1.4901161E-08
 | 2 | -5.96046E-08
 | 3 | -5.96046E-08
Beta: | 0 | 79872
 | 1 | 65536
 | 2 | -65536
 | 3 | -393216

20050122_Atlanta.ags

Title | 20050122_Atlanta
Constellation | GPS Only
Latitude | 33.7500052777778
Longitude | -84.3833363888889
Altitude | 300 m
Start Date Time | 22-Jan-2005 00:08:00
Duration | 00:30:00
Type | Static
Almanac | 20050122.alm
Ephemeris | 20050122_ephemeris.csv
Satellites at the start | G2,G6,G10,G17,G18,G21,G26,G29,G30
Notes | A-GPS scenario #1 defined in 3GPP TS 34.108 v8.9.0 standard.

20140103_Beijing.ags

Title | 20140103_Beijing
Constellation | GPS + GLONASS + Galileo + Beidou + SBAS + QZSS
Latitude | 40.0096856
Longitude | 116.478479
Altitude | 100 m
Start Date Time | 2014-01-03 19:56:48
Duration | 01:00:00
Type | Static
Almanac | 20140103_GPS.alm 20140103_GLO.agl 20140103_GAL.alm 20140103_BDS.alm 20140103_QZS.alm SBAS.alm
Satellites at the start | G1,G3,G7,G8,G9,G11,G17,G19,G26,G27,G28,G32,E1,E2,E3,E4,E10, E11,E21,E22,E23,E24,E28,R9,R10,R11,R16,R19,R20,R21,B1,B2,B3,B4, B5,B6,B7,B8,B10,B11,B12,S127,S128,S129,S131,S137,Q193

20140103_Circle.ags

Title | 20140103_Circle
Constellation | GPS + GLONASS + Galileo + SBAS
Latitude | 36.9911233333333
Longitude | -122.001838333333
Altitude | 115 m
Start Date Time | 2014-01-03 17:00:55
Duration | 00:58:00
Type | Dynamic
Almanac | 20140103_GPS.alm 20140103_GLO.agl 20140103_GAL.alm SBAS.alm
NMEA GGA | Circle.gga
Satellites at the start | G5,G6,G15,G16,G18,G21,G22,G25,G26,G29,E5,E6,E7,E12,E13, E14,E29,R1,R2,R8,R15,R16,R17,R23,R24,S133,S135,S138

20140103_Rect.ags

Title | 20140103_Rect
Constellation | GPS + GLONASS + Galileo + SBAS
Latitude | 38.481706
Longitude | -122.712171
Altitude | 161 m
Start Date Time | 2014-01-03 17:00:30
Duration | 00:43:29
Type | Dynamic
Almanac | 20140103_GPS.alm 20140103_GLO.agl 20140103_GAL.alm SBAS.alm
NMEA GGA | Rect.gga
Satellites at the start | G5,G6,G15,G16,G18,G21,G22,G25,G26,G29,E5,E6,E7,E12, E13,E14,E29,R1,R2,R8,R15,R16,R17,R23,R24,S133,S135,S138

20140103_SanFrancisco.ags

Title | 20140103_SanFrancisco
Constellation | GPS + GLONASS + Galileo + Beidou +SBAS
Latitude | 37.775032
Longitude | -122.419457
Altitude | 15 m
Start Date Time | 2014-01-03 20:00:00
Duration | 02:00:00
Type | Static
Almanac | 20140103_GPS.alm 20140103_GLO.agl 20140103_GAL.alm 20140103_BDS.alm SBAS.alm
Satellites at the start | G3,G6,G14,G15,G18,G19,G21,G22,G24,G27,E3,E4,E5,E6,E10,E11,E12,E13, E19,E20,R2,R3,R4,R8,R17,R18,R19,B12,S133,S135,S138

20140103_SantaRosa.ags

Title | 20140103_SantaRosa
Constellation | GPS + GLONASS + Galileo + SBAS
Latitude | 38.481706
Longitude | -122.712171
Altitude | 161 m
Start Date Time | 2014-01-03 10:00:00
Duration | 01:00:00
Type | Static
Almanac | 20140103_GPS.alm 20140103_GLO.agl 20140103_GAL.alm SBAS.alm
Satellites at the start | G1,G2,G4,G8,G9,G12,G15,G17,G24,G26,G28,E1,E7,E8,E9,E19,E20,E21,E27,R2,R8,R10, R11,R12,R20,R21,R22,S133,S135,S138

20140103_Vehicle.ags

Title | 20140103_Vehicle
Constellation | GPS + GLONASS + Galileo + Beidou + SBAS + QZSS
Latitude | 40.0096853333333
Longitude | 116.478479666667
Altitude | 28.8 m
Start Date Time | 2014-01-03 10:05:57
Duration | 00:47:54
Type | Dynamic
Almanac | 20140103_GPS.alm 20140103_GLO.agl 20140103_GAL.alm 20140103_BDS.alm 20140103_QZS.alm SBAS.alm
NMEA GGA | Beijing.gga
Satellites at the start | G12,G14,G15,G18,G22,G24,G25,G31,E10,E11,E12,E18,E19,E25,E26,E27,E30, R1,R2,R3,R4,R8,R12,R13,R14,R19,B1,B2,B3,B4,B5,B6,B7,B9,B10,S127,S128, S129,S131,S137,Q193

Trajectory Files

Beijing.gga

This 48-minute trajectory is created by a real GPS receiver on a driving car. The GPS receiver is moving along the north segment of 4th ring road in Beijing, starting from latitude = 40.0096853333333, longitude = 116.478479666667, which is the location of Keysight Beijing Campus.

Circle.gga

This 58-minute trajectory is created by trajectory generator tool in N7609B. The GPS receiver is moving along a circular path with a radius of 1 km, centered at latitude=37, longitude= -122, at a speed of 100 km/hr.

Rect.gga

This 43-minute trajectory is created by trajectory generator tool in N7609B. The GPS receiver is moving along a 660m x 660m rectangular path, starting at latitude=38.4816929666667, longitude= -122.7121684, at a speed of 36 km/hr.

Almanac Files

20050122.alm--GPS almanac file in YUMA format for the date of Jan 22, 2005

20140103_GPS.alm--GPS almanac file in YUMA format for the date of JAN 03 2014

20140103_GLO.agl--GLONASS almanac file in AGL format for the date of Jan 03, 2014

20140103_BDS.alm--Beidou almanac file in YUMA format for the date of JAN 03, 2014

20140103_GAL.alm--Galileo almanac file in YUMA format for the date of JAN 03, 2014

20140103_QZS.alm--QZSS almanac file in YUMA format for the date of JAN 03, 2014

SBAS.alm--SBAS almanac file in YUMA format

Ephemeris File

20050122_ephemeris.csv

Ephemeris data file for satellites 2,6,10,17,18,21,26,29,30 on Jan 22, 2005 , at 00:08:00


Generating a Real-Time GNSS Signal

This procedure guides you through the settings to generate a real-time GNSS signal using the GNSS Settings , Satellite Settings and the Signal IO on the software's user interface (UI).

To learn more about individual cell settings, refer to the UI descriptions.

While the scenario is playing, the GNSS node Constellation Control properties, and the properties under the Satellite Settings node are still active. These properties can be modified while the scenario is playing and affects the scenario in real-time. The GNSS Scenario Start Time Offset property is also still active, but will not affect the scenario unless it is paused and the Restart button is clicked.

  1. In the tree, click GNSS to see the GNSS settings.

  2. View the Capability cell and ensure that Advanced Real-time Signal Generation is the current selection. If not, click the Capability cell, and use the drop-down arrow to display a menu from which you can select Advanced Real-time Signal Generation.

  3. View the Simulation Mode cell and ensure that Navigation is the current selection. If not, click the Simulation Mode cell, and use the drop-down arrow to display a menu from which you can select Navigation.

    The Static Test selection enables a static GNSS signal that uses the scenario file to initialize the satellites. The user can then select the Satellite Settings node to reconfigure the satellite properties to match the test needs.

  4. Click the Scenario Source cell and ensure that User Scenario File is the current selection. If not, use the drop-down arrow menu to select User Scenario File.

    The Scenario Source setting is available with only the Navigation Simulation Mode.

  5. Click the Scenario File cell and use the dialog box launch icon to launch the Open dialog box to navigate to and select a scenario file.

    The default scenario file is 20130103_Beijing.ags, which is a GPS+GLONASS + Galileo + Beidou+QZSS+SBAS scenario file. For information on the factory supplied scenario files and to see which files support a particular GNSS constellation, see the "Factory Supplied GNSS Files" topic.

    The factory supplied scenario files are located at the following path: "C:\<Program Files> or <Program Files (x86)>\Keysight\Signal Studio\Global Navigation Satellite System\Applications\Gnss\Scenarios".

    After loading a file, the scenario information appears in the Scenario Information section of the GNSS Settings node (current selection).

    Each constellation type requires a separate advanced license. When using a scenario file with multiple constellations, only those constellations that are licensed can be enabled.

  6. Enter the Scenario Start Time Offset, with the resolution of three seconds.

    The start time offset indicates the starting position of scenario playback.

    You can change the Start Time Offset during playback without stopping/restarting the scenario, but the change will have no effect until you stop the scenario and click either Restart.or State On.

    Scenario Start Time Offset is available only when Simulation Mode is set to Navigation.

  7. Select the Satellite Power Control method for either equal power among all satellites, or the power of each satellite is based on its pseudorange.

  8. If the scenario file is using multiple constellations and there is a need to modify whether to transmit all constellations, or to add a power offset to the constellations, perform these setting either before playing the scenario or in real-time during the scenario file playback:

    Typically these settings are used for constellation control during scenario playback.

    1. Set each of the constellation type enabled cell, such as GPS Enabled,select either On (default) or Off.

      If more than one constellation is enabled, this means that you will be transmitting a combined signal.

    2. Enter a power offset value in the constellation's relative power scale cell, such as GPS Relative Power Scale.

      The power offset is set relative to the original power setting in the scenario file and is applied to all satellites for the constellation.

  9. If there is a need for marker signals:

    1. Click the Signal IO node.

    2. Set each of the markers and the marker delay as needed.

  10. In the Signal Generator view:

    1. Set the frequency.

      The software automatically sets the frequency to 1.57542 GHz. This frequency should be used even with GLONASS and Beidou because the software automatically offsets the signals in baseband to provide the correct RF frequencies for those GNSS signals.

    2. Set any other needed parameters.

  11. Click State On to start the playback from the beginning of the scenario or from the Scenario Start Time Offset, if one is entered.

  12. After the scenario is running on the signal generator,click the Satellite Settings node to set various satellite parameters such as turning individual channels off or on in real-time while the signal is playing. To change a channel’s status, click on the Enabled cell [image].

    Another setting to change in real-time is the relative power level for each satellite channel.

    All of the Satellite Settings can be set either before or after starting the scenario playback.

    The available satellite settings vary depending on whether the Simulation Mode in the GNSS node is set to Closed Navigation or Closed Static Test .

    Navigation Mode

    Static Test Mode

    The Navigation mode of Satellite Settings includes a multipath setting for each satellite. It is accessed by clicking the nTaps button, which launches the Multipath Profile Configuration Closed dialog box. Setting the multipaths can also be done in real-time while the scenario is running. After setting the paths, the multipath channels are appended to the end of the satellite list with an asterisk next to the satellite designation.

    Each constellation type uses a different SV ID designations that includes a letter and color for the satellites. In Navigation mode, the SV ID is set by the scenario file. In Static Test mode, you can assign SV IDs as needed.


Creating a Scenario

This procedure guides you through the settings to create a scenario using the Scenario Generator node on the software's user interface (UI). To learn more about individual cell settings, refer to the UI descriptions.

Closed Scenario Generator Settings Figure:

  1. Click Scenario Generator in the tree view.

    Notice that the Generation Mode is set to Create, which is the default setting.

  2. Click Comment and add text if there is a need to add a comment to the scenario.

    The comment entered here also appears if the scenario is modified with the Edit selection of the Generation Mode property.

  3. Set the Elevation Mask Angle

    The software sets the mask from the horizon to the angle entered. This means that the software only recognizes satellites that appear above the mask value.

  4. If desired, set the Troposphere Model to NATO or leave as No Model.

    Some tests, such as in the 3GPP standards, require the NATO model selection.

  5. Select the Ionosphere Model: Klobuchar or No Model.

  6. If Klobuchar is the Ionosphere Model, set the parameters for the Ionosphere Parameters cell that appears after making the Klobuchar selection:

    1. Click on the + sign displayed to the left of the Ionosphere Parameters cell to display the Alpha [0–3] and Beta [0–3] cells.

    2. Set the Alpha and Beta parameters.

      If a particular test from the 3GPP standards includes these values, set the Alpha and Beta cell values to match the 3GPP test values.

  7. Configure the Scenario Type settings for either Closed Static or Closed Dynamic (moving GNSS receiver).

    If you select Dynamic, the software removes some settings (cells) that are requirements only for the Static selection.

    Static Type Settings:

    1. Set the Initial Longitude.

    2. Set the Initial Latitude.

    3. Set the Initial Altitude.

    4. Set the Duration (HH:mm:ss) with the length of time that the scenario plays back. 24 hours is the maximum time period.

    Dynamic Type Settings:

    1. Click the NMEA Message File cell, and use the dialog box button [image] to launch the Open File dialog box for navigating to and selecting the NMEA message file.

      The software accepts NMEA message files that contain both the GGA and RMC messages. The GGA message is mandatory and contains the time, but the RMC, which provides the date, is optional. The software sets the Start Date and Start Time (GPS Time) cell based on these messages. If there are multiple messages, the software uses the date and time from the first RMC and GGA message it encounters as the scenario start date and time.

      If desired, you can override the software's date and time entries from the RMC and GGA messages. Just select the cells and enter your own date and/or time values.

    2. If the NMEA message file does not contain the date, set the Start Date cell with the start date of the scenario simulation.

  8. Set the Start Date of the scenario simulation. While the software automatically sets the start date, if there is a need, user input is allowed to overwrite these values:

    • For static scenarios, the start date is automatically updated by TOA (Time of Applicability) information in the selected almanac files.

    • For dynamic scenarios, the software always uses the start date from the NMEA message, which is determined by the first RMC message in the NMEA message file. However, user input is allowed if there is a need to overwrite these values. If the RMC messages are not included in the NMEA message file, the scenario uses the TOA from the selected almanac. The user may want to manually change the date to the one that they want to simulate.

    • Set the date by either manually entering the date, or by clicking the cell and using the dialog box button [image] to launch the Date Time Editor. By using the editor, you can set both the Start Date and Start Time (GPS Time) values. The start date and time must be later than 1980-01-06 00:00:00. It is recommended to use a start time on a 6 second boundary, because GPS time-of-week is counted in units of 6 seconds.

  9. Set the Start Time (GPS Time) of the scenario simulation. While the software automatically sets the start time, if there is a need, user input is allowed to overwrite these values:

    • For static scenarios, Start time is automatically updated by TOA information in the selected almanac files.

    • For dynamic scenarios, the start time is determined by the first GGA message in the NMEA message file. However, user input is allowed if there is a need to overwrite these values.

    • Set the time by either manually entering the time, or by clicking the cell and using the dialog box button [image] to launch the Date Time Editor. By using the editor, you can set both the Start Date and Start Time (GPS Time) values. The start date and time must be later than 1980-01-06 00:00:00. It is recommended to use a start time on a 6 second boundary, because GPS time-of-week is counted in units of 6 seconds.

  10. Set the constellation type settings (GPS Settings, GLONASS Settings, etc.):

    1. For each constellation required to be in the scenario, set their Enabled property to Onotherwise set it to Off.

    2. For all constellations with Enabled set to On, set their remaining properties.

      Refer either to hints embedded in the software UI, or use the Scenario Generator UI descriptions, which may have more information than the hints such as URLs to almanac files and special considerations.

  11. Set the Leap Seconds Mode.

    You can choose either Official (defined by IERS) or User.

    Selecting User provides the additional cell User Leap Second that gives you access to the Leap Seconds Editor where you can create your own leap seconds configuration.

  12. Set the Antenna Pattern Settings:

    1. Set the Antenna Pattern cell to either On or Off.

      If set to On, the software configures a gain mask and adds three additional cells covered in the remaining substeps:

    2. If desired, change the values for the Elevation Resolution, Azimuth Resolution, and Azimuth Rotation cells by clicking the cell and entering a value.

      The values in these cells affect the Antenna Pattern display shown in the Antenna Pattern node.

    3. Select the Antenna Pattern node.

    4. Configure the Antenna Pattern gain mask.

    5. Select the Scenario Generator node.

  13. Click the Create Scenario button to launch the Save As dialog box for selecting a location and saving the file.

    After creating the scenario, click on the Scenario Graphics node to view the satellites used during the time of the scenario for each channel.

Related Topics

Scenario Generator

Scenario Graphics

Antenna Pattern


Editing a Scenario

This procedure guides you through the settings to edit a scenario using the Scenario Generator node on the software's user interface (UI). To learn more about individual cell settings, refer to the UI descriptions.

Editing a scenario applies only to stored scenario files.

To view a list of the completed edits through the UI, see the log at the bottom of the view in the Scenario Graphics node.

  1. In the tree node, click Scenario Generator .

    Notice that the software starts with Create as the default Generation Mode.

  2. Click Generation Mode, and from the drop down menu, select Edit.

  3. View the Comment cell and if desired, enter a new comment or modify an existing comment.

    If a comment was entered into the Comment cell during the scenario creation, that same text appears in the Edit mode.

  4. Click the Source Scenario File cell, and use the dialog box button [image] to launch the Open dialog box for navigating to and selecting the scenario file to edit.

  5. If there is a desire to keep track of the edits, click the Save Edit Log cell, and from the drop down menu, select On.

    The software saves the log file with the same name (uses .log extension) and at the same location as the edited scenario file when you click the Save Scenario button.

  6. Click Edit Mode and from the drop down menu, select the mode:

    • Delete Channel

    • Apply Power Offset

    • Equalize Power

    • Create Multipath

    • Trim

      The settings that follow the Edit Mode cell, change based on the Edit Mode cell's selection.

  7. Finish configuring the settings for the selected Edit Mode:

    • To Closed Delete Channel

      To view active and deleted channels, click the Scenario Graphics node.

      1. Click Source Channel, and enter the channel to delete.

      2. Click the Apply button.

      3. Repeat Steps a and b to delete another channel.

    • To Closed Apply Power Offset

      1. Click Source Channel and set the channel to which the offset applies.

      If an offset was set in the original file, this offset is added to the original offset.

      1. Click the Start Time cell and enter the time location within the scenario where the power offset begins.

      2. Click the Stop Time cell and enter the time location within the scenario where the power offset stops.

      3. Click Power Offset, and enter the amount of the offset that occurs from the Start time value to the Stop time value.

      4. Click the Apply button.

      5. Repeat Steps a–e for applying additional power offsets.

    • To Closed Equalize Power

      All of the satellite power settings in the scenario are relative to each other, so when you equalize the power, it sets all of the satellites to 0 dB. The actual output power is determined by the signal generator's amplitude setting.

      • Click the Apply button.

    • To Closed Create Multipath

      1. Click Source Channel and enter the index of the satellite channel that is to receive the create multipath operation.

      2. Click Destination Channel and enter the index of the channel that will store the newly created multipath channel data.

      3. Click the Start Time cell and enter the time location within the scenario where the create multipath operation begins.

      4. Click the Stop Time cell and enter the time location within the scenario where the create multipath operation ends.

      5. Click Power Offset, and enter the power scale to be applied to a specific satellite channel.

      6. Click Delay Offset, and enter the time delay of the multipath channel in GPS chips.

      7. Click Doppler Shift, and enter the Doppler shift of the multipath channel in Hz.

      8. Click the Apply button.

      9. Repeat Steps b–h for applying additional multipaths to the same source channel, or Step a–h for applying multipaths to another Source Channel.

    • To Closed Trim

      1. Click the Start Time cell and enter the start time location within the scenario that marks the new start time location.

        For all channels, the software deletes the portion of the scenario with a time that is earlier than the value entered.

      2. Click the Stop Time cell and enter the stop time location within the scenario that marks the new stop time location.

        For all channels, the software deletes the portion of the scenario with a time that is later than the value entered.

      3. Click the Apply button.

  8. To make further edits using another mode, repeat Steps 6 and 7.

  9. When all changes have been made, click the Save Scenario button to launch the Save As dialog box for selecting a location and saving the file.

Related Topics

Scenario Generator


Generating a Trajectory

This procedure guides you through the settings to generate a trajectory using the Trajectory Generator node on the software’s user interface (UI). An alternative to creating a trajectory through this process is to create a trajectory using Google Earth. To learn more about individual cell settings, refer to the UI descriptions.

  1. In the Settings Browser, click Trajectory Generator.

  2. Configure the Closed Trajectory Generator Settings.

  3. Create the trajectory file, using one of the following methods:

    • Specify each segment of the trajectory from scratch. Three types of segments are available: Wait, Straight, and Turn, which covers basically all the movements required in trajectory creation. You can Add or Remove a certain segment item, or Copy an existing segment. You can also use Up or Down to adjust the order of a certain segment item. Clear deletes all the segment items in the list. You can specify Duration, Velocity, or Accelerate through the segment edit table.

      To view the shape created by the segments, click on the Trajectory Preview node. This node displays a preview of the trajectory based on the segment list configuration. The figures in the next bullet are from the Trajectory Preview node.

    • Use predefined Shapes to quickly create a trajectory. Two types are available:

      • Closed Rectangle

      • Closed Circle

  4. Generate the trajectory:

    • To generate a trajectory file to use with the scenario generator, select Export and save it as an NMEA GGA file type.

    • To generate a trajectory file to view using Google Earth, select Export and save the file as one of two file types:

      • Google Map html

      • Google Earth kml

    When a file type is selected, the Save As dialog box appears to save the file as the selected type.

    If you save a file as a Google Earth kml file type or have an existing kml file and need the same trajectory in the NMEA GGA format, you can convert it to an NMEA GGA by selecting Convert KML, which launches the KML to NMEA Converter dialog box.


Creating and Using a Trajectory from Google Earth

Use this process to convert a Google Earth kml file to an NMEA GGA file for use by the scenario generator.

Create a Google Earth Trajectory File

  1. Start Google Earth on your PC.
  2. Click Get Directions, enter location A, and enter location B, then click Get Directions to show the path from the hotel to Keysight office.
  3. Click Copy the current search results to My Places button under the directions to add this path to My Places, then right click on the path you’ve created and Save Place As a KML file.

Use the N7609B Software to Convert Google Earth kml to NMEA GGA

  1. If playing a scenario, click the State Off button.

  2. In the tree node, click the Trajectory Generator node.

  3. Click on the [image] to launch the KML to NMEA Converter dialog box.

  4. On the KML to NMEA Converter dialog box:

    1. Click KML file to launch the Open dialog box to navigate to and open the saved Google Earth kml file.

      After selecting the kml file, the file path and name appears to the right of the KML file button..

    2. If desired, change the file properties for the conversion.

  5. Click the Convert button to launch the Save As dialog box for selecting a location and saving the file as an NMEA GGA file type.

  6. After saving the converted NMEA GGA file, click the [image] to close the KML to NMEA Converter dialog box.

Load the NMEA GGA File into the Scenario Generator

  1. Click the Scenario Generator node.

  2. Click the Scenario Type cell and use the drop-down arrow to select Dynamic.

    With the Dynamic selection, the NMEA Message File cell appears .

  3. Click the NMEA Message File cell, and use the dialog box button [image] to launch the Open File dialog box for navigating to and selecting the converted NMEA message file.

    After selecting the file, the Start Time (GPS Time) cell automatically updates to the start time from the GGA file.

    The start time in the scenario generator uses GPS time versus UTC time for the Start Time property of the KML to NMEA Converter. Because of the different time types, the scenario generator start time will always show a number of leap seconds later than the KML to NMEA Converter, Start Time property.

  4. Change the date of the Start Date cell to match the date of the almanac file.

    For the factory supplied almanac files, the date is part of the file name or you can view these almanac file dates in the Factory Supplied GNSS Files topic.


Generating and Downloading Satellite Waveforms

Requires the Basic Single and Multi-satellite Waveform license installed on the instrument.

The software automatically sets the output frequency based on constellation type and the signal amplitude.

  1. If downloading the waveform to an N5106A PXB, load the PXB ARB configuration.

    If needed, refer to the PXB help for more information.

  2. If not already done, launch the N7609B software and connect to the instrument.

  3. For Basic Single satellite waveform capability (Mainly for satellite acquisition or tracking sensitivity test) :

    1. Select the GNSS node.

    2. In the Capability property, use the drop-down arrow and select Basic Single Satellite Waveform.

    3. Use the Constellation property to select the Constellation type.

    4. If using other than a GLONASS constellation, In the SV ID property, select the desired satellite.

    5. If using a GLONASS constellation, in the Frequency Channel property, select the satellite operating channel.

    6. If desired, specify the Dynamic Pattern applied to the satellite signal.

    7. f. If desired, specify the Navigation Message transmitted in the satellite signal.

    8. If desired, change Satellite Power to a proper level.

    9. If desired, specify the Sample Rate and Waveform Length to get the Total Sample Points in the waveform.

    10. Download the waveform using either the download button [image] or using Control > Download.

  4. For Basic Multi-satellite waveform capability (Mainly for location fix test with simulated scenario):

    1. Select the GNSS node.

    2. In the Capability property, use the drop-down arrow and select Basic Multi-Satellite Waveform.

    3. Select a Scenario File to generate multi-satellite waveform, and the scenario information is displayed.

    4. If desired, enter the Scenario Start Time Offset.

    5. Select a constellation or a constellation combination in the Constellation property using the drop-down arrow.The constellation choice is based on the selected scenario file;

    6. For Satellite Power Control, select Equal Power for equal power among all satellites, or select Range Based so that the power of each satellite is based on its pseudorange, .

    7. Set Satellite Power to the power of each satellite in equal power mode, or set the Satellite Power for the satellite which has the maximum power in the first record of the scenario for range-based mode.

    8. If desired, specify the Sample Rate and Waveform Length to get the Total Sample Points in the waveform.

    9. Download the waveform using either the download button [image] or using Control->Download.


Using Real-time GNSS Signals without a PC Connection

The N7609B software running on a PC needs to be connected via LAN or GPIB to an N5172B EXG or N5182B MXG signal generator in order to make changes in the GNSS simulation settings, make real-time changes to the power level or add impairments to individual satellites, or to simulate scenarios longer than 24 hours using continuous scenario generation. However if real-time changes to the settings are not required, it is possible to simulate real-time GNSS signals without a PC connection by following the procedures in this topic.

The generation of real-time GNSS signals without a PC connection applies only to scenarios that have been previously downloaded and played on a signal generator and stored in its instrument state register as described in these procedures:

  • Create and Play the Scenario
  • Save the Scenario to the EXG/MXG Instrument State Register
  • Recall the Scenario from the Instrument State Register for Play Back

Create and Play the Scenario

  1. If not already done, launch the N7609B software and establish a connection to an EXG or MXG.

    If the software is already running, ensure that you are connected to an EXG or MXG.

  2. In the tree view, click on the Instrument node and set the Amplitude, and any other instrument parameters.

  3. Create and save a scenario.

    If needed, refer to the tutorial Creating a Scenario.

  4. In the tree view, click on GNSS.

  5. Click the Scenario File property and use the dialog box launch icon to launch the Open dialog box to navigate to and select the scenario file.

  6. Configure any of the other simulation settings on this window as desired, such as enabling or disabling a GNSS constellation, or applying a relative power scaling to the satellites (the entered value applies to all satellites within a constellation).

  7. Click the State On button to start the real-time signal simulation with the selected settings.

  8. Once the signal has started playing in the instrument, click the State Off button to regain control of the instrument’s front panel.

  9. Close the N7609B software and disconnect the PC from the instrument.

Save the Scenario to the EXG/MXG Instrument State Register

For information on the instrument state registers, refer the X-Series Signal Generator User's Guide.

  1. Press Local to unlock the EXG/MXG front panel.

  2. If there is a need have the GNSS signal start automatically when recalled on the EXG/MXG, perform the following steps:

    1. Press Mode > Real-Time Applications > More > GNSS > GNSS On.
    2. Press RF On/Off to turn the RF Output on (LED below the button is on and RF OFF does not show in the display).

  3. Press Save > Select Reg.

  4. Enter the number of an unused register.

    Even if the current register shows as available, you must enter a number to complete the process.

  5. Press Save Reg to save the current instrument state to that register.

    The menu returns to the previous softkey menu and the Select Reg softkey now shows the entered register number along with (in use).

  6. Press Add Comment to Seq[n] Reg[n], and enter a description for this scenario, such as the name of the scenario file and which constellations are enabled.

  7. Press Enter to finish adding the comment.

Recall the Scenario From the Instrument State Register for Play Back

  1. Press Recall > Select Reg.

  2. Enter the number of the register containing the desired scenario.

  3. Press Enter.

    • If the instrument state was saved with the GNSS application turned on along with the RF output, the signal is now available.

    • If the scenario instrument state was saved without turning on the GNSS application and/or the RF Output, perform the following steps:

      1. Press Mode > Real-Time Applications > More > GNSS > GNSS On.
      2. Press RF On/Off to On.


Play a GNSS Signal with Multi-tone Interference Signals

This procedure guides you through the settings to play a real-time GNSS signal using the GNSS Settings on the software's user interface (UI).

To learn more about individual cell settings, refer to the UI descriptions.

While the scenario is playing, the GNSS node Constellation Control properties, and the properties under the Satellite Settings node are still active. These properties can be modified while the scenario is playing and affects the scenario in real-time. The GNSS Scenario Start Time Offset property is also still active, but will not affect the scenario unless it is paused and the Restart button is clicked.

To learn how to generate a real-time GNSS Signal, refer to Generating a Real-Time GNSS Signal.

  1. In the tree, click GNSS to see the GNSS settings.

  2. View the Capability cell and ensure that Advanced Real-time Signal Generation is the current selection. If not, click the Capability cell, and use the drop-down arrow to display a menu from which you can select Advanced Real-time Signal Generation.

  3. View the Simulation Mode cell and ensure that Navigation is the current selection. If not, click the Simulation Mode cell, and use the drop-down arrow to display a menu from which you can select Navigation.

  4. Click the Scenario Source cell and ensure that User Scenario File is the current selection. If not, use the drop-down arrow menu to select User Scenario File.

  5. Click the Scenario File cell and use the dialog box launch icon to launch the Open dialog box to navigate to and select a scenario file.

  6. Enter a power reference value in Satellite Power Referencecell. In this example, enter -60 dBm.

  7. In Constellation and Muti-tone Interference table pane, click the Closed Multi-tone Interference tab, and specify the following parameters:

    1. Enable Tone #1, Tone #2 and Tone #4.

    2. Specify the Frequency Band where the interference tone is located. Specify GPS L1 for Tone #1, GLONASS L1 for Tone #2 and Beidou B1 for Tone #4.

    3. Enter the Frequency Offset of the interference tone, relative to the center of the frequency band - GPS L1 at 1.57542GHz, GLONASS L1 at 1.602GHz and Beidou B1 at 1.561098GHz. Specify 1 mHz for Tone #1, 500kHz for Tone #2 and 1MHz for Tone #4.

    4. Enter the Absolute Power level of the interference tone in dBm. The power level should be within [-60dB - 0dB] range of Satellite Power Reference.Specify -60 dBm for Tone #1.

  8. Click State On to start the playback from the beginning of the scenario or from the Scenario Start Time Offset, if one is entered.

  9. After the scenario is running on the signal generator,click the Satellite Settings node to set various satellite parameters such as turning individual channels off or on in real-time while the signal is playing. To change a channel’s status, click on the Enabled cell [image]. Another setting to change in real-time is the relative power level for each satellite channel.

    All of the Satellite Settings can be set either before or after starting the scenario playback.


Configuring the M9381A for Signal Studio

This topic is not comprehensive, but endeavors to describe the steps unique to M9381A PXIe configurations with Signal Studio products. It is recommended that you already have a basic working knowledge of the M9381A PXIe. If necessary, refer to the user documentation listed below to become familiar with basic operation. This documentation is available at www.keysight.com/find/M9381A.

  • M9381A & M9391A Configuration Guide (PDF Document)

  • M9381A PXIe VSG and M9380A CW Source SCPI Programming Information (Help File)

  • M9381A PXIe Vector Signal Generator Soft Front Panel Help (Help File)

  • M9391A PXIe Vector Signal Analyzer and M9381A PXIe Vector Signal Generator Programming Guide (PDF Document)

Signal Studio provides two methods for configuring waveform playback on the M9381A:

  • Direct Connection with a Signal Studio Application

  • Using Waveform 5- and 50-Pack

Direct Connection with a Signal Studio Application

  1. Configure the hardware and cabling for the M9381A system as described in "Multiple M9381A PXIe VSGs in a single PXIe chassis" of the M9381A & M9391A Configuration Guide.

    If you are using an external trigger source, the trigger signal cable must be connected to the Trig 1 connector of the M9301A module. In the case of a multi-channel system, the trigger signal must be connected to the Trig 1 connector of all M9301A modules, using cables of equal length. For more information, refer to the subsection entitled, "Routing an External Trigger Input and ALC Hold on each M9381A PXIe VSG" of the major section entitled, "Working with 802.11ac MIMO R&D/DVT Tests" in the M9391A PXIe Vector Signal Analyzer and M9381A PXIe Vector Signal Generator Programming Guide.

  2. This step is commonly referred to as configuring the backplane triggers. Open the M9018A Soft Front Panel (SFP) and check the Allow Control box. Then click the Configure Trigger Bus tab.

    The Keysight M9018A PXIe chassis does not remember the trigger bus configuration upon cycling power.After a power cycle, you must reconfigure the bus triggers by using the M9018A SFP or by creating a persistent configuration by using the AgM9018 API.

    For single-channel and two-channel configurations, configure the GUI, as shown below. This backplane signal configuration assumes the M9381A modules are positioned in the PXIe chassis as described in the M9381A & M9391A Configuration Guide. For all other configurations and additional information, refer to the "Managing Triggers" topic located in M9381A PXIe Vector Signal Generator Soft Front Panel Help.

  3. Open the M9381 SFP (without connecting) to view the Alias. It must be "M938XA-1," as shown below, for the SCPI Parser to connect in the next step. For more information, refer to the "Creating the IVI Config Store Alias(es)" subsection of the "M938x SCPI Parser" topic located in M9381A PXIe VSG and M9380A CW Source SCPI Programming Information.

    Make sure the M9381 SFP is not connected to the instrument before proceeding to next step, as it and the SCPI Parser cannot run simultaneously.

  4. Run the M938x SCPI Parser. The Signal Studio software will not connect to the system unless the SCPI Parser is running. For more information, refer to the "M938x SCPI Parser" topic located in M9381A PXIe VSG and M9380A CW Source SCPI Programming Information.

  5. Open the Signal Studio software and, in the System Configuration Wizard, select the M9381A as the connected instrument.

  6. In the Signal Studio System Configuration Wizard, make sure the host name entered for each PXIe module uses this syntax: <hostname>::hislip<module number>. See example shown below. For more information, refer to the "Overview" subsection of the "M938x SCPI Parser" topic located in M9381A PXIe VSG and M9380A CW Source SCPI Programming Information.

  7. You can now configure, generate, and download your Signal Studio waveform.

    If you are using an external trigger source, be sure to configure the instrument settings in the Signal Studio software. In the tree view, click Instrument and in the trigger settings, select TRIG1 for the External Source.

Using Waveform 5- and 50-Pack

To use a waveform for use with a Signal Studio 5- or 50-pack license, use any Signal Studio application to generate and download a waveform to the M9381A controller PC, where the SCPI Parser is running. You will not be able to play the waveform, however, until it is assigned and locked into one of the available 5- or 50-pack slots. For more information, refer to the "Managing Waveform Packs" topic in the M9381A PXIe Vector Signal Generator Soft Front Panel Help .


User Interface - Real Time

User Interface

This topic provides links to topics that lists the available user-interface buttons and parameters along with their descriptions.

Menu Bar and Tool Bar |  | describes basic features fo the user interface
Status Window |  | describes the functions of menu selections and toolbar icons
Hardware |  | describes the connected instrument properties seen in the node
 | Instrument | describes the settings available for the connected instrument
GNSS Settings |  | describes the various settings in the GNSS node
 | Satellite Settings | provides information on using the satellite settings
 | Real-time Sky View | provides information on using the Real-time Sky View
 | Real-time Power View | provides information on using the Real-time Power View
 | Real-time Trajectory View | provides information on using the Real-time Trajectory View
 | Scenario Generator | provides links to the topics that describe the different nodes and settings for the scenario generator
 | Trajectory Generator | describes the features available for creating a trajectory
 | Signal IO | describes the settings for markers and the timing adjustment for markers
Script Examples |  | provides MATLAB scripts for commonly used functions
SCPI Commands |  | Information on using SCPI commands for remote operation, including a comprehensive listing of commands


Menu Bar and Tool Bar

This topic describes the software's menu bar and toolbar.

File | Control | System | Tools | Help
New | Generate | Change Hardware Connection | Options | Contents
Open | Download | Run System Configuration Wizard |  | Search
Save As |  |  |  | Software License Terms
Export Waveform Data |  |  |  | Keysight Signal Studio website
Exit |  |  |  | About

File

New

Sets the software to its standard initial state using the current hardware configuration. The window name changes to Untitled. Rename and save the new setup as a settings (.scp) file (saving only the software parameters).

Open

Opens a saved settings (.scp) file. Opening a settings file configures the signal parameters for use with the currently selected hardware.

To use a settings file with a different hardware configuration, select Change Hardware Connections, or Run System Configuration Wizard and re-configure the hardware.

Save As

Saves only signal parameters to a specified settings (.scp) file. Settings files do not contain the hardware configuration data. When you save a file, it is added to the top of the Most Recently Used Files list.

Export Waveform Data

Coupling: Visible with the Capability selection of Basic Single Satellite Waveform.

Saves an encrypted waveform file (with a .wfm extension) to your PC. The waveform file is created with the settings and parameters from the GNSS node. This waveform file can then be downloaded and played in other licensed instruments or used with Keysight Advanced Design System (ADS) wireless libraries.

Exit

Stops and closes the software.

Control

This menu bar item is visible only while the Capability selection is Basic Single Satellite Waveform.

Generate

Select Control->Generate or click [image] to start generating the waveform.

Download

Downloads a pre-generated waveform to the connected instrument.

System

Change Hardware Connection

Opens step 2 of the System Configuration Wizard, where you can select a previously saved hardware configuration, or define and save a new hardware configuration.

Run System Configuration Wizard

Enables you to configure your system component connections and save the hardware configuration for later use. Use the System Configuration Wizard to set up a new instrument connection.

Tools

Options

From this selection, enable or disable the Closed welcome dialog display

Help

Contents

The selection opens the Help system and displays the table of contents.

Search

This selection opens the Help system and displays the search utility.

Software License Terms

This selection displays software license terms.

Keysight Signal Studio website

This selection opens your browser to Keysight's Signal Creation web page.

About

This selection displays the version and release date of the software.


Status Bar

The status bar displays information related to your software status, connection status, carrier and channel parameters, waveform generation progress and license status.

Run Status

This area shows the status of the software's setup.

The following are some of the possible run status messages:

Initializing... | The software is setting up system parameters when the program starts.
Ready | The program successfully initialized.
Opening the settings file... | The program is reading the parameters from the settings file.
Saving the settings file... | The program is saving the parameters to a settings file.

Connection Status

This area shows the connection status of the software to the instrument.

The following are some of the possible connection status messages:

Blank (no text) | Simulated hardware mode.
Connected | The instrument connection is checked and verified.
Not Connected | The software is not connected to the instrument.

Software Message Area

This area shows license status, waveform generation progress, and information relating to the latest error for your setup.


Hardware Settings

This topic describes the functions accessed through the Hardware node.

1. System Details

Name

View the name assigned to the system.

Description

View the hardware configuration type.

2. Instrument Details

Connection

View connection details (LAN or GPIB).

Model Number

View the instrument model number.

Serial Number

View the instrument serial number.

Firmware Revision

View the instrument firmware revision number.


Instrument (MXG/EXG Real-Time Software)

This topic describes the parameters available in the Closed Instrument node for real-time Signal Studio products. Some parameters will vary by product.

If you select Basic Single Satellite Waveform or Basic Multi-Satellite Waveform capability, the Closed Instrument node displays a slightly different set of buttons and menus.

State On

State Off

Update to Instrument

Update from Instrument

Preset

DC Cal

Power Search

Hint

1. Configuration

2. Basic

3. I/Q

4. ALC

5. Baseband (Advanced Real-time Signal Generation)

5. Baseband (Basic Single Satellite Waveform or Basic Multi-Satellite Waveform)

6. AUX IO Global Controls (Advanced Real-time Signal Generation)

6. Dual ARB Marker Utilities (Basic Single Satellite Waveform or Basic Multi-Satellite Waveform)

7. Trigger

8. Real-time AWGN Setup

State On

Coupling: Available only when capability is set to Advanced Real-time Signal Generation.

Turns the application on, generating the real-time IQ signal in the connected instrument with the parameters you set in the software.

This button is only available when Advanced Real-time Signal Generation capability is selected. If you are using Basic Single Satellite Waveform or Basic Multi-Satellite Waveform capability, use the Download button (located in the toolbar) to download and play your waveform.

[:SOURce]:RADio:GNSS[:BBG][:STATe] 1|0|ON|OFF

[:SOURce]:RADio:GNSS[:BBG][:STATe]?

State Off

Coupling: Available only when capability is set to Advanced Real-time Signal Generation.

Turns the application off, disabling the real-time IQ and RF signals on the connected instrument.

This button is only available when Advanced Real-time Signal Generation capability is selected.

[:SOURce]:RADio:GNSS[:BBG][:STATe] 1|0|ON|OFF

[:SOURce]:RADio:GNSS[:BBG][:STATe]?

Update to Instrument

Coupling: Available only when capability is set to Basic Single Satellite Waveform or Basic Multi-Satellite Waveform.

Updates the connected instrument with the current settings in the software's Instrument node window. This button is available only in the Instrument node window.

Update from Instrument

Coupling: When Basic Single Satellite Waveform or Basic Multi-Satellite Waveform capability is selected, this button is available only in the Instrument node window.

Retrieves the parameters from the connected instrument and updates the Instrument node settings.

Preset

Coupling: When Basic Single Satellite Waveform or Basic Multi-Satellite Waveform capability is selected, this button is available only in the Instrument node window.

Sets the signal generator to the factory-defined default state.

:SYSTem:PRESet

*RST

DC Cal

Coupling: When Basic Single Satellite Waveform or Basic Multi-Satellite Waveform capability is selected, this button is available only in the Instrument node window.

Performs a one to two second adjustment that is not traceable to a standard. However, it will minimize errors associated with offset voltages. This adjustment minimizes errors for the current instrument setting and at a single frequency. The DC adjustment is volatile and must be repeated with each instrument setting change.

:CALibration:IQ:DC

*OPC

Power Search

Coupling: When Basic Single Satellite Waveform or Basic Multi-Satellite Waveform capability is selected, this button is available only in the Instrument node window.

Coupling:The ALC must be Off to use this feature.

Executes a manual power search calibration. This is an internal calibration routine that improves output power accuracy when the ALC is turned off. A power search is recommended for pulse-modulated signals with pulse-widths less than two microseconds.

[:SOURce]:POWer:ALC:SEARch ONCE

*OPC

Hint

Select the Hint checkbox then click a parameter cell to display a brief description of the parameter.

1. Configuration

Instrument Model Number

When active, you can manually select an instrument model number. If Retrieve Instrument Model Number is set to Auto, the model number of the connected instrument appears here after you run the System Configuration Wizard. The parameters that are available in the Instrument node are determined by the Instrument Model Number.

2. Basic

Frequency

Range: for frequency range values, see the signal generator's data sheet

Enter a value to set the signal generator’s output frequency. Use abbreviations for faster entry (example: 1g = 1.000000000000 GHz).

[:SOURce]:FREQuency[:CW] <val><unit>

[:SOURce]:FREQuency[:CW]?

Amplitude

Range: for amplitude range values, see the signal generator's data sheet

Enter a value to set the signal generator’s output amplitude in dBm.

[:SOURce]:POWer[:LEVel][:IMMediate][:AMPLitude] <val><unit>

[:SOURce]:POWer[:LEVel][:IMMediate][:AMPLitude]?

RF Output

Double-click or use the drop-down menu to turn the signal generator’s RF output On or Off.

:OUTPut[:STATe] ON|OFF|1|0

:OUTPut[:STATe]?

3. I/Q

I/Q Adjustments

Choice: Off | On

Default: Off

Double-click or use the drop-down menu to turn the I/Q adjustments On or Off.

On – The values entered for I Offset, Q Offset, and so on are applied to the I and Q signals.

Off – I/Q adjustment values are not applied to the I and Q signals.

[:SOURce]:DM:IQADjustment[:STATe] ON|OFF|1|0

[:SOURce]:DM:IQADjustment[:STATe]?

I Offset

Range: –20% to 20%

Default: 0.00%

Enter a DC offset value to apply to the I signal before the I/Q modulator. Use this offset to remove imperfections in the in-phase signal or to introduce calibrated impairments.

When using this setting to minimize the LO feed-through signal, optimum performance is achieved when the adjustment is made after any other I/Q path adjustments. If other adjustments are made after minimization is performed, the LO feed-through signal may increase.

Set I/Q Adjustments to On to enable this parameter.

[:SOURce]:DM:IQADjustment:IOFFset <val><unit>

[:SOURce]:DM:IQADjustment:IOFFset?

Q Offset

Range: –20% to 20%

Default: 0.00%

Enter a DC offset value to apply to the Q signal before the I/Q modulator. Use this offset to remove imperfections in the quadrature-phase signal or to introduce calibrated impairments.

When using this setting to minimize the LO feed-through signal, optimum performance is achieved when the adjustment is made after any other I/Q path adjustments. If other adjustments are made after minimization is performed, the LO feed-through signal may increase.

Set I/Q Adjustments to On to enable this parameter.

[:SOURce]:DM:IQADjustment:QOFFset <val><unit>

[:SOURce]:DM:IQADjustment:QOFFset?

I/Q Gain Balance

Range: –1 dB to 1 dB

Default: 0.000 dB

Enter a value to set the gain for the I signal relative to the Q signal.

Example: If you enter a value of 1 dB, the I signal will have 1 dB more amplitude than the Q signal.

Set I/Q Adjustments to On to enable this parameter.

[:SOURce]:DM:IQADjustment:GAIN[1] <val><unit>

[:SOURce]:DM:IQADjustment:GAIN[1]?

Quadrature Angle Adjustment

Range: –10 to 10 degrees

Default: 0.00 degrees

Enter a value to adjust the Q phase angle. When the quadrature skew is zero, the phase angle between the I and Q vectors is 90 degrees. Positive skew increases the angle from 90 degrees; negative skew decreases the angle from 90 degrees.

Set I/Q Adjustments to On to enable this parameter.

[:SOURce]:DM:IQADjustment:QSKew <val><unit>

[:SOURce]:DM:IQADjustment:QSKew?

I/Q Timing Skew Path

Coupling: Available only when capability is set to Basic Single Satellite Waveform or Basic Multi-Satellite Waveform.

This cell is grayed out and provides no function.

I/Q Correction Optimized Path

Choice: RF Output | Ext I/Q Output

Default: RF Output

RF Output optimizes the RF OUT path by applying calibration factors to only this path, leaving the I/Q OUT path uncalibrated.

Note: With External as the I/Q Source selection, the signal generator automatically optimizes both paths, so no optimization path selection is needed.

Ext I/Q Output optimizes the I/Q OUT path by applying calibration factors to only this path, leaving the RF OUT path uncalibrated.

Note: With External as the I/Q Source selection, the signal generator automatically optimizes both paths, so no optimization path selection is needed.

This parameter is not available for all instrument model numbers and may be grayed out.

[:SOURce]:DM:CORRection:OPTimization RFOut|EXTernal

[:SOURce]:DM:CORRection:OPTimization?

I/Q Skew

Range: –500 ns to 500 ns

Default: 0.0 seconds

Enter a value to set the time delay between I and Q.

A positive value delays the I signal relative to the Q signal.

A negative value delays the Q signal relative to the I signal.

[:SOURce]:DM:IQADjustment:SKEW <val><unit>

[:SOURce]:DM:IQADjustment:SKEW?

I/Q Delay

Range: –250 ns to 250 ns

Default: 0.0 seconds

Enter a value to change the absolute phase of both I and Q with respect to triggers and markers. A positive value delays I and Q. This value affects both the external I/Q out signals and the baseband signal modulated on the RF output. This adjustment cannot be used with constant envelope modulation and does not affect external I/Q inputs.

The limits are determined by the rate of the current format.

[:SOURce]:DM:IQADjustment:DELay <val><unit>

[:SOURce]:DM:IQADjustment:DELay?

4. ALC

ALC

Choice: Off | On

Default: On

Double-click or use the drop-down menu to enable or disable the automatic level control.

On – The ALC circuit constantly monitors and controls the output power level.

Off – No automatic leveling occurs.

[:SOURce]:POWer:ALC[:STATe] ON|OFF|1|0

[:SOURce]:POWer:ALC[:STATe]?

ALC Bandwidth

Choice: Auto | 200 Hz | 2 kHz | 20 kHz

Default: Auto

Double-click or use the drop-down menu to select an ALC bandwidth.

This parameter is not available for all instrument model numbers and may be grayed out.

[:SOURce]:POWer:ALC:BANDwidth|BWIDth:AUTO ON|OFF|1|0

[:SOURce]:POWer:ALC:BANDwidth|BWIDth:AUTO?

[:SOURce]:POWer:ALC:BANDwidth|BWIDth 200Hz|2kHz|20kHz

[:SOURce]:POWer:ALC:BANDwidth|BWIDth?

Power Search Reference

Choice: Fixed | Modulation | RMS

Default: Modulation

Double-click or use the drop-down menu to select one of the following reference signals when doing a power search.

Fixed – Power search uses a fixed 0.5 V reference.

Modulation – Power search uses the AC bias from the actual modulating signal.

RMS – Power search uses a DC bias value equivalent to the value derived from the file header or the calculated value from the current I/Q data.

Set ALC to Off to enable this parameter.

[:SOURce]:POWer:ALC:SEARch:REFerence RMS|FIXed|MANual|MODulated

[:SOURce]:POWer:ALC:SEARch:REFerence?

RF During Power Search

Choice: Normal | Minimum

Default: Normal

Double-click or use the drop-down menu to select the level of the output power control during a power search routine.

Normal – Performs power searches without setting the internal step attenuator to its maximum setting. Glitches and power changes may be present during the search.

Minimum – Sets the signal generator's step attenuator to its maximum setting during power search to protect sensitive circuits.

Set ALC to Off to enable this parameter.

[:SOURce]:POWer:PROTection[:STATe] ON|OFF|1|0

[:SOURce]:POWer:PROTection[:STATe]?

ALC Trigger Source bus (M9381A)

Choice: AUTO | PXI0 | .. | PXI7

Default: None

Double-click or use the drop-down menu to select a bus for ALC hold signal path on PXI backplane. This parameter is only available when connected to the M9381A.

This parameter is only available when Minor Enhancement Update (MEU) Option U01 or greater is valid.

ALC Mode (M9381A)

Choice: : Off | HOLD | TRACK

Default: Off

Double-click or use the drop-down menu to select ALC mode. This parameter is only available when connected to the M9381A.

This parameter is only available when Minor Enhancement Update (MEU) Option U01 or greater is valid.

5. Baseband (Advanced Real-time Signal Generation)

Sample Rate

Coupling: Available only when capability is set to Advanced Real-time Signal Generation.

Displays and sets the rate at which the selected waveform file is played from the baseband generator. This value is read from the file header, if the file has a header. If the file does not have a header, a default value of 100 MSa/s is used. The variable is expressed in terms of Msa/s.

[:SOURce]:RADio:GNSS[:BBG]:SAMPle:RATE <val>

[:SOURce]:RADio:GNSS[:BBG]:SAMPle:RATE?

Runtime Scaling

Range: -60.00 to 0.00 dB

Default: 0.00 dB

Coupling: Available only when capability is set to Advanced Real-time Signal Generation.

Adjusts the scaling of the I and Q data. Reducing the runtime scaling prevents over ranges from occurring. Runtime scaling is also used to scale signals relative to each other.

[:SOURce]:RADio:GNSS[:BBG]:RSCaling <val>

[:SOURce]:RADio:GNSS[:BBG]:RSCaling?

Frequency Offset

Range: -60 MHz to 60 MHz

Default: 0 Hz

Coupling: Available only when capability is set to Advanced Real-time Signal Generation.

Moves the baseband signal above or below the carrier by the specified frequency. When simulating adjacent channel interferers, this allows you to offset the waveforms to avoid overlap between the waveforms.

[:SOURce]:RADio:GNSS[:BBG]:FREQuency:OFFSet <val>

[:SOURce]:RADio:GNSS[:BBG]:FREQuency:OFFSet?

Input RMS Source

Coupling: Available only when capability is set to Advanced Real-time Signal Generation.

Identifies where the instrument gets the RMS voltage value of the signal to ensure the correct amplitude of the signal is at the output of the signal generator when the power calibration is performed.

[:SOURce]:RADio:GNSS[:BBG]:POWer:SOURce

Power Meter Gating

Coupling: Available only when capability is set to Advanced Real-time Signal Generation.

Power Meter Gating selects which method, Threshold or Marker, used to identify which waveform samples that are measured when determining the waveform's RMS voltage.

[:SOURce]:RADio:GNSS[:BBG]:POWer:PMGating

Samples To Average

Coupling: Available only when capability is set to Advanced Real-time Signal Generation.

Samples to Average specifies the number of samples that are averaged when calculating the RMS voltage for the subsequent power calibration.

[:SOURce]:RADio:GNSS[:BBG]:POWer:SAVerage

Threshold

Coupling: Available only when capability is set to Advanced Real-time Signal Generation.

Threshold defines the threshold voltage used to determine when the input waveform sample voltage measurement is used to determine the waveform's RMS voltage.

[:SOURce]:RADio:GNSS[:BBG]:POWer:THReshold

Holdoff Count

Coupling: Available only when capability is set to Advanced Real-time Signal Generation.

Holdoff Count allows you to specify the number of consecutive input waveform samples that must meet or exceed the threshold voltage level before the input waveform sample is used to determine the waveform's RMS voltage. If the number of consecutive waveform samples is not met, the sample voltages are not used.

[:SOURce]:RADio:GNSS[:BBG]:POWer:HCOunt

5. Baseband (Basic Single Satellite Waveform or Basic Multi-Satellite Waveform)

Sample Clock

Coupling: Available only when capability is set to Basic Single Satellite Waveform or Basic Multi-Satellite Waveform.

The sample clock frequency of the signal generator is automatically calculated by the program. The range depends on the connected instrument.

VCO Clock

Default: Internal

Coupling: Available only when capability is set to Basic Single Satellite Waveform or Basic Multi-Satellite Waveform.

Double-click or use the drop-down menu to select the signal generator’s VCO Clock.

  • Internal − the signal generator uses its internal VCO Clock.

  • External − the signal generator uses an external VCO Clock.

This parameter is not available with all instrument model numbers and may be grayed out.

Waveform Runtime Scaling

Range: 1% to 100%

Default: 70%

Coupling: Available only when capability is set to Basic Single Satellite Waveform or Basic Multi-Satellite Waveform.

Enter a scaling value for the signal generator to apply to the waveform while it is playing. Use scaling to get the best dynamic range without overflowing the I and Q digital to analog converters (DAC) and reduce the overshoot associated with the DAC interpolation filter.

I/Q Modulation Filter

Choice: Auto | 2.1 MHz | 40 MHz | Through

Default: Auto

Coupling: Available only when capability is set to Basic Single Satellite Waveform or Basic Multi-Satellite Waveform.

Double-click or use the drop-down menu to select a filter for I/Q signals modulated onto the RF carrier. The bandwidth of the baseband signal should dictate the minimum reconstruction filter bandwidth you choose. Depending on the oversampling ratio and where the image frequencies appear, you may want to select a wider bandwidth.

  • Auto − automatically selects a digital modulation filter.

  • 2.1 MHz − applies a 2.1 MHz baseband filter to the I/Q signals.

  • 40 MHz − applies a 40 MHz baseband filter to the I/Q signals.

  • Through − bypasses filtering.

This parameter is not available with all instrument model numbers and may be grayed out.

I/Q Output Filter

Choice: Auto | 40 MHz | Through

Default: Auto

Coupling: Available only when capability is set to Basic Single Satellite Waveform or Basic Multi-Satellite Waveform.

Double-click or use the drop-down menu to select a filter or through path for routing I and Q signals to the rear panel I/Q outputs.

  • Auto − automatically selects an I/Q output filter.

  • 40 MHz − applies a 40 MHz baseband filter.

  • Through − bypasses filtering.

This parameter is not available with all instrument model numbers and may be grayed out.

Modulation Attenuation Mode

Choice: Auto | Manual

Default: Auto

Coupling: Available only when capability is set to Basic Single Satellite Waveform or Basic Multi-Satellite Waveform.

Double-click or use the drop-down menu to select the mode of the internal I/Q modulator.

  • Manual − manually set the attenuation level of the I/Q modulator using the Modulation Attenuation cell.

  • Auto − the attenuation level automatically sets to a value for best performance based on the digital modulation settings.

Modulation Attenuation

Range: 0.00 dB to 50 dB

Default: 10.00 dB

Coupling: Available only when capability is set to Basic Single Satellite Waveform or Basic Multi-Satellite Waveform.

Sets the attenuation of the I/Q signals being modulated through the signal generator RF path. Adjusting the attenuation may reduce signal distortion and improve the overall dynamic range.

High Crest Mode

Choice: On | Off

Default: Off

Coupling: Available only when capability is set to Basic Single Satellite Waveform or Basic Multi-Satellite Waveform.

Double-click or use the drop-down menu to enable or disable the signal generator’s high crest mode.

  • On − processes high-crest-factor arbitrary I/Q waveforms with less distortion. For crest factors higher than 4 dB, you should reduce I/Q Modulation Atten levels by 1 dB for each dB above that level. High crest mode reduces the maximum output level and degrades power level accuracy.

  • Off − disables the high crest mode.

This parameter is not available with all instrument model numbers.

ARB Reference

Choice: Internal | External

Default: Internal

Coupling: Available only when capability is set to Basic Single Satellite Waveform or Basic Multi-Satellite Waveform.

Double-click or use the drop-down menu to select the signal generator’s ARB reference source.

  • Internal −the signal generator uses its internally generated 10 MHz signal as the reference source.

  • External − the signal generator uses an external signal as the reference frequency for the baseband I/Q signal. See the signal generator’s user’s guide for information on external references.

This parameter is not available with all instrument model numbers and may be grayed out.

Reference Frequency

Range: 0.250 MHz to 100 MHz

Default: 10 MHz

Coupling: Available only when capability is set to Basic Single Satellite Waveform or Basic Multi-Satellite Waveform.

Enter a frequency value when using an externally supplied reference signal. See the signal generator’s user’s guide for information on external references. Set ARB Reference to External to enable this parameter.

This parameter is not available with all instrument model numbers and may be grayed out.

6. AUX IO Global Controls (Advanced Real-time Signal Generation)

Operating Mode

Choice: Multiplexed | Dedicated

Default: Multiplexed

Coupling: Available only when capability is set to Advanced Real-time Signal Generation.

Double-click or use the drop-down menu to select the AUX I/O port operating mode.

Multiplexed − configures the AUX I/O port operating mode to Multiplexed for real-time applications.

Dedicated − configures the AUX I/O port operating mode to Dedicated for real-time applications.

[:SOURce]:IQ:AUX:OPERating:MODE DEDicated|MULTiplexed

[:SOURce]:IQ:AUX:OPERating:MODE?

Input Strobe

Choice: Free Run | User

Default: Free Run

Coupling: Available only when capability is set to Advanced Real-time Signal Generation.

Double-click or use the drop-down menu to select the AUX I/O port input strobe. In Dedicated operating mode, the instrument will always be in Free Run mode. If Multiplexed mode is selected, either Free Run or User input strobe mode can be selected.

Free Run − new input data is latched based on an internal clock.

User − a user supplied strobe signal is used to latch data.

[:SOURce]:IQ:AUX:INPut:STRobe[:MODE] FREE|USER

[:SOURce]:IQ:AUX:INPut:STRobe[:MODE]?

Input Strobe Polarity

Choice: Positive | Negative

Default: Positive

Coupling: Available only when capability is set to Advanced Real-time Signal Generation.

Double-click or use the drop-down menu to select the polarity of the user external input strobe signal. This external input strobe signal must be at least 200 ns wide, and user must hold assert 16 input data bits stable 20 ns before the active edge of the user input strobe and hold the data stable for at least 100 ns after the active edge of the user input strobe.

Positive − a rising edge of the external strobe signal will latch the data.

Negative − a falling edge will latch the data.

[:SOURce]:IQ:AUX:INPut:STRobe:SLOPe POSitive|NEGative

[:SOURce]:IQ:AUX:INPut:STRobe:SLOPe?

Output Strobe Polarity

Choice: Positive | Negative

Default: Positive

Coupling: Available only when capability is set to Advanced Real-time Signal Generation.

Double-click or use the drop-down menu to select the polarity of the AUX output sample clock. This signal indicates that the 16 input data bits have been latched and will be output in both Free Run and external input strobe mode. The output pulse will be at least 200 ns wide.

Positive − a pulse with a rising edge will be asserted to indicate when the 16 input data bits have been latched.

Negative − a pulse with a falling edge will be asserted to indicate when the 16 input data bits have been latched.

[:SOURce]:IQ:AUX:OUTPut:STRobe:SLOPe POSitive|NEGative

[:SOURce]:IQ:AUX:OUTPut:STRobe:SLOPe?

6. Dual ARB Marker Utilities (Basic Single Satellite Waveform or Basic Multi-Satellite Waveform)

Pulse/RF Blanking

Choice: None | Marker 1 | Marker 2 | Marker 3 | Marker 4

Default: None

Coupling: Available only when capability is set to Basic Single Satellite Waveform or Basic Multi-Satellite Waveform.

Double-click or use the drop-down menu to select an RF blanking function. Pulse/RF Blanking turns off the RF output signal during specific conditions determined by the marker.

None – disables RF blanking.

Marker 1 through Marker 4 – selects a marker to activate RF blanking.

RF blanking incorporates ALC hold, so you do not need to select ALC hold when using RF blanking.

Do not blank longer than 100 ms to avoid exceeding the ALC hold limit.

ALC Hold

Choice: None | Marker 1 | Marker 2 | Marker 3 | Marker 4

Default: None

Coupling: Available only when capability is set to Basic Single Satellite Waveform or Basic Multi-Satellite Waveform.

Double-click or use the drop-down menu to select a marker for ALC hold. Use ALC hold when you have a waveform signal that has idle periods, or when the increased dynamic range with RF blanking is not desired.

None – disables ALC hold.

Marker 1 through Marker 4 – assigns a marker for the ALC hold function.

When the specified marker polarity is positive and the marker signal is low (no marker points), ALC hold is on, and the output power level does not respond to changes to the signal amplitude. When the marker signal is high, the ALC samples the waveform points and averages the waveform amplitudes to set the ALC circuitry for the next ALC hold period.

RF blanking incorporates ALC hold, so there is no need to select ALC hold when using RF blanking.

Limit ALC Hold to no more than 100 ms, as the ALC Level may degrade.

The hold selection remains until you reconfigure it, preset the signal generator, or cycle the signal generator power.

Incorrect ALC settings can cause a sudden unleveled condition to occur. An unleveled RF output can damage a DUT or connected instrument. Ensure that you set markers such that the ALC obtains a sample that accounts for the high power levels within the signal.

Alternate Amplitude

Choice: None | Marker 1 | Marker 2 | Marker 3 | Marker 4

Default: None

Coupling: Available only when capability is set to Basic Single Satellite Waveform or Basic Multi-Satellite Waveform.

Double-click or use the drop-down menu to select a marker for enabling the alternate amplitude function.

None – disables the alternate amplitude function.

Marker 1 through Marker 4 – assigns a marker for the alternate amplitude function.

When the specified marker polarity is positive and the marker signal is low (no marker points), alternate amplitude is off. When the marker signal is high, the alternate amplitude function is on.

Configure the alternate amplitude parameters from the Amplitude hardkey menu of the signal generator.

For more information about alternate amplitude and marker settings, refer to the signal generator's user's guide.

This parameter is not available for all instrument model numbers and may be grayed out.

Marker 1 Polarity

Choice: Positive | Negative

Default: Positive

Coupling: Available only when capability is set to Basic Single Satellite Waveform or Basic Multi-Satellite Waveform.

Double-click or use the drop-down menu to select the active polarity for Marker 1.

Positive – the marker signal is high during the marker points.

Negative – the marker signal is high during the period of no marker points.

Marker 2 Polarity

Choice: Positive | Negative

Default: Positive

Coupling: Available only when capability is set to Basic Single Satellite Waveform or Basic Multi-Satellite Waveform.

Double-click or use the drop-down menu to select the active polarity for Marker 2.

Positive – the marker signal is high during the marker points.

Negative – the marker signal is high during the period of no marker points.

Marker 3 Polarity

Choice: Positive | Negative

Default: Positive

Coupling: Available only when capability is set to Basic Single Satellite Waveform or Basic Multi-Satellite Waveform.

Double-click or use the drop-down menu to select the active polarity for Marker 3.

Positive – the marker signal is high during the marker points.

Negative – the marker signal is high during the period of no marker points.

Marker 4 Polarity

Choice: Positive | Negative

Default: Positive

Coupling: Available only when capability is set to Basic Single Satellite Waveform or Basic Multi-Satellite Waveform.

Double-click or use the drop-down menu to select the active polarity for Marker 4.

Positive – the marker signal is high during the marker points.

Negative – the marker signal is high during the period of no marker points.

7. Trigger

Trigger Type

Choice: Free Run | Trigger & Run

Choice (M9381A): Continuous | Single

Default: Free Run

Default (M9381A): Continuous

Coupling: In multiple-instrument configurations, the Trigger Type is set to Trigger and Run for all and cannot be changed

Double-click or use the drop-down menu to select the continuous mode and one of the following trigger responses.

Free Run − immediately triggers when you turn the format on.

Trigger & Run − waits for and starts on the first trigger; ignores subsequent triggers.

Continuous – selects the continuous triggering mode, which enables the instrument to repeat the modulating signal indefinitely until you turn off the modulation format, change triggers, or select another waveform.

Single – sets up a waveform to play once after receiving a trigger.

Choices for the M9381A PXIe VSG are only available for this parameter when Minor Enhancement Update (MEU) Option U01 or greater is valid.

The SCPI commands below do not apply to Basic Single Satellite Waveform or Basic Multi-Satellite Waveform capability.

[:SOURce]:IQ:OUTPut:TRIGger:CONTinuous[:TYPE] FREE|TRIGger

[:SOURce]:IQ:OUTPut:TRIGger:CONTinuous[:TYPE]?

Trigger Source

Choice: Trigger Key | External | Bus

Choice (M9381A): External | Bus

Default: External

Coupling: In multiple-instrument configurations, this parameter can only be changed on Instrument 1.

Adjusts the trigger source applied to the PATT TRIG IN or AUX I/O connectors.

Trigger Key − selects the front panel hardkey as the trigger source. After making this selection, press the Trigger hardkey to trigger a waveform.

External − enables you to trigger a waveform with an externally supplied trigger signal.

Bus − enables you to trigger a waveform by sending a command through the GPIB, LAN, or AUXILIARY IO (RS-232) input connector.

Choices for the M9381A PXIe VSG are only available for this parameter when Minor Enhancement Update (MEU) Option U01 or greater is valid.

The SCPI commands below do not apply to Basic Single Satellite Waveform or Basic Multi-Satellite Waveform capability.

[:SOURce]:IQ:OUTPut:TRIGger:SOURce KEY|BUS|EXTernal

[:SOURce]:IQ:OUTPut:TRIGger:SOURce?

External Source

Choice: Pattern Trigger In 1 | Pattern Trigger In 2

Choice (M9381A): TRIG1 | PXI0 | PXI1 | PXI2 | PXI3 | PXI4 | PXI5 | PXI6 | PXI7

Default: Pattern Trigger In 1

Default (M9381A): PXI0

Selects the rear-panel connector for the external trigger source. This parameter is enabled only if external triggering is selected as the trigger source.

Pattern Trigger In 1 − selects the PATTERN TRIG IN rear-panel BNC connector

Pattern Trigger In 2 − selects the PATTERN TRIG IN 2 (AUXILIARY I/O) rear panel connector

For the M9381A PXIe VSG, double-click or use the drop-down menu to select the front-panel input for the external trigger signal. External must be selected as the trigger source.

TRIG1 – selects the Trig 1 front-panel SMA connector as the external trigger input for the M9381A PXIe VSG

PXI0-PXI7 – selects the backplane bus signal for the M9381A PXIe VSG

Choices for the M9381A PXIe VSG are only available for this parameter when Minor Enhancement Update (MEU) Option U01 or greater is valid.

The SCPI commands below do not apply to Basic Single Satellite Waveform or Basic Multi-Satellite Waveform capability.

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:SOURce EPT1|EPT2|EPTRIGGER1|EPTRIGGER2

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:SOURce?

External Polarity

Choice: Positive | Negative

Default: Negative

Sets the polarity of the external trigger. This parameter is active only if you select external (Ext) as the trigger source.

Positive − the signal generator triggers an event when it detects a rising edge on the PAT TRIG IN signal.

Negative − the signal generator triggers an event when it detects a falling edge on the PAT TRIG IN signal.

The SCPI commands below do not apply to Basic Single Satellite Waveform or Basic Multi-Satellite Waveform capability.

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:POLarity POSitive|NEGative

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:POLarity?

External Delay

Choice: On | Off

Default: Off

Coupling: Available only when capability is set to Basic Single Satellite Waveform or Basic Multi-Satellite Waveform.

Turns the external trigger delay off or on. This parameter is active only after selecting External as the trigger source.

External Delay Time

Range: 0 s to 41 s

Default: 0 s

Enter a value to set a delay time between when an external trigger is received and when it is applied to the signal.

The SCPI commands below do not apply to Basic Single Satellite Waveform or Basic Multi-Satellite Waveform capability.

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:DELay <val>

[:SOURce]:IQ:OUTPut:TRIGger:EXTernal:DELay?

Continuous

Choice: Free Run | Trigger & Run | Reset & Run

Default: Free Run

Coupling: Available only when capability is set to Basic Single Satellite Waveform or Basic Multi-Satellite Waveform.

Double-click or use the drop-down menu to select the continuous mode and one of the following trigger responses.

Free Run – immediately triggers when you turn the format on.

Trigger & Run – waits for and starts on the first trigger; ignores subsequent triggers.

Reset & Run – waits for and starts on the first trigger; resets and plays on a subsequent trigger.

Single

Choice: Buffered Trigger | No Retrigger | Restart on Trigger

Default: Buffered Trigger

Coupling: Available only when capability is set to Basic Single Satellite Waveform or Basic Multi-Satellite Waveform.

Double-click or use the drop-down menu to select the single mode and one of the following trigger responses.

No Retrigger – the waveform segment ignores triggers during playback

Buffered Trigger – causes a waveform to accept a trigger during playback and to restart after the current play finishes.

Restart on Trigger – causes a waveform to accept a trigger during playback and to restart immediately after receiving a trigger.

This parameter is not available for all instrument models and may be grayed out or not shown in GUI.

Segment Advance

Choice: Single | Continuous

Default: Continuous

Coupling: Available only when capability is set to Basic Single Satellite Waveform or Basic Multi-Satellite Waveform.

Double-click or use the drop-down menu to select the segment advance mode and one of the following trigger responses.

Single – causes a segment to play once and to wait for a trigger before the sequence advances to the next segment.

Continuous – causes a segment to play continuously until receiving another trigger. Upon receiving the trigger, the sequence advances to the next segment, which then plays continuously.

This parameter is not available for all instrument models and may be grayed out or not shown in GUI.

Gated

Choice: Active High | Active Low

Default: Active High

Coupling: Available only when capability is set to Basic Single Satellite Waveform or Basic Multi-Satellite Waveform.

Double-click or use the drop-down menu to select the gated mode and one of the following trigger responses. To use the gated trigger mode, you must also select External.

Active Low – causes waveform playback to start when the trigger signal goes low and to stop when the trigger signal goes high.

Active High – causes waveform playback to start when the trigger signal goes high and to stop when the trigger signal goes low.

This parameter is not available for all instrument models and may be grayed out or not shown in GUI.

8. Real-time AWGN Setup

Real-time AWGN

Choice: On | Off

Default: Off

Coupling: Available only when capability is set to Advanced Real-time Signal Generation.

Double-click or use the drop-down menu to enable or disable the AWGN generator.

On − enables the AWGN.

Off − disables the AWGN.

[:SOURce]:IQ:OUTPut:IMPairments:AWGN[:STATe] ON|OFF|1|0

[:SOURce]:IQ:OUTPut:IMPairments:AWGN[:STATe]?

Real-time Noise

Choice: On | Off

Default: Off

Coupling: Available only when capability is set to Basic Single Satellite Waveform or Basic Multi-Satellite Waveform.

Double-click or use the drop-down menu to enable or disable adding real-time, non-repeating additive white Gaussian noise (AWGN) to the carrier being modulated by the waveform being played.

On − enables the addition of Real-time Noise.

Off − disables the addition of Real-time Noise.

Signal to Noise Ratio

Range: –100 dB to 100 dB

Default: 0 dB

Coupling: Available only when capability is set to Advanced Real-time Signal Generation.

Enter a value to set the signal to noise ratio.

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:SNR <val>

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:SNR?

Carrier to Noise Ratio

Range: –100 dB to 100 dB

Default: 0 dB

Coupling: Available only when capability is set to Basic Single Satellite Waveform or Basic Multi-Satellite Waveform.

Enter a value to set the noise power as a ratio of carrier power to noise power (C/N). Carrier power equals the total modulated signal power before noise is added. When you add noise, the power output from the signal generator does not change; it is the sum of carrier power and the added noise power.

Integration Bandwidth

Choice: Auto | Manual

Default: Auto

Coupling: Available only when capability is set to Advanced Real-time Signal Generation.

Specifies the integration bandwidth is auto or manual.

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:IBWidth:AUTO ON|OFF|1|0

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:IBWidth:AUTO?

Integration Bandwidth

Range: 1.0 Hz to 200.000 MHz, the limits are affected by the instrument types and options.

Default: 4.000000 MHz

Coupling: Available only when capability is set to Advanced Real-time Signal Generation.

Specifies the bandwidth over which the noise power is integrated for calculating the carrier to noise ratio.

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:IBWidth <val>

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:IBWidth?

Flat Noise Bandwidth

Range: 1.0 Hz to 160.000 MHz, the limits are affected by the instrument types and options.

Default: 4.000000 MHz

Coupling: Available only when capability is set to Advanced Real-time Signal Generation.

Enter a value to set the flat noise bandwidth, which is typically set wider than the carrier bandwidth.

This parameter is not available for all instrument model numbers and may be grayed out.

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:BANDwidth|BWIDth <val>

[:SOURce]:IQ:OUTPut:IMPairments:AWGN:BANDwidth|BWIDth?

Carrier Bandwidth

Range:

N5172B/N5182B: 1.0 Hz to 200 MHz

N5182A: 1.0 Hz to 125 MHz

E4438C/E8267D: 1.0 Hz to 80 MHz

Default: 1.0 Hz

Coupling: Available only when capability is set to Basic Single Satellite Waveform or Basic Multi-Satellite Waveform.

Specifies the bandwidth over which the noise power is integrated for calculating the carrier to noise ratio (the bandwidth of the target carrier). Also, the maximum upper range is limited to Base Sampling Rate x OSR before download is finished.

Noise Bandwidth Factor

Range: 1 to 2

Default: 1

Coupling: Available only when capability is set to Basic Single Satellite Waveform or Basic Multi-Satellite Waveform.

Displays the flat noise bandwidth factor for the applied real-time noise.

When the Sample Clock is < 50 MHz, the Noise Bandwidth Factor adjusts the RF flat noise bandwidth to be either at least 0.8 times the sample rate for a bandwidth factor of 1, or 1.6 times the sample rate if the bandwidth factor is 2.

When the Sample Clock is > 50 MHz, noise cannot be enabled if the Noise Bandwidth Factor is 2. Any oversampling in a waveform will effectively make the noise bandwidth that many times wider than the signal bandwidth.

The Noise Bandwidth is calculated as follows:

The noise bandwidth is at least 0.8 * [ARB Sample Clock] * [Noise Bandwidth Factor]

This parameter is not available for all instrument model numbers and may be grayed out.

Noise Bandwidth

Range: 1 Hz to 160.000 MHz

Default: 1.000 Hz

Coupling: Available only when capability is set to Basic Single Satellite Waveform or Basic Multi-Satellite Waveform.

Set or change the noise bandwidth.

This parameter is not available for all instrument model numbers and may be grayed out.


GPS Settings

GNSS Settings

N7609B provides three types of GNSS signal simulation. Click Closed Capability and select Basic Single Satellite Waveform , Basic Multi-Satellite waveform, or Advanced Real-time Signal Generation.

Basic Single Satellite Waveform | Selects a pre-generated single satellite waveform file and downloads it to the instrument for playback.
Basic Multi-Satellite Waveform | Selects a pre-generated multi-satellite waveform file and downloads it to the instrument for playback.
Advanced Real-time Signal Generation | Loads in a scenario file and generates a real-time GNSS signal, or provides continuous real-time scenario generation based on the Scenario Generator node settings. The Scenario Source selection determines whether to use a file or continuous real-time generation.


Satellite Settings

The satellite settings are configurable either before starting the scenario or after starting the scenario . When they are changed while the signal is playing, the changes are reflected in the signal.

Parameters

Channel

Group

SV ID

Enabled

Frequency

Relative Power (dB)

Absolute Power (dBm)

Pseudorange (m)

Pseudorange Error (m)

Data Word

Time Shift (us)

Doppler Shift (Hz)

Multipath

Parameters

Channel

Range: 1-56

Display the index of a specific satellite channel.

Group

Enable or disable group selection for the satellite channel. Parameter change in any channel of the group will be applied to all enabled group channels.

Frequency

This property displays the frequency channel on which the satellite signal is transmitted.

GPS

Only supports L1 frequency centered at 1575.42 MHz

GLONASS

Supports frequency channels in the L1 band:

L1 = 1602 MHz + (n * 0.5625) MHz

n = the frequency channel number ( n = -7, -6, ...0, ...6)

  • Navigation mode is a display only of the frequency channel set by the software
  • Static Test mode initially sets the frequency channel that is editable

Galileo

Only supports E1 frequency centered at 1575.42 MHz

Beidou

Only supports B1 frequency centered at 1561.098 MHz
SBAS | Only supports L1 frequency centered at 1575.42 MHz
QZSS | Only supports L1 frequency centered at 1575.42 MHz

Always set the EXG or MXG RF frequency to 1.57542 GHz. Frequency Offsets for Beidou and GLONASS channels are automatically applied to the signal.

EXG/MXG:

Static Mode:

[:SOURce]:RADio:GNSS[:BBG]:SATellite[n]:FREQuency <val>

[:SOURce]:RADio:GNSS[:BBG]:SATellite[n]:FREQuency?

Navigation Mode:

[:SOURce]:RADio:GNSS[:BBG]:SATS:FREQuency? "SVID"

SV ID

Range: G1 - G32 for GPS, R1 - R24 for GLONASS, E1 - E30 for Galileo, B1 - B35 for Beidou, S120 - S138 for SBAS, Q193 - Q197 for QZSS

Couplings:

  • Navigation mode--read only data controlled by the scenario file and updated every second during scenario playback

  • Static Test mode--initialized by the scenario file and editable

Specify the space vehicle ID that is simulated on the selected satellite channel. Disabled satellites show as N/A in a grayed out cell.

In Static mode, you can manually enable additional satellites. When enabled, the grayed out cell turns white and displays the SV ID. If desired, manually change the SV ID for enabled satellites.

The SV ID should start with a constellation indicator that includes a background color:

  • 'G' for GPS with a blue background
  • 'R' for GLONASS with a green background
  • 'E' for Galileo with an orange background
  • 'B' for Beidou with a red background
  • 'S' for SBAS with a purple background
  • 'Q' for QZSS with a yellow background

An appended '*' in SV ID indicates a multipath channel.

An industry-standard identification convention has not been established for GLONASS and Galileo satellites. Therefore, GNSS receivers may use different SV IDs to identify GLONASS and Galileo satellites compared to the N7609B.
Some Beidou receivers may not be able to track or report satellites with an SV ID above 15. That is because satellites with SV IDs above 15 are not yet available in the real world.

EXG/MXG:

Static Mode:

[:SOURce]:RADio:GNSS[:BBG]:SATellite[n]:SVID <val>

[:SOURce]:RADio:GNSS[:BBG]:SATellite[n]:SVID?

Enabled

Choice: On | Off

Couplings: In Navigation mode--enable or disable a satellite channel in current playing scenario. It’s read-only for the unused satellite channel showing as ‘N/A’.

Enable or disable a specific satellite channel. Only enabled satellite channels contribute to the output signal. When a channel is turned off, all the other properties associated with this channel becomes inactive.

EXG/MXG:

Static Mode:

[:SOURce]:RADio:GNSS[:BBG]:SATellite[n]:ENABle ON|OFF|0|1

[:SOURce]:RADio:GNSS[:BBG]:SATellite[n]:ENABle?

Navigation Mode:

[:SOURce]:RADio:GNSS[:BBG]:SATS:ENABle "SVID",on|off

[:SOURce]:RADio:GNSS[:BBG]:SATS:ENABle? "SVID"

Relative Power (dB)

Range: -60 dB to 20 dB

Default: 0 dB

Couplings: This property is configurable only for active satellite channels.

Click the cell of a specific satellite channel, and enter an offset value applied to the satellite channel.

Equal Power mode | This value is relative to Satellite Power Reference.
Static Test mode
Range Based mode | This value is relative to the original satellite power stored in the scenario file
A big positive value may result in DAC over range on the instrument.

EXG/MXG:

Static Mode:

[:SOURce]:RADio:GNSS[:BBG]:SATellite[n]:RPSCale <scale>

[:SOURce]:RADio:GNSS[:BBG]:SATellite[n]:RPSCale?

Navigation Mode:

[:SOURce]:RADio:GNSS[:BBG]:SATS:RPSCale "SVID" <power>

[:SOURce]:RADio:GNSS[:BBG]:SATS:RPSCale? "SVID"

Absolute Power (dBm)

Range: -160 dBm to 20 dBm.

Default: -130 dBm

Couplings: This property is configurable only in Static Test mode or Equal Power mode

Enter the absolute power of the selected satellite in dBm. Dynamic range of this power level should be within [-60dB - 20dB] range of Satellite Power Reference.

EXG/MXG:

Static Mode:

[:SOURce]:RADio:GNSS[:BBG]:SATellite[n]:APOWer <power>

[:SOURce]:RADio:GNSS[:BBG]:SATellite[n]:APOWer?

Navigation Mode:

[:SOURce]:RADio:GNSS[:BBG]:SATS:APOWer "SVID" <power>

[:SOURce]:RADio:GNSS[:BBG]:SATS:APOWer? "SVID"

Pseudorange (m)

Couplings: This property is only visible in Navigation mode and will be updated automatically every 5 seconds.

This property displays the instant pseudorange of the satellite that is being simulated.

Pseudorange is the simulated distance between a satellite and the GNSS receiver.

EXG/MXG:

Navigation Mode:

[:SOURce]:RADio:GNSS[:BBG]:SATS:PRANge? "SVID"

Pseudorange Error (m)

Couplings: This property is only visible in Navigation mode.

Enter a user-made error to the pseudorange of the satellite.

EXG/MXG:

Navigation Mode:

[:SOURce]:RADio:GNSS[:BBG]:SATS:PRERror "SVID",<error>

[:SOURce]:RADio:GNSS[:BBG]:SATS:PRERror? "SVID"

Data Word

Default: 0X3FFFFFFF

Couplings: This property is only visible in Static Test mode and configurable for active satellite channels.

Enter the data word in Hex value. For GPS/Beidou, 30 LSB will be transmitted as raw data of a subframe. For GLONASS, 17 LSB will be repeated 5 times to be used as the payload of a GLONASS string. For Galileo, 30 LSB will be repeated 8 times to be used as the payload of a Galileo page part.

EXG/MXG:

Static Mode:

[:SOURce]:RADio:GNSS[:BBG]:SATellite[n]:WORD <val>

[:SOURce]:RADio:GNSS[:BBG]:SATellite[n]:WORD?

Time Shift (us)

Range: 0 to 150000 us

Couplings: This property is only visible in Static Test mode and configurable for active satellite channels.

Enter a time shift value in micro-seconds for a specific satellite channel.

EXG/MXG:

Static Mode:

[:SOURce]:RADio:GNSS[:BBG]:SATellite[n]:TSHift <val>

[:SOURce]:RADio:GNSS[:BBG]:SATellite[n]:TSHift?

Doppler Shift (Hz)

Range: -125 kHz to 125 kHz

  • In Navigation mode, this property displays the instant Doppler shift of a satellite .

  • In Static Test mode, it is configurable for the active satellites.

Enter a Doppler shift value in Hz for a specific satellite channel.

EXG/MXG:

Static Mode:

[:SOURce]:RADio:GNSS[:BBG]:SATellite[n]:DSHift <val>

[:SOURce]:RADio:GNSS[:BBG]:SATellite[n]:DSHift?

Navigation Mode:

[:SOURce]:RADio:GNSS[:BBG]:SATS:DSHift? "SVID"

Multipath

Couplings: This property is only visible in Navigation mode.

Click the [image] button to bring up the Multipath Profile Configuration dialog. The number of taps configured is displayed on the button.

You can also add, edit, delete and modify the Multipath Profile Configuration in real-time.

Once configured, multipath channels are appended to the end of the satellite channel list, with a * mark in SV ID.(for example, SV ID G5* indicates a multipath channel for line-of-sight satellite G5.).The software does not allow configuring multipath channels on the appended multipath channels, so the nTaps button is disabled for these channels.

EXG/MXG:

The command input follows the settings found on the Multipath Profile Configuration dialog box.

Navigation Mode:

[:SOURce]:RADio:GNSS[:BBG]:SATS:MULTipath "SVID","<tap1>,on|off,<delay>,<power>,<doppler>;<tap2>,on|off,<delay>,<power>,<doppler>..."

[:SOURce]:RADio:GNSS[:BBG]:SATS:MULTipath? "SVID"

If a tap is set to off that is either before or between taps set to on, values must still be entered for the delay, power, and doppler.

Example:

:RAD:GNSS:SATS:MULT "G2", "1,on,1,-5,5;2,on,2,-8,50;3,on,3,-10,500"

The above example sets the multipath for SV ID G2 that uses 3 taps to configure the multipath. The following figure shows the same settings using the GUI Multipath column Taps button, Multipath Profile Configuration dialog box:


Real-time Sky View

N7609B provides sky view display of simulated satellites, current latitude/longitude/altitude, PDOP/HDOP, satellite power, and simulated trajectory for moving scenarios, with pseudo-real-time updates (e.g. once per second).

The real-time sky view assists you to visualize what is happening in the scenario and simplifies result comparison reported by the GNSS receiver under test.

This view displays the location of all the visible satellites in the sky, from a receiver’s point of view. The view is displayed in a coordinate system based on [Azimuth, Elevation] and each satellite is placed at the proper position in the coordinate system. The location of the satellite will be updated in real-time as its elevation/azimuth is changing over time.

Move mouse over a particular satellite to display a tooltip, showing detailed real-time information about the satellite, including SV ID, Relative Power, Absolute Power, Pseudorange, Doppler shift and Multipath taps.

Instant DOP values (HDOP and PDOP) are shown at the left upper corner. The number of satellites for each constellation is displayed at the left lower corner in the view. Check or uncheck the constellation check boxes for different view requirements.

Sky view info is included in the scenario version later than Version 1.3. So for earlier version scenarios, the sky view will be similar to the view displayed as follows:


Real-time Power View

This view displays the instant power level of all visible satellites in a bar view, on a constellation basis.

SV ID and power level are labeled in the view to provide the detailed information. Y-axis of power(dBm) will be auto-scaled to the best range of the view.

Click [image] or [image] to switch the real-time power view for different constellations.


Real-time Trajectory View

Click the Real-time Trajectory View node, and N7609B displays the history trajectory of the plating scenario. Modify the ? scale to zoom in/out the view or change the center location.

Detailed info is provided in text, including instant UTC, Longitude/Latitude/Altitude, Heading and Velocity.

Note that trajectory info is included in the scenario version later than v1.3. So for earlier version scenarios, no trajectory will be available and a message will pop up, like “Trajectory is not available for scenario earlier than v1.3”.

The view configuration button in the left-bottom corner brings up a dialog that allows users to set the center location and the scale of the view.

To set Reference Longitude, Reference Latitude and Maximum Deviation, click the [image] button at the left bottom corner to prompt Closed Map View Configuration dialog box.


Scenario Generator

The scenario generator node is available with the Capability property selection of Advanced Real-time Signal Generation found in the GNSS node. The scenario generator capability requires the purchase of an advanced real-time option that includes the scenario generator.

Toolbar Functions

Create Scenario

Save Scenario

Apply

Parameters

1. Common Settings

Generation Mode

Comment

Elevation Mask Angle

Troposphere Model

Ionosphere Model

Scenario Type

Initial Longitude

Initial Latitude

Initial Altitude

Start Date

Start Time (GPS Time)

Duration (HH:mm:ss)

Source Scenario File

Save Edit Log

Edit Mode

Source Channel

Destination Channel

Start Time

Stop Time

Power Offset

Delay Offset

Doppler Shift

Ionosphere Parameters

NMEA Message File

Trajectory Mode

2. GPS Settings

Enabled

Output A-GPS and Ephemeris Files

Output GPS Raw Scenario Data

GPS Ephemeris File (Optional)

GPS Almanac File

GPS AS Flag

3. GLONASS Settings

Enabled

Output GLONASS Assistance Data and Ephemeris Files

Output GLONASS Raw Scenario Data

GLONASS Ephemeris File (Optional)

GLONASS Almanac File

GLONASS Meander Coding

4. Galileo Settings

Enabled

Output Galileo Assistance Data and Ephemeris Files

Output Galileo Raw Scenario Data

Galileo Ephemeris File (Optional)

Galileo Almanac File

Galileo Navigation Message

5. Beidou Settings

Enabled

Output Beidou Assistance Data and Ephemeris Files

Output Beidou Raw Scenario Data

Beidou Ephemeris File (Optional)

Beidou Almanac File

6. SBAS Settings

Enabled

Output SBAS Ephemeris File

Output SBAS Raw Scenario Data

SBAS Ephemeris File (Optional)

SBAS Almanac File

SBAS Message

7. QZSS Settings

Enabled

Output QZSS Ephemeris File

Output QZSS Raw Scenario Data

QZSS Ephemeris File (Optional)

QZSS Almanac File

8. Leap Second Settings

Leap Seconds Mode

User Leap Seconds

9. Antenna Pattern Settings

Antenna Pattern

Elevation Resolution

Azimuth Resolution

Azimuth Rotation

Toolbar Functions

Create Scenario

Couplings: This Closed button is only active when Generation Mode is set to Create.

Clicking this button displays a dialog box, asking you to specify the file path and name, and then creates the scenario file. When the scenario is successfully created, the graphic panel under the 'Scenario Graphics' tab displays the content of satellite channels in the scenario. Any related error messages are appended to the log window.

Save Scenario

Couplings: This Closed button is only active when Generation Mode is set to Edit .

Clicking this button displays a dialog, asking you to specify the file path and name, and then save the edited scenario file. When the scenario file is saved, the message 'Save to scenario file <path and file name>' is appended to the log window.

Apply

Couplings: This Closed button is only active when Generation Mode is set to Edit.

Clicking this button performs the edit operation to the selected scenario and related parameters, as specified by Edit Mode. When the operation is complete, the graphic panel under 'Scenario Graphics' tab will be updated to reflect the changes made to the scenario. A record of operation details and error messages are appended to log window, as well.

Edit Mode | Related Parameter | Sample Log Text
Delete Channel | Source Channel | Delete channel 1
Apply Power Offset | Source Channel Start Stop Power Offset | Apply power scale of -10 dB to channel 1 from 0 to 3600 seconds
Equalize Power | none | Set power of all satellite channels to equal values.
Create Multipath | Source Channel Destination Channel Start Stop Power Offset Delay offset Doppler Shift | Add path – channel 1 from 0 to 3600 seconds to channel 7 with power offset -10 dB, Doppler offset 1000 Hz, delay offset 10 chips
Trim | Start Stop | Trim scenario – keep time range from 0 to 1800 seconds

Parameters

1. Common Settings

Generation Mode

Choice: Create | Edit

Default: Create

Couplings: 'Apply' button is only active in Edit mode. Switching to 'Edit' mode will cause a graphic panel update and log text window update based on selected scenario file for edit.

Create | This mode creates a new scenario file with the input parameters provided by user.
Edit | In this mode, edit an existing scenario file, and then either save the changes, or rename the scenario and save the changes.

Comment

Default: Blank

Maximum Number of Characters: 32

Add a comment to the scenario. The comment cannot include the special characters <, >,or |. It is available in both the Create and Edit modes. So what is entered in the Create mode is seen and can be modified in the Edit mode.

Source Scenario File

Default: C:\<Program Files> or <Program Files (x86)>\Keysight\Signal Studio\Global Navigation Satellite System\Applications\Gnss\Scenarios\20140103_Beijing.ags

Couplings: This property is only visible when editing an existing scenario.

Select an existing scenario file for editing. After loading a scenario, graphic panel will be updated to display the content of the scenario.

Save Edit Log

Choice: On | Off

Default: Off

This property indicates whether edit log will be saved to a text file along with the scenario. The log file will have the same path and name with scenario file but different extension (.log).

Edit Mode

Choice: Delete Channel | Apply Power Offset | Equalize Power | Create Multipath | Trim

Default: Delete Channel

Couplings: This property is only visible when editing an existing scenario. Each time when a certain type of edit is made to selected scenario, the graphic panel will have some updates accordingly and a new record will be appended to edit log.

Select an edit operation to be applied to the scenario file.

Delete Channel

This mode deletes a satellite channel from the scenario with specified channel index. A 'Satellite Channel' is a basic resource unit in scenario for playing satellite data. During scenario playback, a channel could either be blank (no satellite data), or transmitting data from a satellite with specified SV ID. And at certain time, it may make a transition to another satellite as defined in scenario. See channel plot under 'Scenario Graphics' tab to have in-depth understanding on channel concept.

Apply Power Offset

This mode adds some offset to the power level of some portion in the scenario. The 'Start' and 'Stop' properties specify the time frame over which the power level will be adjusted.

Equalize Power

This mode sets power of all satellites to equal values.

Create Multipath

This mode creates a new multipath channel from a source channel with provided time delay, Doppler shift and power offset. The new channel could be either placed at an existing channel to overwrite it or at a next available channel (index = number of currently used channels + 1).

There are actually two methods to create multipaths:

  • Using the Create Multipath that saves the multipaths to the file and are present each time the scenario file plays.
  • Using the real-time multipath feature that enables creating, modifying, and removing multipaths while the scenario is playing. But the real-time feature does not save the multipaths to the file and they have to be recreated on subsequent scenario stops and starts.

While the software also allows real-time multipath creation for scenarios that were edited with the Create Multipath function, it is not recommended. When a real-time multipath is created for an SV ID that had a multipath added using the Edit mode, Create Mutlipath feature, the real-time multipaths are added to every SV with the same ID. This can cause confusion.

Trim

This mode removes the satellite data from the scenario that falls out of the time range specified by 'Start' and 'Stop'.

You can choose to apply a positive power offset to a channel as well as a negative power offset. If a large positive power offset (> 10 dB) is applied to one of the channels, a CDMA (GPS, Galileo, and Beidou) GNSS receiver might show a higher C/N ratio than what is expected for that satellite, compared to the other satellite channels. For example, if a 15 dB power boost is applied to one channel, the CDMA GNSS receiver might report the C/N ratio on that satellite to be 20 dB higher than the non-boosted channels instead of the expected 15 dB. The reason for this is the CDMA signal, so for any one C/A code, the signals from the other satellites and other C/A codes appear as noise. If you have one satellite that is a very high power signal compared to the others, this strong signal appears as noise to all of the other C/A codes, and it will reduce the apparent C/N ratio for the lower-power signals. Thus the difference in C/N between those lower-power signals and the boosted signal will appear to be greater than the nominal power offset value.

Source Channel

Range: 1 - max channel

Default: 1

Couplings: This property is only visible when editing an existing scenario and the edit mode is not Equalize Power or Trim.

Enter the index of the satellite channel that is to receive the edit operation.

Destination Channel

Range: 1 - number of used channels + 1

Default: 1

Couplings: This property is only visible when editing an existing scenario and the edit mode is Create Multipath.

Enter the index of the channel where to store the newly created multipath channel data. A value of existing channel index will bring up a dialog asking user whether to overwrite the channel data or cancel it. A value of unused channel number (number of used channels + 1) will place the new multipath channel on the next unused channel. The maximum supported channel number is 56.

Start Time

Range: 0 - duration of scenario

Default: 0 s

Couplings: This property is only visible when editing an existing scenario and the edit mode is Apply Power Offset, Create Multipath, or Trim. The Start Time in the scenario cannot be larger than the Stop Time.

Enter the start time in the scenario in seconds for a specific edit operation, with a resolution of 0.6 second.

Stop Time

Range: 0 - duration of scenario

Default: 3600 s

Couplings: This property is only visible when editing an existing scenario and the edit mode is Apply Power Offset, Create Multipath, or Trim. The Stop Time in the scenario can not be less than Start Time.

Enter the stop position in the scenario in seconds for a specific edit operation, with a resolution of 0.6 second.

Power Offset

Range: -40 dB to 20 dB

Default: 0.00 dB

Couplings: This property is only visible when editing an existing scenario and the edit mode is either Apply Power Offset or Create Multipath.

Enter the power offset to be applied to a specific satellite channel. Adjust this offset value to control the relative power levels among satellite channels. The offset is applied to the Source Channel entry.

Delay Offset

Range: -102300 chip to 102300 chip

Default: 0.00 chip

Couplings: This property is only visible when editing an existing scenario and the edit mode is Create Multipath.

Enter the time delay of the multipath channel in GPS chips at 1.023 Mcps.

Regardless of the constellation or constellations used in a scenario, the delay offset remains measured in GPS chips.

Doppler Shift

Range: -125 kHz to 125 kHz

Default: 0.00 Hz

Couplings: This property is only visible when editing an existing scenario and the edit mode is Create Multipath.

Enter the Doppler shift of the multipath channel in Hz.

Elevation Mask Angle

Range: -30 degrees to 30 degrees

Default: 5.00 degrees

Couplings: This property is only visible in Create mode.

Enter the angle above the horizon for the location of desired satellite to use in the scenario. Satellites below this angle will not be used. Increasing this angle will reduce the number of visible satellites in the generated scenario.

Troposphere Model

Choice: No Model | NATO

Default: No Model

Couplings: This property is only visible in Create mode.

Select the troposphere model to be applied to satellite signals in the generated scenario.

Ionosphere Model

Choice: No Model | Klobuchar

Default: No Model

Couplings: This property is only visible in Create mode.

Select the ionosphere model to be applied to satellite signals in the generated scenario.

Ionosphere Parameters

Default: 4.6566129E-09, 1.4901161E-08, -5.96046E-08, -5.96046E-08, 79872, 65536, -65536, -393216

Couplings: This property is only visible when Ionosphere Model is Klobuchar.

Set the Alpha and Beta parameters for ionosphere model calculation. The format is Alpha[0], Alpha[1], Alpha[2], Alpha[3], Beta[0], Beta[1], Beta[2], Beta[3]. See table below for Alpha and Beta setup:

Parameter | Default | Min | Max
Alpha[0] | 4.6566129e-9 | -1.1920928955078125e-7 | 1.1920928955078125e-7
Alpha[1] | 1.4901161e-8 | -9.5367431640625e-7 | 9.5367431640625e-7
Alpha[2] | -5.96046e-8 | -7.62939453125e-6 | 7.62939453125e-6
Alpha[3] | -5.96046e-8 | -7.62939453125e-6 | 7.62939453125e-6
Beta[0] | 79872 | -2.62144e+5 | 2.62144e+5
Beta[1] | 65536 | -2.097152e+6 | 2.097152e+6
Beta[2] | -65536 | -8.388608e+6 | 8.388608e+6
Beta[3] | -393216 | -8.388608e+6 | 8.388608e+6

Scenario Type

Choice: Static | Dynamic

Default: Static

Couplings: This property is only visible in Create mode.

Select the scenario type to be generated.

Static | Scenario will be generated for a static GNSS receiver with fixed longitude, latitude and altitude.
Dynamic | Scenario will be generated for a moving GNSS receiver based on the provided trajectory data.

NMEA Message File

Default: C:\<Program Files> or <Program Files (x86)>\Keysight\Signal Studio\Global Navigation Satellite System\Applications\Gnss\Scenarios\Beijing.gga

Couplings: This property is only visible when creating a Dynamic scenario. When a new NMEA file is selected, Start Date Time will be updated according to the content of the file.

Select a NMEA message file for dynamic scenario creation, which contains RMC/GGA messages generated by a GNSS receiver or the trajectory generator utility. The recommended sampling rate of input NMEA message file is 0.1 Hz- 20 Hz.

The software requires that the GGA file contain a minimum of three sentences with each sentence having a different data point.

Trajectory Mode

Choice: Hold Last Location | Round Trip | Auto Rewind.

Default: Hold Last Location

Couplings: This property is only visible when creating a Dynamic scenario and the Scenario Source in GNSS node is Scenario Generator Settings.

Since the length of NMEA data is limited while the real time scenario generation can be infinite length, when the NMEA message files reaches the end, there are three different Trajectory Modes available shown below. Select one of the following modes to import NMEA data into scenario generation.

Trajectory Mode | Descriptions
Hold Last Location | When the NMEA message file reaches the end, user can choose to hold at the last location.
Round Trip | When the NMEA message file reaches the end, user can choose to make a round trip back.
Auto Rewind | When the NMEA message file reaches the end, user can choose to make an auto rewind to the beginning.

Initial Longitude

Default: 116.478479 E

Couplings: This property is only visible when creating a Static scenario.

Enter the initial longitude in degrees of GPS receiver position to be simulated in a static scenario.

Initial Latitude

Default: 40.0096856 N

Couplings: This property is only visible when creating a Static scenario.

Enter the initial latitude in degrees of GPS receiver position to be simulated in a static scenario.

Initial Altitude

Range: -100 m to 10000 m

Default: 100.00 m

Couplings: This property is only visible when creating a Static scenario.

Enter the initial altitude in meters of GPS receiver position to be simulated in a static scenario.

Start Date

Couplings: This property is only visible in Create mode.

The start date is automatically set by the software or the user can ignore the auto-updated date and manually enter their own value, but it's recommended to use the same date as the almanac date.

  • For static scenarios, the start date is automatically updated by TOA (Time of Applicability--also referred to as the almanac reference time) information in the selected almanac files.

  • For dynamic scenarios, the software always uses the start date from the NMEA message, which is determined by the first RMC message in the NMEA message file. However, user input is allowed if there is a need to overwrite these values. If the RMC messages are not included in the NMEA message file, the scenario uses the TOA from the selected almanac. The user may want to manually change the date to the one that they want to simulate.

  • Manually set the date in one of two methods:

    • by entering the date directly into the property using the yyyy-MM-dd format--the start date must be later than 1980-01-06
    • by clicking the cell and using the dialog box button [image] to launch the Closed Date Time Editor. By using the editor, you can set both the Start Date and Start Time (GPS Time) values. The editor allows user to enter date time either in Week/Tow mode or in Year/Month/Day/Hour/Minute/Second mode. The start date and time must be later than 1980-01-06 00:00:00.

Start Time (GPS Time)

Couplings: This property is only visible in Create mode.

Use the date time editor or manually enter the start GPS time for the simulated scenario in HH:mm:ss format:

The start time is automatically set by the software or the user can ignore the auto-updated time and manually enter their own value.

  • For static scenarios, the start time is automatically updated by TOA information in the selected almanac files.

  • For dynamic scenarios, start time is also automatically updated by the first GGA message in the selected NMEA file. User can ignore the auto-updated time and manually enter their own value, but it's recommended to use a start time on a 6 second boundary.

  • Manually set the time in one of two methods:

    • by entering the time directly into the property using the hh-mm-ss format--the start time must be later than 00:00:00
    • by clicking the cell and using the dialog box button [image] to launch the Closed Date Time Editor. By using the editor, you can set both the Start Date and Start Time (GPS Time) values. The editor allows user to enter date time either in Week/Tow mode or in Year/Month/Day/Hour/Minute/Second mode. The start date and time must be later than 1980-01-06 00:00:00. It is recommended to use a start time on a 6 second boundary, because GPS time-of-week is counted in units of 6 seconds.

To ensure the simulated scenario reflects real-world conditions, the start date should be within 4 weeks of the GPS almanac file and within 1 week of the GLONASS almanac file. Otherwise, software will display a warning or fail to generate the scenario. It’s strongly recommended to use almanac files on the same day with Start Date Time.

Duration (HH:mm:ss)

Default: 01:00:00

Couplings: This property is only visible when creating a Static scenario and the GNSS node property Scenario Source is set to User Scenario File.

Enter the duration of the scenario to be created in <HH:mm:ss> format. Scenario Duration must be a multiple of 3 seconds.

2. GPS Settings

GPS Enabled

Choice: On| Off

Default: On

Couplings: This property is only visible in Create mode.

Enable or disable GPS constellation in scenario generation.

Output A-GPS and Ephemeris Files

Choice: On | Off

Default: Off

Couplings: This property is only visible in Create mode.

Indicate whether A-GPS parameter file and matching ephemeris file will be created along with the scenario file.

With the cell set to On, the software creates and outputs two csv files: one file contains the A-GPS data with _agps appended to the file name, and the other file contains the ephemeris data with _gps_ephemeris appended to the file name. The software uses data from the selected almanac file to generate the two files.

Figure 1: GPS Acquisition Assist - Information Elements appearing once per satellite

Output GPS Raw Scenario Data

Choice: On| Off

Default: Off

Couplings: This property is only visible in Create mode and is only active when connected to a properly licensed instrument.

With the On selection, the software outputs a csv file during the scenario generation that is placed in the same directory as the generated scenario file. Each row of information is provided at 600 ms TOW intervals.

The csv file uses the same name as the scenario file with the exception of having _gps_raw_data appended to the end of the file name (<scenariofilename>_gps_raw_data.csv). The raw data file also includes columns for longitude, latitude, and altitude that are populated with zeros. These columns are reserved for future use and the zeros have no data value.

For more information on the file format and information, see the Raw Scenario Data topic.

GPS Ephemeris File (Optional)

Default: No file selected

Couplings: This property is only visible in Create mode.

Select the ephemeris data file in comma-separated format or in Rinex format for scenario creation. This property is optional for creating a scenario and could be left with no file selected.

GPS Ephemeris files in Rinex format are available at the following link: ftp://cddis.gsfc.nasa.gov/gnss/data/campaign/mgex/daily/rinex3/

If no file is selected, the software uses data from the selected almanac file to create its own internal ephemeris file data. Ephemeris files are typically required to create specific scenarios required for some 3GPP conformance tests.

Figure 2: Ephemeris Parameters

If you use an ephemeris file created with the Output A-GPS and Ephemeris Files cell, before using it, you must modify the file by removing the first line (header line) of the file. To modify the file, use either a text editor or Microsoft Excel. Ensure to re-save the file in the same format, comma separated values (.csv).

GPS Almanac File

Default: C:\<Program Files> or <Program Files (x86)>\Keysight\Signal Studio\Global Navigation Satellite System\Applications\Gnss\Scenarios\20140103_GPS.alm

Couplings: This property is only visible in Create mode.

Select the almanac data file in YUMA format for scenario creation. The Start Date and Start Time (GPS Time) properties are always updated to the TOA (Time of Application) found in the currently selected almanac file.

The software only accepts this file in the Yuma format. You can obtain this required file from the URL: http://www.navcen.uscg.gov/?pageName=gpsAlmanacs and save it to your PC.

GPS AS Flag

Range: 0 to 1

Default: 0

Set GPS AS Flag for scenario generation.

3. GLONASS Settings

GLONASS Enabled

Choice: On| Off

Default: On

Couplings: This property is only visible in Create mode.

Enable or disable GLONASS constellation in scenario generation.

Output GLONASS Assistance Data and Ephemeris Files

Choice: On| Off

Default: Off

Couplings: This property is only visible in Create mode.

This property indicates whether GLONASS assistance data file and matching ephemeris file will be created along with the scenario file.

With the cell set to On, the software creates and outputs two additional files: one file contains the assistance data in csv format with _glonass_assist appended to the file name, and the other contains the ephemeris data in Rinex format with _rinex13g appended to the file name. The software uses data from the selected almanac file to generate the two files.

Output GLONASS Raw Scenario Data

Choice: On| Off

Default: Off

Couplings: This property is only visible in Create mode and is only active when connected to a properly licensed instrument.

With the On selection, the software outputs a csv file during the scenario generation that is placed in the same directory as the generated scenario file. Each row of information is provided at 600 ms TOW intervals.

The csv file uses the same name as the scenario file with the exception of having _glo_raw_data appended to the end of the file name (<scenariofilename>_glo_raw_data.csv). The raw data file also includes columns for longitude, latitude, and altitude that are populated with zeros. These columns are reserved for future use and the zeros have no data value.

For more information on the file format and information, see the Raw Scenario Data topic.

GLONASS Ephemeris File (Optional)

Couplings: This property is only visible in Create mode.

GLONASS ephemeris files in Rinex format could be downloaded at ftp://ftp.glonass-iac.ru/IGS/DATA/ .

If no file is selected, the software uses data from the selected almanac file to create its own internal ephemeris file data. Ephemeris files are typically required to create specific scenarios required for some 3GPP conformance tests.

GLONASS Almanac File

Default: C:\<Program Files> or <Program Files (x86)>\Keysight\Signal Studio\Global Navigation Satellite System\Applications\Gnss\Scenarios\20140103_GLO.agl

Couplings: This property is only visible in Create mode.

Select GLONASS almanac data file in AGL format for scenario creation. Refer to GLONASS Almanac - AGL File format for more details. The Start Date and Start Time (GPS Time) properties are always updated to the TOA (Time of Application) found in the currently selected almanac file.

The software only accepts this file in the AGL format (*.agl). You can obtain this required file from the URL: ftp://ftp.glonass-iac.ru/MCC/ALMANAC/2013 and save it to your PC.

GLONASS Meander Coding

Choice: XOR | NXOR

Default: NXOR

Couplings: This property is only visible in Create and mode.

Select the method of how meander sequence is applied to GLONASS information bits. XOR means bit '0' is coded to '10' and bit '1' to '01', while NXOR means bit '0' is coded to '01' and bit '1' to '10'.

It is strongly recommended that you use the default NXOR setting when generating GLONASS scenarios.

4. Galileo

Enabled

Choice: On| Off

Default: On

Couplings: This property is only visible in Create mode.

Enable or disable Galileo constellation in the scenario generation.

Output Galileo Assistance Data and Ephemeris Files

Choice: On| Off

Default: Off

Couplings: This property is only visible in Create mode.

This property indicates whether Galileo assistance data file and matching ephemeris file will be created along with the scenario file.

With the cell set to On, the software creates and outputs two csv files: one file contains the assistance data with _galileo_assist appended to the file name, and the other file contains the ephemeris data with _galileo_ephemeris appended to the file name. The software uses data from the selected almanac file to generate the two files.

Output Galileo Raw Scenario Data

Choice: On| Off

Default: Off

Couplings: This property is only visible in Create mode and is only active when connected to a properly licensed instrument.

With the On selection, the software outputs a csv file during the scenario generation that is placed in the same directory as the generated scenario file. Each row of information is provided at 600 ms TOW intervals.

The csv file uses the same name as the scenario file with the exception of having _gal_raw_data appended to the end of the file name (<scenariofilename>_gal_raw_data.csv). The raw data file also includes columns for longitude, latitude, and altitude that are populated with zeros. These columns are reserved for future use and the zeros have no data value.

For more information on the file format and information, see the Raw Scenario Data topic.

Galileo Ephemeris File (Optional)

Default: No file selected

Couplings: This property is only visible in Create mode.

Select the ephemeris data file in comma-separated format for scenario creation. This property is optional for creating a scenario and could be left with no file selected.

Galileo Almanac File

Default:C:\<Program Files> or <Program Files (x86)>\Keysight\Signal Studio\Global Navigation Satellite System\Applications\Gnss\Scenarios\20140103_GAL.alm

Couplings: This property is only visible in Create mode.

Select the almanac data file in YUMA format for scenario creation. The Start Date and Start Time (GPS Time) properties are always updated to the TOA (Time of Application) found in the currently selected almanac file.

Galileo Navigation Message

Couplings: This property is only visible in Create mode.

Click to display the Galileo Navigation Message Editor, which enables you to configure navigation parameters.

To view help for a parameter in the Message Editor, hover the mouse pointer on a parameter name to display a tooltip as shown below:

5. Beidou Settings

Enabled

Choice: On| Off

Default: On

Couplings: This property is only visible in Create mode.

Enable or disable Beidou constellation in the scenario generation.

Output Beidou Assistance Data and Ephemeris Files

Choice: On| Off

Default: Off

Couplings: This property is only visible in Create mode.

This property indicates whether Beidou assistance data file and matching ephemeris file will be created along with the scenario file.

With the cell set to On, the software creates and outputs two csv files: one file contains the assistance data with _bds_assist appended to the file name, and the other file contains the ephemeris data with _bds_ephemeris appended to the file name. The software uses data from the selected almanac file to generate the two files.

Output Beidou Raw Scenario Data

Choice: On| Off

Default: Off

Couplings: This property is only visible in Create mode and is only active when connected to a properly licensed instrument.

With the On selection, the software outputs a csv file during the scenario generation that is placed in the same directory as the generated scenario file. Each row of information is provided at 600 ms TOW intervals.

The csv file uses the same name as the scenario file with the exception of having _bds_raw_data appended to the end of the file name (<scenariofilename>_bds_raw_data.csv). The raw data file also includes columns for longitude, latitude, and altitude that are populated with zeros. These columns are reserved for future use and the zeros have no data value.

For more information on the file format and information, see the Raw Scenario Data topic.

Beidou Ephemeris File (Optional)

Default: No file selected

Couplings: This property is only visible in Create mode.

Select the ephemeris data file in comma-separated (csv) format or in Rinex format for scenario creation. This property is optional for creating a scenario and could be left with no file selected.

Beidou ephemeris files in Rinex format are available at the following link:

ftp://cddis.gsfc.nasa.gov/gnss/data/campaign/mgex/daily/rinex3/

Beidou Almanac File

Default: C:\<Program Files> or <Program Files (x86)>\Keysight\Signal Studio\Global Navigation Satellite System\Applications\Gnss\Scenarios\20140103_BDS.alm

Couplings: This property is only visible in Create mode.

Select the almanac data file in YUMA format for scenario creation. The Start Date and Start Time (GPS Time) properties are always updated to the TOA (Time of Application) found in the currently selected almanac file.

6. SBAS Settings

Enabled

Choice: On| Off

Default: On

Couplings: This property is only visible in Create mode.

Enable or disable SBAS constellation in the scenario generation.

Output SBAS Ephemeris File

Choice: On| Off

Default: Off

Couplings: This property is only visible in Create mode.

This property indicates whether SBAS ephemeris file will be created along with the scenario file.

Output SBAS Raw Scenario Data

Choice: On| Off

Default: Off

Couplings: This property is only visible in Create mode and is only active when connected to a properly licensed instrument.

This property indicates whether SBAS raw scenario data file will be created along with the scenario file.

For more information on the file format and information, see the Raw Scenario Data topic.

SBAS Ephemeris File (Optional)

Default: No file selected

Couplings: This property is only visible in Create mode.

Select SBAS ephemeris data file in Rinex format for scenario creation. This property is optional for creating a scenario and could be left blank with no file selected.

SBAS Almanac File

Default: C:\Program Files (x86)\Keysight\Signal Studio\Global Navigation Satellite System\Applications\Gnss\Scenarios\SBAS.alm

Select the almanac data file in YUMA format for scenario creation.

SBAS Message

Click the button on the right, and the SBAS message configuration dialog box will pop up.

7. QZSS Settings

Enabled

Choice: On| Off

Default: On

Couplings: This property is only visible in Create mode.

Enable or disable QZSS constellation in the scenario generation.

Output QZSS Ephemeris File

Choice: On | Off

Default: Off

Couplings: This property is only visible in Create mode.

This property indicates whether QZSS ephemeris file will be created along with the scenario file.

Output QZSS Raw Scenario Data

Choice: On | Off

Default: Off

Couplings: This property is only visible in Create mode.

This property indicates whether QZSS raw scenario data file will be created along with the scenario file.

This property can be set to On only when connected to an instrument with required scenario generator option.

QZSS Ephemeris File (Optional)

Couplings: This property is only visible in Create mode.

Select QZSS ephemeris data file in csv format for scenario creation. This property is optional for creating a scenario and could be left blank with no file selected.

QZSS Almanac File

C:\Program Files (x86)\Keysight\Signal Studio\Global Navigation Satellite System\Applications\Gnss\Scenarios\20140103_QZS.alm

Couplings: This property is only visible in Create mode.

Select the QZSS almanac data file in YUMA format for scenario creation. The Start Date and Start Time (GPS Time) properties are always updated to the TOA (Time of Application) found in the currently selected almanac file.

8. Leap Second Settings

Leap Seconds Mode

Choice: Official | User

Default: Official

Select the mode on how to apply leap seconds to scenario creation.

Official | Scenario will be generated using the official leap seconds defined by the International Earth Rotation and Reference System Service (IERS). 16 leap seconds at 2012.7.1 (2012 July 1).
User | Enables the user to set their own leap seconds. With this selection, the software adds the User Leap Seconds property that is used to launch the Leap Seconds Editor.

User Leap Seconds

Couplings: This property is only visible when the Leap Seconds Mode is User.

Click the cell and then the ... button to access the Leap Seconds Editor.

When using user-defined leap seconds in creating a scenario, the scenario length needs to be at least 12.5 minutes long to ensure that the user-defined leap second information will be included in the scenario. The leap second information is contained in frame 4, page 18 of the navigation message. The entire 25-page navigation message repeats every 12.5 minutes, and where the navigation message starts in the scenario depends on the scenario start date and time. For a dynamic scenario, since the scenario length is determined by the length of the NMEA message (GGA) file, the file must contain a trajectory that lasts at least 12.5 minutes.

9. Antenna Pattern Settings

Antenna Pattern

Choice: On | Off

Default: Off

This property indicates whether gain mask for antenna pattern will be enabled for the generated scenarios.

Elevation Resolution

Range: 1° - 90°

Default: 10.00°

Enter the satellite elevation resolution for creating the gain mask of antenna pattern. When this value is changed, gain mask for antenna pattern will be rebuilt and reset to default values(0 dB).

Azimuth Resolution

Range: 1° - 90°

Default: 30.00°

Enter the satellite azimuth resolution for creating the gain mask of antenna pattern. When this value is changed, gain mask for antenna pattern will be rebuilt and reset to default values(0 dB).

Azimuth Rotation

Range: 0° - 360°

Default: 0°

Enter the rotation of configuring antenna pattern from the base pattern, in which 0° azimuth pointing to the north. When this value is changed, antenna pattern panel will be updated to reflect the rotation.


Scenario Graphics

The Scenario Graphics node is divided into two parts: a graphic panel on the top and generation log window at the bottom. The graphics panel displays the content of the selected scenario, where each constellation is represented by a different color. The left side of each channel bar displays the SV ID, which is coded with a constellation prefix of:

  • G on a blue channel bar = GPS

  • R on a green channel bar= GLONASS

  • E with an orange channel bar = Galileo

  • B with a red channel bar = Beidou

  • S with a purple channel bar = SBAS

  • Q with a yellow channel bar = QZSS

Black space on a channel bar indicates that no signal is transmitted on the channel for that period. The time axis of the scenario is displayed at the bottom of channel bars. The content of the graphic panel is updated whenever a new scenario file is created or a scenario file is selected for the editing.

The generation log window provides the information on the scenario generation process, including scenario header, generation results, warnings and errors. Whenever you click the 'Create Scenario', 'Save Scenario' or 'Apply' buttons, or load a new scenario for editing, new messages will be appended to log window. You can use these messages for troubleshooting, for example, to verify correct input parameters.


Antenna Pattern

Toolbar Functions

Save Antenna

Recall Antenna

Descriptions

Orientation Reference

Configure Antenna Pattern

Antenna Pattern Rotation

Color Coding

Toolbar Functions

Save Antenna

The Save Antenna Closed button on the toolbar allow you to save an already configured antenna pattern to a file.

The Closed antenna pattern file is in *.csv format with the header in the first line like this:

Sample antenna pattern file

AGILENT_ANTENNA_PATTERN, version number, file name, elevation resolution value, azimuth resolution value, azimuth rotation value, generation date time, Keysight Technologies

The rows and columns represent the azimuth and elevation blocks, respectively. For example, the first data column represents the gain values for elevation [0° - 10°] across the whole azimuth range. The second data row represents the gain values for azimuth [30° - 60°] across the whole elevation range. Change the antenna pattern by editing the cell values.

The antenna pattern is not saved with the other scenario generation parameters using the Save button.

Recall Antenna

The Recall Antenna Closed button on the toolbar allow you to recall a previous pattern from a file.

Descriptions

Orientation Reference

The compass on the top-left corner provides the orientation reference for the sky-view gain mask. The compass indicator changes, depending on which Scenario Type (static or dynamic) you select for the Scenario Generator.

Static Scenarios

For a static scenario, the gain mask configuration uses an absolute north/south/east/west (NSEW) coordinate system, in which 0 degrees azimuth indicates north. The compass indicator in the display shows Closed NSEW for the gain mask configuration. During the scenario generation, when a satellite appears in a cell specified by an elevation/azimuth pair, its power will be attenuated by the assigned gain value.

Dynamic Scenarios

For a dynamic scenario, the gain mask configuration uses a forward/backward/left/right (FBLR) system that is relative to the moving receiver, in which 0 degrees azimuth is always pointing forward. The compass indicator in the display shows Closed FBLR for the gain mask configuration. When the receiver is in motion, the scenario generator translates the gain mask into the NSEW coordinate system by rotating the azimuth and elevation, based on the receiver's motion at each sample point. This simulates a GNSS receiver mounted in a moving car with the gain mask configured to reflect some fixed attenuation from the car body. When the car changes direction, the gain mask will have a corresponding azimuth rotation. When the car climbs or goes down a slope, the gain mask will have an elevation rotation.

To eliminate possible errors resulting from an imperfect NMEA message file, error checking is applied to the elevation rotation. For example, if you are using a GGA file recorded from a GNSS receiver and the data was sampled at a low rate, whenever the receiver becomes stationary (no changes to longitude or latitude), the scenario generator may erroneously calculate a +/-90 degree elevation rotation. To prevent this type of error, the software does not apply elevation rotation in the following cases:

  • Whenever the receiver is moving at a speed that is less than 1 m/s.

  • Whenever the receiver is climbing a slope greater than 60 degrees or is going down a slope less than –60 degrees, which is highly unlikely in the real world.

Configure Antenna Pattern

Configure the Antenna Pattern by filling the cells in the sky-view with proper gain values to form a gain mask. The gain mask for the antenna pattern is divided into cells with elevation in the radial direction and azimuth angle increasing in the clockwise direction. Configure the antenna pattern using the methods below. To accept the input values, either press Enter or click anywhere on the graphic.

  • To configure the gain of a cell, double-click in a cell and enter the gain value.

    The valid range of input gain is [-60 dB to 0 dB]. When the gain is 0 dB, the cell will remain black with no value displayed.

  • To configure a sector area specified by an azimuth range, right-click in the area within the azimuth range but outside 0° elevation and enter the gain value.

  • To configure a ring area specified by an elevation range, right-click on any cells within the elevation range and enter the gain value.

  • To turn off the instructions in the hint area of the UI and expand the antenna pattern viewing area, uncheck the Hint box.

Antenna Pattern Rotation

The default antenna pattern with 0° azimuth pointing to North is called the base pattern. To make the pattern rotate from the base pattern with a specified angle, change Azimuth Rotation in the Scenario Generator tab. Antenna Pattern rotation is useful for modeling receiver antenna that will change its orientation in different test environments.

The figure below shows an antenna pattern with 20° of rotation.

Color Coding

The figure and table below show the colors used for gain value ranges on the sky-view gain mask.

Gain Value Range | Cell Color
-5 dB to 0 dB | Yellow
-10 dB to -5 dB | Orange
-15 dB to -10 dB | Yellow/Green
-20 dB to -15 dB | Lime
-25 dB to -20 dB | Green
-30 dB to -25 dB | Cyan
-35 dB to -30 dB | Blue/Green
-40 dB to -35 dB | Blue
-45 dB to -40 dB | Purple
-50 dB to -45 dB | Pink
-55 dB to -50 dB | Red
-60 dB to -55 dB | Dark Red


Trajectory Generator

The settings in this topic are available only with the Capability property selection of Advanced Real-time Signal Generation found in the GNSS node. The trajectory generator capability requires the purchase of an advanced real-time option that includes the scenario generator.

To view the results of the trajectory generator settings, use the Closed Trajectory Preview node.

Toolbar Functions

Save Trajectory

Recall Trajectory

Convert KML

Add

Remove

Copy

Up

Down

Clear

Shapes

Export

Parameters

Reference Longitude

Reference Latitude

Reference Altitude

Initial Velocity

Initial Direction(Azimuth Angle in Degrees)

Sampling Rate

Start Time (UTC)

Basis for Segment Length

Repeat Number

Segment

Duration(s)

Distance(m)

Accelerate(m / s2)

Ending Velocity(m / s)

Angle(° )

Radius(m)

Climb(m / s)

Toolbar Functions

Save Trajectory

Click this Closed button to launch a dialog box to name and save the current trajectory settings, which also includes the segment settings. This does not save the trajectory for use with a scenario. To use the trajectory with a scenario, use the Export function.

Recall Trajectory

Click this Closed button to launch a dialog box to load a previously saved trajectory settings file, which also includes the segment settings.

Convert KML

Clicking this button displays a KML to NMEA Converter dialog box, asking you to select the KML files you've saved.

Add

Choice: Wait | Straight | Turn

Add a single segment item to the trajectory table.

Remove

Remove a single segment item from the existing trajectory table.

Copy

Copy an existing segment item to the original trajectory table.

Up

Move an existing segment item up in the original trajectory table.

Down

Move an existing segment item down in the original trajectory table.

Clear

Delete all the existing segment items from the original trajectory table.

Shapes

Choice: Rectangle | Circle

Click on Shapes and select either rectangle or circle to quickly generate a simple trajectory, which can be viewed in Trajectory Preview node.

Export

Choice: Google Map html | Google Earth Kml | NMEA GGA

Once the trajectory has been defined, the path data can be saved as an NMEA GGA format file, a Google Map html file, or a Google Earth kml file, which could be utilized in different applications.

NMEA GGA

Creates a file for use in the Scenario Generator. The Scenario Generator uses the NMEA GGA file when the Scenario Type is Dynamic.

Google Map html

Creates a trajectory file, that when double clicked, launches your web-browser that displays a picture of the coordinates with the overlay of the trajectory.

Google Earth kml

Creates a Google Earth file that when double-clicked, launches Google Earth. Google Earth use the data from the file to display the coordinates with the overlay of the trajectory.

If needed, use the software's KML to NMEA Converter to convert the Google Earth kml file to an NMEA GGA file for use by the Scenario Generator.

To view the Google Map html and Google Earth kml files, this requires the installation of Google Earth.

Parameters

Reference Longitude

Enter the reference longitude of starting location of the trajectory in degrees. Enter a positive number for East and negative number for West or a positive number with W/E appended.

Reference Latitude

Enter the reference latitude of starting location of the trajectory in degrees. Enter a positive number for North and negative number for South or a positive number with N/S appended.

Reference Altitude

Range: -100 m - 10000 m

Default: 100 m

Enter the reference altitude in meters of starting location of the trajectory.

Initial Velocity

Range: 0 - 200 m/s

Default: 0.0 m/s

Enter the initial velocity of the moving GNSS receiver at the beginning of the trajectory in meter/second.

Initial Direction(Azimuth Angle in Degrees)

Range: 0 - 360°

Default: 0.0°

Enter the initial direction in azimuth degrees that the moving GNSS receiver is heading for at the beginning of the trajectory. 0° points to the north and azimuth increases along the clockwise direction.

Sampling Rate

Range: 0.1 - 20 Hz

Default: 1 Hz

Enter the sampling rate in Hz with which the trajectory is sampled. Higher sampling rate provides better fitting of the trajectory. Total sampling points of the trajectory will be the product of sampling rate and duration.

Start Time (UTC)

Range: 00:00:00 - 23:59:59

Default: 00:00:00

Enter the start time at the beginning of the trajectory. This time will appear in the first line of generated NMEA GGA file.

Basis for Segment Length

Choice: Duration | Distance

Default: Duration

Select the basis of segment length. Duration means that user defines the segment length by specifying its duration in seconds and distance is automatically calculated based on other settings. Distance mode defines segment length by specifying its distance in meters and duration is automatically calculated based on other settings.

Repeat Number

Range: 1 - 100

Default: 1

Enter the number of times that the segments in the list will be repeated to form a longer trajectory. This function does not check to see if start and stop position of the trajectory path are the same, so if they are not, a jump will occur in the receiver’s position when the path is repeated. For a smooth trajectory, this function should only be used with a closed-loop trajectory path such as a circle or rectangle.

Segment

This column displays the segment type. Select the segment type using the Add button drop-down menu.

Duration(s)

Coupling:

When this cell is changed, Distance and Ending Velocity will change accordingly.

Editable with only the Wait and Straight segment types.

Enter the duration in seconds of the segment.

Distance(m)

The software automatically calculates the distance value using the following formulas:

  • Straight segment type:

    Distance = initial velocity x Duration + Accelerate x Duration2

    Initial velocity is equal to the ending velocity of the previous segment, or if the first segment is a wait, then the initial velocity is the value entered into the Initial Velocity cell.

    A change to any of the three values changes the distance value.

  • Turn segment type:

    Distance = Angle X Radius

Accelerate(m / s2)

Coupling:

Editable with only the Straight and Turn segment types.

A change in this value also affects the values for Distance(m) and Ending Velocity(m / s), or a change in either of the other two values changes this value.

Enter the accelerate value in meters per second square of the segment.

Ending Velocity(m / s)

Coupling:

Editable with only the Straight and Turn segment types.

A change in this value also affects the values for Duration(s) and Accelerate(m / s2) , or a change in either of the other two values changes this value.

Enter the ending velocity in meters per second.

For a Straight segment type: Ending Velocity = Initial velocity + Accelerate x Duration

Initial velocity is equal to the ending velocity of the previous segment, or if the first segment is a wait, then the initial velocity is the value entered into the Initial Velocity cell.

Angle( ° )

Coupling: Editable with only the Straight and Turn segment types.

Enter the Angle in degrees.

Radius(m)

Coupling: Editable with only the Turn segment type.

Enter the Radius in meters.

Climb(m / s)

Coupling: Editable with only the Straight and Turn segment types.

Enter the climb rate of the moving GPS receiver in m/s. This property will only affect the altitude.


Signal IO

The settings in this topic are available only with the Capability property selection of Advanced Real-time Signal Generation found in the GNSS node.

Parameters

Marker 1, Marker 3, Marker 4

Timing Adjustment

Parameters

Marker 1, Marker 3, Marker 4

Choices: Start | Pulse per second | Pulse per millisecond

Default: Marker 1--Start, Marker 3--Pulse per second, Marker 4--Pulse per millisecond

Select the signal pattern for the marker output. The marker output signal is mapped to a rear panel connector on the signal generator.

On an ESG:

  • Marker 1 correlates to the EVENT1 output connector and the AUX IO connector

  • Marker 3 and Marker 4 correlate to only the AUX IO connector

On an EXG/MXG, all three marker signals are available at the rear panel AUX IO connector, or use the front panel to route two of the marker signals to the following rear panel connectors (one signal per connector):

  • EVENT 1 (marker 1 is the default setting for this connector)

  • TRIG OUT

To access the rear panel connector routing selections from the front panel, use the following hardkey and softkeys: Mode > Real-Time Applications > Real-Time Apps System Settings > Route to Baseband BNCs.

For more information on the signal generator rear-panel connectors and marker output signals, see the signal generator's User Guide.

EXG/MXG:

[:SOURce]:RADio:GNSS[:BBG]:MARKer[1]|3|4]:APRovided:TYPE STARt|MS|PPS

[:SOURce]:RADio:GNSS[:BBG]:MARKer[1]|3|4]:APRovided:TYPE?

Timing Adjustment

Range: …–1 ms to 1 ms (resolution of 15 ns)

Default: 0 ns

Enter an offset value to apply dynamic timing adjustment to Start and Pulse per second markers. A positive value means timing delay and a negative value means timing advance. Hardware supported timing adjustment resolution is 8 ns.

EXG/MXG:

[:SOURce]:RADio:GNSS[:BBG]:MARKer:ALL:DELay <val>

[:SOURce]:RADio:GNSS[:BBG]:MARKer:ALL:DELay?


Script Examples

This section presents some useful example MATLAB scripts.

Change GGA Start Time

The start time and duration of a trajectory are encoded into a GGA file. For some applications, it may be useful to use the same trajectory, but with a different start time. For example, the original trajectory may be starting at 9 AM and it is desired to run the same trajectory at 9 PM. The Matlab script below can be used to create a new GGA file from an existing GGA file. The new file can have a different start time.

change_GGA_start_time.m

function change_GGA_start_time(inputFile, outputFile, startHrs, startMin, startSec)

% change_GGA_start_time - change the starting time of

% a GGA trajectory file.

Example:

change_GGA_start_time('input.gga', 'output.gga', 10, 25, 30);

Create a GGA file for input to the scenario generation process that starts at 10:25:30 using the input GGA file which may start at a different time of day.

Convert RMC to GGA

In some cases, you may want to record the NMEA data stream from a GPS receiver and use it to create a scenario. If the GPS receiver is configured to output NMEA $GPGGA messages, then the recording can be used directly. However, if the receiver is only configured to output $GPRMC data, the file cannot be used for trajectory generation.

The $GPRMC message stream describes the movement of the receiver in terms of latitude and longitude, but it does not describe any altitude data.

This script will read a recorded NMEA data stream, and if it has $GPRMC messages, the output file will contain equivalent $GPGGA messages with the same trajectory. The altitude of the trajectory will be set to some constant value.

Note that recorded scenarios sometimes contain “noisy” latitude and longitude data. If you plot them, you may see that a straight line becomes not so straight – sort of a jerky, noisy, straight line.

If these “noisy” recordings are used to create a scenario, the created scenario will try to follow this noisy path – so be aware of this effect when using recordings to generate scenarios.

ConvertRMC_to_GGA.m

function ConvertRMC_to_GGA( inputFile, outputFile, altitudeInMeters )

% ConvertRMC_to_GGA

% Convert file of NMEA $GPRMC messages to a file of $GPGGA messages

% for input to a scenario generation process.

Example:

ConvertRMC_to_GGA('input.nmea', 'output.gga', 325);

Convert an input file (input.nmea) which contains NMEA $GPRMC messages into an input file (containing $GPGGA messages) for the scenario generator.

The altitude of the scenario will be set to the value of the third parameter, in the example, 325 meters.

MATLAB is a U.S. registered trademark of The Math Works, Inc.


SCPI Commands

SCPI

SCPI Command Basics | provides basic information about SCPI commands.
SCPI Command List | provides a comprehensive list of the EXG and MXG SCPI commands with links to their descriptions.


SCPI Command Basics

This section describes the general use of SCPI commands. It is not intended to teach you everything about the SCPI language; the SCPI Consortium or IEEE can provide that level of detailed information. For a list of the specific commands available, refer to the SCPI list.

For additional information on the SCPI language, refer to the following publications:

  • IEEE Standard 488.1-2003, IEEE Standard For Higher Performance Protocol for the Standard Digital Interface for Programmable Instrumentation. New York, NY, 2003.

  • IEEE Standard 488.2-1992, IEEE Standard Codes, Formats, Protocols and Command Commands for Use with ANSI/IEEE Standard 488.1-1987. New York, NY, 1998.

Common Terms

The following terms are used throughout the remainder of this section:

Command | A command is an instruction in SCPI consisting of mnemonics (keywords), parameters (arguments), and punctuation. You combine commands to form messages that control instruments.
Controller | A controller is any device used to control the instrument, for example a computer or another instrument.
Event Command | Some commands are events and cannot be queried. An event has no corresponding setting; it initiates an action at a particular time.
Query | A query is a special type of command used to instruct the instrument to make response data available to the controller. A query ends with a question mark. Generally you can query any command value that you set.
Response Message | A response message is a collection of data in specific SCPI formats sent from the instrument to the controller. Response messages tell the controller about the internal state of the instrument.

Command Syntax

A typical command is made up of keywords prefixed with colons (:). The keywords are followed by parameters. The following is an example syntax statement:

[:SOURce]:DM:IQADjustment[:STATe] ON|OFF|1|0

In the example above, the [:STATe] portion of the command immediately follows the :DM:IQADjustment portion with no separating space. The portion following [:STATe], ON|OFF|1|0, are the parameters (argument for the command statement). There is a separating space (white space) between the command and its parameter.

Additional conventions in syntax statements are shown in Table 1. Special Characters in Command Syntax and Table 2. Command Syntax.

Table 1. Special Characters in Command Syntax
Characters | Meaning | Example
| | A vertical stroke between keywords or parameters indicates alterative choices. For parameters, the effect of the command varies depending on the choice. | [:SOURce]:IQ:AUX:INPut:STRobe:SLOPe POSitive|NEGative POSitive or NEGative are the choices.
[ ] | Square brackets indicate that the enclosed keywords or parameters are optional when composing the command. These implied keywords or parameters will be executed even if they are omitted. | [:SOURce]:FREQuency[:CW]? SOURce and CW are optional items.
< > | Angle brackets around a word (or words) indicate they are not to be used literally in the command. They represent the needed item. | [:SOURce]:FREQuency[:CW] <value><unit> In this command, the words <value> and <unit> should be replaced by the actual frequency and unit. :FREQuency 2.5GHz
{ } | Braces indicate that parameters can optionally be used in the command once, several times, or not at all. | [:SOURce]:LIST:POWer <value>{,<value>} a single power listing: :LIST:POWer 5 a series of power listings: :LIST:POWer 5,10,15,20

Table 2. Command Syntax

Characters, Keywords, and Syntax

Example

Upper-case lettering indicates the minimum set of characters required to execute the command. But, each mode of the command must be in either short form or the complete long form (no in between).

[:SOURce]:FREQuency[:CW]?,

:FREQ is the minimum requirement.

Lower-case lettering indicates the portion of the command that is optional; it can either be included with the upper-case portion of the command or omitted. This is the flexible format principle called forgiving listening. Refer to Command Parameters and Responses for more information.

:FREQuency

Either :FREQ, :FREQuency, or :FREQUENCY is correct.

:FREQuenc is incorrect.

When a colon is placed between two command mnemonics, it moves the current path down one level in the command tree. Refer to Command Tree for more information on command paths.

:IQ:OUTPut:TRIGger:EXTernal:POLarity?

:IQ is the root level keyword for this command.

If a command requires more than one parameter, you must separate adjacent parameters using a comma. Parameters are not part of the command path, so commas do not affect the path level.

[:SOURce]:LIST:DWELl <value>{,<value>}

White space characters, such as <tab> and <space>, are generally ignored as long as they do not occur within or between keywords.

However, you must use white space to separate the command from the parameter, but this does not affect the current path.

:FREQ uency or :POWer :LEVel are not allowed.

A <space> between :LEVel and 6.2 is mandatory: :POWer:LEVel 6.2

Command Tree

SCPI uses a structure for the commands similar to the file systems on most computers. In SCPI, this command structure is called a command tree and is shown in Figure 2. Simplified Command Tree.

Figure 2. Simplified Command Tree

The command closest to the top is the root command, or simply “the root.” Notice that you must follow a particular path to reach lower level commands. In the following example, :POWer represents AA, :ALC represents BB, :SOURce represents GG. The complete command path is :POWer:ALC:SOURce? (:AA:BB:GG).

Command Parameters and Responses

SCPI defines different data formats for use in program and response messages. It does this to accommodate the principle of forgiving listening and precise talking. For more information on program data types refer to IEEE 488.2.

Forgiving listening means the command and parameter formats are flexible.

For example, with the :OUTPut:STATe ON|OFF|1|0 command, an MXG accepts :OUTPut:STATe ON, :OUTPut:STATe 1, :OUTP:STAT ON, :OUTP:STAT 1 to turn on the RF output.

Each parameter type has one or more corresponding response data types. A setting that you program using a numeric parameter returns either real or integer response data when queried. Response data (data returned to the controller) is more concise and restricted, and is called precise talking.

Precise talking means that the response format for a particular query is always the same.

For example, if you query the power state (:POWer:ALC:STATe?) when it is on, the response is always 1, regardless of whether you previously sent :POWer:ALC:STATe 1 or :POWer:ALC:STATe ON. Table 3. Parameter and Response Types shows the response for a given parameter type.

Table 3. Parameter and Response Types
Parameter Types | Response Data Types
Numeric | Real, Integer
Extended Numeric | Real, Integer
Discrete | Discrete
Boolean | Numeric Boolean
String | String
Definite Block | Arbitrary byte data(i.e. text, binary, discrete, real, integer, etc.-). 1

Numeric Parameters

Numeric parameters are used in many commands and these commands accept all commonly used decimal representations of numbers including optional signs, decimal points, and scientific notation.

If an instrument setting is programmed with a numeric parameter, which can only assume a finite value, it automatically rounds any entered parameter which is greater or less than the finite value. For example, if a signal generator has a programmable output impedance of 50 or 75 ohms, and you specified 76.1 for the output impedance, the value is rounded to 75.

The following are examples of numeric parameters:

100 | no decimal point required
100. | fractional digits optional
-1.23 | leading signs allowed
4.56E<space>3 | space allowed after the E in exponential
-7.89E-001 | use either E or e in exponential
+256 | leading + allowed
.5 | digits left of decimal point optional

Extended Numeric Parameters

When specifying physical quantities, most commands use extended numeric parameters. Extended numeric parameters accept all numeric parameter values and other special values as well.

The following are examples of extended numeric parameters:

100 | any simple numeric value
1.2GHz | GHz can be used for exponential (E009)
200MHz | MHz can be used for exponential (E006)
-100mV | negative 100 millivolts
10DEG | 10 degrees

Extended numeric parameters also include the following special parameters:

DEFault | resets the parameter to its default value
UP | increments the parameter
DOWN | decrements the parameter
MINimum | sets the parameter to the smallest possible value
MAXimum | sets the parameter to the largest possible value

Discrete Parameters

Discrete parameters use mnemonics to represent each valid setting. They have a long and a short form, just like command mnemonics. You can mix upper and lower case letters for discrete parameters.

The following examples of discrete parameters are used with the command

:POWer:ALC:SEARch:REFerence RMS|FIXed|MODulated

RMS | power search uses a DC bias value
FIXed | power search uses a fixed 0.5 V reference
MODulated | power search uses an AC bias from the modulating signal

Although discrete parameters look like command keywords, do not confuse the two. In particular, be sure to use colons and spaces properly. Use a colon to separate command mnemonics from each other and a space to separate parameters from command mnemonics.

The following are examples of discrete parameters in commands:

:POWer:ALC:SEARch:REFerence RMS

:POWer:ALC:SEARch:REFerence FIXed

:POWer:ALC:SEARch:REFerence MODulated

Boolean Parameters

Boolean parameters represent a single binary condition that is either true or false. The two-state boolean parameter has four arguments.

The following list shows the arguments for the two-state boolean parameter:

ON | boolean true, upper/lower case allowed
OFF | boolean false, upper/lower case allowed
1 | boolean true
0 | boolean false

String Parameters

String parameters allow ASCII strings to be sent as parameters. Single or double quotes are used as delimiters.

The following are examples of string parameters:

'This is valid'

"This is also valid"

'SO IS THIS'

Definite Block

Definite block is always prefixed by the # symbol to indicate the beginning of block data. The definite block (#ABC) is described as follows:

# | This character indicates the beginning of the data block
A | Number of digits in the byte count B
B | Byte count in C
C | data

Real Response Data

Real response data represent decimal numbers in either fixed decimal or scientific notation. Most high-level programming languages that support instrument input/output (I/O) handle either decimal or scientific notation transparently.

The following are examples of real response data:

+4.000000E+010, -2.000000E+004

-9.990000E+002

+4.0000000000000E+010

+1

0

Integer Response Data

Integer response data are decimal representations of integer values including optional signs.

The following are examples of integer response data:

0 | signs are optional
+100 | leading + allowed
-100 | leading - allowed
256 | never any decimal point

Discrete Response Data

Discrete response data are similar to discrete parameters. The main difference is that discrete response data only returns the short form of a particular mnemonic, in all upper case letters.

The following are examples of discrete response data:

IMM

EXT

INT

NEG

Numeric Boolean Response

Boolean response data returns a binary numeric value of one or zero.

String Response Data

String response data are similar to string parameters. The main difference is that string response data returns double quotes, rather than single quotes. Embedded double quotes may be present in string response data. Embedded quotes appear as two adjacent double quotes with no characters between them.

The following are examples of string response data:

"This is a string"

"one double quote inside brackets: [""]"

"Hello!"

File Name Variables

File name variables designate a data file and file path. File name variables are used in the SCPI command syntax whenever files are accessed. The name of the file is always required, but the file path can sometimes be optional or designated. See Table 4. File Name Path Formats for examples:

Table 4. File Name Path Formats
Format | File Name Variable | Example
Format 1 | "<file name>" | "Test_Data"
Format 2 | "<file path/file name>" | "/USER/SEQ/Test_Data"

Format 1 can only be used with SCPI commands that imply the path name as part of the command syntax. Typically, SCPI load commands that access user-data files do not need to have a file path designated.

The maximum length for a file name is 23 characters, excluding the file path.

Quote Usage with SCPI Commands

As a general rule, programming languages require that SCPI commands be enclosed in double quotes as shown in the following example:

":POWer:ALTernate:AMPLitude 55"

However when a string is the parameter for a SCPI command, additional quotes or other delimiters may be required to identify the string. Your programming language may use two sets of double quotes, one set of single quotes, or back slashes with quotes to signify the string parameter. The following examples illustrate these different formats:

"RADio:EDGE:BURSt:SHAPe ""myfile""" used in BASIC programming languages

"RADio:EDGE:BURSt:SHAPe \"myfile"" used in C, C++, Java, and PERL

"RADio:EDGE:BURSt:SHAPe 'myfile'" accepted by most programming languages

Consult your programming language reference manual to determine the correct format.

Binary, Decimal, Hexadecimal, and Octal Formats

Command values may be entered using a binary, decimal, hexadecimal, or octal format. When the binary, hexadecimal, or octal format is used, their values must be preceded with the proper identifier. The decimal format (default format) requires no identifier and an instrument assumes this format when a numeric value is entered without one. The identifiers for the formats that require them are as follows:

#B identifies the number as a binary numeric value (base-2).

#H identifies the number as a hexadecimal alphanumeric value (base-16).

#Q identifies the number as a octal alphanumeric value (base-8).

The following are examples of SCPI command values and identifiers for the decimal value 45:

#B101101 binary equivalent

#H2D hexadecimal equivalent

#Q55 octal equivalent

The following example sets the RF output power to 10 dBm (or the equivalent value for the currently selected power unit, such as DBUV or DBUVEMF) using the hexadecimal value 000A:

:POW #H000A

A unit of measure such as dBm or mV will not work with the values when using a format other than decimal.


SCPI Command List

NOTES:

1. In the SCPI command syntax, the letter n equates to a numeric value.

2. The following SCPI command list may include duplicates of certain commands. This duplication offers you the convenience of accessing a command's related descriptions when it is valid for more than one instrument model or channel type, and therefore, appears in multiple help topics.

[:SOURce]:RADio:GNSS[:BBG]:BDS:APOWer <power>

[:SOURce]:RADio:GNSS[:BBG]:BDS:APOWer?

[:SOURce]:RADio:GNSS[:BBG]:BDS:ENABle on | off

[:SOURce]:RADio:GNSS[:BBG]:BDS:ENABle?

[:SOURce]:RADio:GNSS[:BBG]:BDS:RPOWer <power>

[:SOURce]:RADio:GNSS[:BBG]:BDS:RPOWer?

[:SOURce]:RADio:GNSS[:BBG]:EXT:ATTenuate <attenuate>

[:SOURce]:RADio:GNSS[:BBG]:EXT:ATTenuate?

[:SOURce]:RADio:GNSS[:BBG]:FREQuency:OFFSet <val>

[:SOURce]:RADio:GNSS[:BBG]:FREQuency:OFFSet?

[:SOURce]:RADio:GNSS[:BBG]:GALileo:APOWer <power>

[:SOURce]:RADio:GNSS[:BBG]:GALileo:APOWer?

[:SOURce]:RADio:GNSS[:BBG]:GALileo:ENABle on | off

[:SOURce]:RADio:GNSS[:BBG]:GALileo:ENABle?

[:SOURce]:RADio:GNSS[:BBG]:GALileo:RPOWer <power>

[:SOURce]:RADio:GNSS[:BBG]:GALileo:RPOWer?

[:SOURce]:RADio:GNSS[:BBG]:GLONass:APOWer <power>

[:SOURce]:RADio:GNSS[:BBG]:GLONass:APOWer?

[:SOURce]:RADio:GNSS[:BBG]:GLONass:ENABle 1 | 0 | ON | OFF

[:SOURce]:RADio:GNSS[:BBG]:GLONass:ENABle?

[:SOURce]:RADio:GNSS[:BBG]:GLONass:RPOWer <power>

[:SOURce]:RADio:GNSS[:BBG]:GLONass:RPOWer?

[:SOURce]:RADio:GNSS[:BBG]:GPS:APOWer <power>

[:SOURce]:RADio:GNSS[:BBG]:GPS:APOWer?

[:SOURce]:RADio:GNSS[:BBG]:GPS:ENABle 1 | 0 | ON | OFF

[:SOURce]:RADio:GNSS[:BBG]:GPS:ENABle?

[:SOURce]:RADio:GNSS[:BBG]:GPS:RPOWer <power>

[:SOURce]:RADio:GNSS[:BBG]:GPS:RPOWer?

[:SOURce]:RADio:GNSS[:BBG]:MARKer[1]|3|4]:APRovided:TYPE STARt | MS | PPS

[:SOURce]:RADio:GNSS[:BBG]:MARKer[1]|3|4]:APRovided:TYPE?

[:SOURce]:RADio:GNSS[:BBG]:MARKer:ALL:DELay <val>

[:SOURce]:RADio:GNSS[:BBG]:MARKer:ALL:DELay?

[:SOURce]:RADio:GNSS[:BBG]:MTONe[n]:APOWer <power>

[:SOURce]:RADio:GNSS[:BBG]:MTONe[n]:APOWer?

[:SOURce]:RADio:GNSS[:BBG]:MTONe[n]:BAND GPS | GLONass | BDS

[:SOURce]:RADio:GNSS[:BBG]:MTONe[n]:BAND?

[:SOURce]:RADio:GNSS[:BBG]:MTONe[n]:ENABle <on | off>

[:SOURce]:RADio:GNSS[:BBG]:MTONe[n]:ENABle?

[:SOURce]:RADio:GNSS[:BBG]:MTONe[n]:FREQ <frequencyoffset>

[:SOURce]:RADio:GNSS[:BBG]:MTONe[n]:FREQ?

[:SOURce]:RADio:GNSS[:BBG]:POWer:HCOunt

[:SOURce]:RADio:GNSS[:BBG]:POWer:PMGating

[:SOURce]:RADio:GNSS[:BBG]:POWer:REF <refpower>

[:SOURce]:RADio:GNSS[:BBG]:POWer:REF?

[:SOURce]:RADio:GNSS[:BBG]:POWer:SAVerage

[:SOURce]:RADio:GNSS[:BBG]:POWer:SOURce

[:SOURce]:RADio:GNSS[:BBG]:POWer:THReshold

[:SOURce]:RADio:GNSS[:BBG]:QZSS:APOWer <power>

[:SOURce]:RADio:GNSS[:BBG]:QZSS:APOWer?

[:SOURce]:RADio:GNSS[:BBG]:QZSS:ENABle on | off

[:SOURce]:RADio:GNSS[:BBG]:QZSS:ENABle?

[:SOURce]:RADio:GNSS[:BBG]:QZSS:RPOWer <power>

[:SOURce]:RADio:GNSS[:BBG]:QZSS:RPOWer?

[:SOURce]:RADio:GNSS[:BBG]:RSCaling <val>

[:SOURce]:RADio:GNSS[:BBG]:RSCaling?

[:SOURce]:RADio:GNSS[:BBG]:SAMPle:RATE <val>

[:SOURce]:RADio:GNSS[:BBG]:SAMPle:RATE?

[:SOURce]:RADio:GNSS[:BBG]:SATellite[n]:APOWer <power>

[:SOURce]:RADio:GNSS[:BBG]:SATellite[n]:APOWer?

[:SOURce]:RADio:GNSS[:BBG]:SATellite[n]:DSHift <val>

[:SOURce]:RADio:GNSS[:BBG]:SATellite[n]:DSHift?

[:SOURce]:RADio:GNSS[:BBG]:SATellite[n]:ENABle ON | OFF | 0 | 1

[:SOURce]:RADio:GNSS[:BBG]:SATellite[n]:ENABle?

[:SOURce]:RADio:GNSS[:BBG]:SATellite[n]:FREQuency <val>

[:SOURce]:RADio:GNSS[:BBG]:SATellite[n]:FREQuency?

[:SOURce]:RADio:GNSS[:BBG]:SATellite[n]:RPSCale <scale>

[:SOURce]:RADio:GNSS[:BBG]:SATellite[n]:RPSCale?

[:SOURce]:RADio:GNSS[:BBG]:SATellite[n]:SVID <val>

[:SOURce]:RADio:GNSS[:BBG]:SATellite[n]:SVID?

[:SOURce]:RADio:GNSS[:BBG]:SATellite[n]:TSHift <val>

[:SOURce]:RADio:GNSS[:BBG]:SATellite[n]:TSHift?

[:SOURce]:RADio:GNSS[:BBG]:SATellite[n]:WORD <val>

[:SOURce]:RADio:GNSS[:BBG]:SATellite[n]:WORD?

[:SOURce]:RADio:GNSS[:BBG]:SATPower RANGe | EQUal

[:SOURce]:RADio:GNSS[:BBG]:SATPower?

[:SOURce]:RADio:GNSS[:BBG]:SATS:APOWer "SVID"<power>

[:SOURce]:RADio:GNSS[:BBG]:SATS:APOWer? "SVID"

[:SOURce]:RADio:GNSS[:BBG]:SATS:DSHift? "SVID"

[:SOURce]:RADio:GNSS[:BBG]:SATS:ENABle "SVID", on | off

[:SOURce]:RADio:GNSS[:BBG]:SATS:ENABle? "SVID"

[:SOURce]:RADio:GNSS[:BBG]:SATS:FREQuency? "SVID"

[:SOURce]:RADio:GNSS[:BBG]:SATS:MULTipath "SVID", "<tap1>, on | off, <delay>, <power>, <doppler>;<tap2>, on | off, <delay>, <power>, <doppler>..."

[:SOURce]:RADio:GNSS[:BBG]:SATS:MULTipath? "SVID"

[:SOURce]:RADio:GNSS[:BBG]:SATS:PRANge? "SVID"

[:SOURce]:RADio:GNSS[:BBG]:SATS:PRERror "SVID", <error>

[:SOURce]:RADio:GNSS[:BBG]:SATS:PRERror? "SVID"

[:SOURce]:RADio:GNSS[:BBG]:SATS:RPSCale "SVID"<power>

[:SOURce]:RADio:GNSS[:BBG]:SATS:RPSCale? "SVID"

[:SOURce]:RADio:GNSS[:BBG]:SBAS:APOWer <power>

[:SOURce]:RADio:GNSS[:BBG]:SBAS:APOWer?

[:SOURce]:RADio:GNSS[:BBG]:SBAS:ENABle on | off

[:SOURce]:RADio:GNSS[:BBG]:SBAS:ENABle?

[:SOURce]:RADio:GNSS[:BBG]:SBAS:RPOWer <power>

[:SOURce]:RADio:GNSS[:BBG]:SBAS:RPOWer?

[:SOURce]:RADio:GNSS[:BBG]:SCENario <"filename">

[:SOURce]:RADio:GNSS[:BBG]:SCENario?

[:SOURce]:RADio:GNSS[:BBG]:SCENario:ALTitude?

[:SOURce]:RADio:GNSS[:BBG]:SCENario:COMMent?

[:SOURce]:RADio:GNSS[:BBG]:SCENario:CONSt?

[:SOURce]:RADio:GNSS[:BBG]:SCENario:DURation?

[:SOURce]:RADio:GNSS[:BBG]:SCENario:LATitude?

[:SOURce]:RADio:GNSS[:BBG]:SCENario:LONGitude?

[:SOURce]:RADio:GNSS[:BBG]:SCENario:PAUSe

[:SOURce]:RADio:GNSS[:BBG]:SCENario:RESTart

[:SOURce]:RADio:GNSS[:BBG]:SCENario:RESUme

[:SOURce]:RADio:GNSS[:BBG]:SCENario:SOURce <USER | SGEN>

[:SOURce]:RADio:GNSS[:BBG]:SCENario:STIMe?

[:SOURce]:RADio:GNSS[:BBG]:SCENario:STIMe:OFFset <val>

[:SOURce]:RADio:GNSS[:BBG]:SCENario:STIMe:OFFset?

[:SOURce]:RADio:GNSS[:BBG]:SCENario:TITLe?

[:SOURce]:RADio:GNSS[:BBG]:SCENario:TYPE?

[:SOURce]:RADio:GNSS[:BBG]:SCENario:UTC?

[:SOURce]:RADio:GNSS[:BBG]:SCENario:VERSion?

[:SOURce]:RADio:GNSS[:BBG]:SCENario:VSATellites?

[:SOURce]:RADio:GNSS[:BBG]:SIMMode NAVigation | STATic

[:SOURce]:RADio:GNSS[:BBG]:SIMMode?

[:SOURce]:RADio:GNSS[:BBG][:STATe] 1 | 0 | ON | OFF

[:SOURce]:RADio:GNSS[:BBG][:STATe] 1 | 0 | ON | OFF

[:SOURce]:RADio:GNSS[:BBG][:STATe]?

[:SOURce]:RADio:GNSS[:BBG][:STATe]?


Troubleshooting

Software Problems | identifies common software problems and solutions.
Interface Problems | provides solutions for communication problems between the PC and the instrument.
Instrument Problems | provides solutions for measurement or operation problems with the instrument.
Printing Problems | provides information about printing popup topics.
User Permissions | describes how to set user permissions for installing and running the software.


Software Problems

"Restricted User" cannot run Signal Studio application

When a "Restricted User" tries to run the Signal Studio application without the correct security permissions, an unhandled exception error message indicates that access is denied.

Cause: The user permissions are not correctly set.

Solution: The administrator must set the correct user permissions in the Signal Studio installation folder. See the instructions in User Permissions.

License Error

After clicking Download on the tool bar, or Test I/O Connection in the System Configuration Wizard, an Authorization dialog box or license error message appears.

Cause: A license file for an instrument being used cannot be found in the PC or in the instrument.

Solution: To be fully functional, the software requires a valid license. You must have either a permanent license or a valid 30-day trial license for each instrument being used. To obtain a free, 30-day trial license or purchase a permanent license, see Licensing.

Firmware Error

After clicking Test I/O Connection in the System Configuration Wizard, "FW version is not valid" appears.

Cause: The signal generator firmware needs to be upgraded.

Solution: See System Requirements for information about updating the firmware.

Connection Failure

After clicking Test I/O Connection in the System Configuration Wizard, "Connection failed" appears.

Cause: The LAN or GPIB instrument connection may not be properly enabled.

Solution: Verify that all equipment is properly connected and that the LAN or GPIB interface is correctly installed and configured. (See Keysight IO Libraries.) Ensure that the GPIB or LAN information that you entered in the System Configuration Wizard matches the instrument and interface you are using. See Interface Problems for more troubleshooting information.


Interface Problems

If you experience problems communicating with or controlling instruments over the LAN or GPIB, check the following items. If this does not solve the problem, refer to the Connection Expert utility installed with the Keysight IO Libraries. For more information about using Connection Expert, see the IO Libraries Suite Online Help.

Troubleshooting the GPIB Interface

  1. Inspect the cable and connectors; confirm that none are damaged.

  2. Ensure that the GPIB cable is securely connected to the PC and the instrument.

  3. To verify that the GPIB address entered in the software matches that of the instrument, select System > Run System Configuration Wizard. Step 3 of the System Configuration Wizard enables you to view the GPIB settings.

  4. Validate the connection. In Step 3 of the System Configuration Wizard, select the signal instrument and click Test I/O Connection. Read the messages in the Result and Note cells to verify that the software is connecting to the instrument.

  5. Review the information about installing Keysight I/O libraries.

National Instruments GPIB Card

If you are using a National Instruments (NI) GPIB card and errors occur when you download a waveform, follow steps 1-3 below. If you have both an Keysight and a National Instruments GPIB card installed, and you want to use the Keysight card, you will also need to perform steps 4-5.

  1. Uninstall any Keysight IO Libraries that you have previously installed.

  2. Ensure that you have both the NI PCI card drivers and NI VISA installed, and verify that the NI card is working.

  3. Reinstall Keysight IO Libraries version 15.5.. If you select a Custom installation, make sure the Keysight VISA as primary VISA is unchecked in the Select Features window. This is the default setting for a Typical installation.

Continue with steps 4-5 only if you have both Keysight and NI GPIB cards installed.

  4. Open National's Measurement and Automation Explorer (MAX).

  5. Select Tools > NI-Visa > Visa Options > Passports. Ensure the NiVisaTulip.dll box is checked.

Troubleshooting the LAN Interface

If the instrument is connected directly to a computer, use a crossover LAN cable; if the instrument is connected to a network/external server, use a standard LAN cable.

  1. Inspect the cable and connectors; confirm that none are damaged.

  2. Ensure that the LAN cable is securely connected to the PC and the instrument.

  3. Ensure that the instrument LAN connectors are active: flashing green or yellow lights indicate LAN activity.

  4. To verify that the Hostname (Computer Name for the EXT) or IP address entered in the software matches that of the instrument, select System > Run System Configuration Wizard. Step 3 of the System Configuration Wizard enables you to view the LAN settings.

  5. Validate the connection. In Step 3 of the System Configuration Wizard, select the instrument connection and click Test I/O Connection. Read the messages in the Result and Note cells to verify that the software is connecting to the instrument.

  6. Run the 'ping' program:

    1. On the computer go to Start > Programs > Command Prompt (or DOS).

    2. At the C:\> prompt, enter ping <IP address>, where <IP address> is the instrument's IP address or hostname Computer Name for the EXT).

    3. If the instrument does not respond, contact your IT department for help.

  7. If the PC is connected directly to the instrument (using a cross-over cable) and the 'ping' program works correctly, but there is still a connection problem, add the instrument's IP address and hostname to the Hosts file, which resides at: C:\Winnt\system32\drivers\etc\Hosts. For Windows 7, the file resides at: C:\Windows\system32\drivers\etc\hosts.

    1. In a text editor such as Notepad, open the Hosts file.

    2. Write the IP address and hostname (Computer Name for the EXT) of the instrument at the bottom of the file.

      (Refer to the example of a hosts file below.)

    3. Save the file and close the text editor.

Do not use "Save As" when saving the Hosts file; this file does not have a file extension.

Example Hosts File

# Copyright (c) 1993-1999 Microsoft Corp.

#

# This is a sample HOSTS file used by Microsoft TCP/IP for Windows.

#

# This file contains the mappings of IP addresses to host names. Each

# entry should be kept on an individual line. The IP address should

# be placed in the first column followed by the corresponding host name.

# The IP address and the host name should be separated by at least one

# space.

#

# Additionally, comments (such as these) may be inserted on individual

# lines or following the machine name denoted by a '#' symbol.

#

# For example:

#

# 102.54.94.97 rhino.acme.com # source server

# 38.25.63.10 x.acme.com # x client host

<xxx.xxx.xxx.xxx> localhost

<xxx.xxx.xxx.xxx> <signal generator hostname>

Related Topics

Equipment Setup and Connection

Software Problems

Instrument Problems

Contacting Keysight Technologies


Instrument Problems

Signal Generator

Front panel keys do not work

Controlling the instrument through the software places the signal generator in the remote operation mode and deactivates front panel operation. On the signal generator, press the Local key to restore front panel operation.

Error messages

  1. Check the signal generator for error messages; if possible, correct the conditions indicated by the messages.

    When a setting conflict (error) occurs, an error number and a brief message appear at the bottom of the signal generator display. To view the full text of the error messages use the method shown for your instrument:

    ESG:

    Press Utility > Error Info on the signal generator front panel to view error messages on the display.

    Execute the SCPI error commands described in the System Subsystem section of the SCPI Reference manual.

    EXG/MXG/MXG ATE:

    Press the Error hardkey on the signal generator front panel to view error messages on the display.

    (For the MXG ATE, use the web interface.)

  2. Refer to the instrument's documentation for further troubleshooting information.

  3. Contact Keysight Technologies.


Printing Problems

The Popup Text Prints Over Other Text

If you click the print icon ( [image]) while a popup is active, the printer prints the popup text over the existing topic text. The popup text has to be printed separately from the topic text. This procedure demonstrates how to print the popup text separately.

  1. Activate the popup.

  2. Move the cursor over the popup text.

  3. Right-click.

    If the popup closes, reopen it and make sure that the cursor is over the popup when you right-click.

  4. From the menu that appears, choose Print.


User Permissions

To install and run the N7609B software in a Windows operating environment, appropriate security permission settings are required. If you are not logged onto your PC with the required security permissions, the software displays an error message during installation and when attempting instrument connection. The following list identifies the security levels required to install and run the software.

Software Usage | Security Permissions Required
Install the software | Administrator (Administrator Group)
Run the software | Administrator (Administrator Group) or Standard User (Power User Group). Restricted User (User Group) requires an administrator to reset the permissions.
Develop application with API | Administrator (Administrator Group), Standard User (Power User Group)
Run application with API | Administrator (Administrator Group), Standard User (Power User Group). Restricted User (User Group) requires an administrator to reset the permissions.

Resetting Permissions for a Restricted User

A user with Administrator status can reset the permissions of a Restricted User to enable that user to run the software. The following steps outline the procedure.

  1. In Windows Explorer, navigate to the Signal Studio installation folder. The default directory is:

    C:\Program Files (x86)\Keysight\Signal Studio\.

  2. Right click the (Undefined variable: Primary.Software_Folder) installation folder.

  3. Select Properties from the popup menu.

  4. Select the Security tab.

  5. In the Group or user names list, select the user for whom you wish to change permissions.

  6. In the Permissions for Users section, check Modify and Write in the Allow column.

  7. Click Apply > OK.


release notes

N7609B Release Notes

Version 1.9 - Sep 2016

Version 1.8 - Sep 2015

Version 1.7 - Sep 2014

Version 1.6 - Jan 2014

Version 1.5 - Nov 2013

Version 1.4 - Apr 2013

Version 1.3 - Dec 2012

Version 1.2 - Sep 2012

Version 1.1 - Jun 2012

Version 1.9 - Sep 2016

Enhancements

  • Added $GPRMC message in generated NMEA trajectory file to include velocity and azimuth information

  • Added Waveform Name property in Basic Single/Multi Satellite Waveform mode

Bug Fixes

  • Fixed scenario generation failure when the input ephemeris file path contains space character

  • Fixed GPS signal is included in the output signal even when GPS constellation is disabled

  • Fixed antenna pattern is not applied in some cases

Version 1.8 - Sep 2015

Enhancements

  • Changed the lower limit of Elevation Mask Angle to -30° in scenario generator

  • Added direct-connectivity support for the E6640A EXM Wireless Test Set

  • Added support for Keysight IO Libraries Suite 17.1

  • Added support for Windows 8.1 and dropped support for Windows XP

Bug Fixes

  • A dynamic scenario can now get a location fix when it’s not generated with a 1 Hz GGA file

  • The GPS AS flag can now be set to 0 or 1 in the GPS settings, instead of always being 0 and not working for some receiver models

  • Removed the time gap between GPS and Beidou constellations

Version 1.7 - Sep 2014

Enhancements

  • Applied Keysight brand to software

  • Added connectivity for the E6607C EXT

Minor Enhancement Updates (MEU) - Option U01 or greater

  • Added direct connectivity for the M9381A PXIe VSG. The M9381A has a limitation related to the Power Search and DC Cal functions. See System Requirements for more information.

Version 1.6 - Jan 2014

Enhancements

  • Added a new N7609B-X** option to support SBAS/QZSS scenario generation and real-time signal playback together with other constellations

  • Enhanced the N7609B-E** option by adding Basic Multi-satellite Waveform capability

  • Enhanced Basic Single Satellite Waveform capability by adding payload, marker, dynamic pattern and waveform length configurations

  • Added a new N7609B-N** option to support in-band multi-tone interference signal to GNSS signal

  • Supported real-time graphic displays for Sky View, Power View and Trajectory View in Navigation mode

  • Enhanced the power control for constellations or individual satellite:

    • Allow users to specify the absolute power level of a constellation or individual satellite in real-time.

    • Add a new parameter Satellite Power Reference for users to better control the dynamic range of power

    • Change power search mode from Measurement to RMS, resulting in that instrument displayed amplitude is always the Satellite Power Reference level

  • Enhanced KML to NMEA converter to allow users to create a path on Google Earth by searching two locations

  • Supported ephemeris input file in RINEX3.0 format for GPS and Beidou scenario generation.

  • Updated demo scenario file dates to January 2014 (including almanac files) and to include all supported constellations(GPS+GLONASS+Galileo+Beidou+SBAS+QZSS)

Bug Fixes

  • Adjusted 1pps output signal timing to have a more accurate alignment with RF output signal

  • Changed toc and toe in GPS navigation message to a time later than current time

Version 1.5 - Nov 2013

Enhancements

  • Added support for the E6630A Wireless Connectivity Test Set.

Version 1.4 - Apr 2013

Enhancements

  • Modified the license option structure:

    Previously, the real-time simulation and scenario generator functions were offered as two separate options for each GNSS constellation. Since most users order both functions, they have been combined into a single option for each constellation in this release to simplify the ordering process. The new real-time capability options for the N7609B consist of the following:

    • Option PFP--Advanced GPS real-time and scenario generation

    • Option SFP--Advanced GLONASS real-time and scenario generation

    • Option UFP--Advanced Galileo real-time and scenario generation

    • Option WFP--Advanced Beidou real-time and scenario generation

    The previously available Option QFP for real-time GPS and the scenario generator options for GPS, GLONASS, and Galileo (Options RFP, TFP, and VFP) will be discontinued.

  • Support for Beidou constellation

    • use factory supplied scenarios or create custom scenarios for real-time scenario simulation

    • playback real-time static signal with user configured properties

  • Increased the number of channels from 32 to 40 for line-of-sight and multipath signals for the GNSS with BPSK modulation, which includes GPS, GLONASS, and Beidou

  • Updated most scenario file dates to 01/03 2013 (includes almanac files) and to include all four constellations (GPS+GLONASS+Galileo+Beidou)

  • Added Galileo Assistance Data file and Ephemeris file output capability

  • Added Output Raw Scenario Data for all constellations--outputs the data in csv format

  • Added M9381A connectivity for use with Basic Single Satellite Waveforms

  • Added functions specific to the Basic Single Satellite Waveform capability

    • Update to Instrument button that sends current GUI instrument settings to the connected instrument

    • Export Waveform Data (found in the File drop-down-menu)

    • Control drop-down-menu that contains the Download selection for downloading the basic single satellite waveform

    • Download icon [image] that provides the same function as the Control > Download menu selection.

    Download was previously accomplished using the State On button, which is now available in only the Advanced Real-time Signal Generation capability.

  • Changed instrument and scenario control button availability based on whether the capability is Basic Single Satellite Waveform or Advanced Real-time Signal Generation capability

  • Added Comment property for user entered comment to Scenario Generator settings

  • Added Constellations, Type, and Version read-only properties to the GNSS settings node

Bug Fixes

  • Fixed unhandled exception that may occur after several hours playback in real-time generation mode.

  • Fixed IODC/IODE values in GPS navigation message. They were not correct when the GPS ephemeris file was used for scenario creation.

Version 1.3 - Dec 2012

Bug Fixes

  • Corrected the failure to detect trial licenses (N7609B-TRL) installed on EXG/MXGB signal generators

  • Corrected 1 pps signal timing alignment accuracy with RF signals

  • Corrected output power calculation in both the remote GUI display and the SCPI query

  • Corrected the scenario generation failure that occurred when the antenna pattern was enabled

  • Corrected the failure that occurs when generating a dynamic scenario that spans over the day boundary with a 2 Hz GGA trajectory

Version 1.2 - Sep 2012

Enhancements

  • Added playback of single satellite ARB waveforms

    • Supports waveform playback on the following instruments:

      • EXG/MXG/ESG signal generators

      • PXB baseband generator and channel emulator

      • EXT wireless communications test set

    • Supports GPS, GLONASS, Galileo, Compass, SBAS and QZSS constellations

  • Added support for the Galileo constellation.

    • Real-time static mode signal generation for Galileo satellites

    • Real-time navigation mode signal generation for Galileo constellation

    • Additional 16 channels for Galileo line-of-sight signal and multipath combined

    • Creation of both static and dynamic scenarios with Galileo satellites only or in combination with GPS and/or GLONASS

    • Edit Galileo navigation message parameters using Galileo Navigation Message Editor

  • Updated Scenario graphic display to use one color for each constellation

Bug Fixes

  • Corrected the failure of the application to turn on for PC's using ‘,’ as the decimal symbol in the Region and Language settings--for example; French, Spanish, Russian, Danish.

  • Corrected the problem with Meander coding of the GLONASS satellite in Static Test mode.

MXG/EXG X-Series Firmware Revision B.01.20

  • Support for N7609B Signal Studio for Global Navigation Satellite Systems, Rev. 1.2

Version 1.1 - Jun 2012

Initial Release Features

  • Connectivity to MXG/EXG X-Series signal generators.

  • Real-time GNSS signal generation capability

    • Real-time static signal generation for GPS or GLONASS satellites

    • Real-time navigation signal generation for GPS and GLONASS constellations with up to 15 line-of-sight satellites per constellation

    • Real-time satellite control of power level or visibility, and addition of pseudorange error and multipath

    • Up to 32 channels for line-of-sight GPS, GLONASS satellites and multipath combined

    • Adjustable 1 pps signal output

    • Scenario generation utility to generate user defined GPS, GLONASS or GPS+GLONASS scenarios:

      • Creation of scenario files with up to 24 hours duration

      • Continuous scenario generation for up to 7 days

      • Ionosphere and troposphere modeling

      • Support both static and dynamic scenarios to simulate stationary or moving receivers

      • Support user-defined leap seconds

      • Support user-defined antenna mask pattern

    • Trajectory generation utility to generate a user defined trajectory for dynamic scenario creation

      • Generate a trajectory by configuring a segmented list

      • Convert KML file(saved trajectory from Google Earth) to a NMEA format trajectory file

MXG/EXG X-Series Firmware Revision B.01.10

  • Support for N7609B Signal Studio for Global Navigation Satellite Systems, Rev. 1.1


Additional Information

Contacting Keysight Technologies

For more information on Keysight Technologies’ products, applications or services, please contact your local Keysight office.

Americas

Canada (877) 894 4414

Brazil 55 11 3351 7010

Mexico 001 800 254 2440

United States (800) 829 4444

Asia Pacific

Australia 1 800 629 485

China 800 810 0189

Hong Kong 800 938 693

India 1 800 112 929

Japan 0120 (421) 345

Korea 080 769 0800

Malaysia 1 800 888 848

Singapore 1 800 375 8100

Taiwan 0800 047 866

Other AP Countries (65) 6375 8100

Europe & Middle East

Austria 0800 001122

Belgium 0800 58580

Finland 0800 523252

France 0805 980333

Germany 0800 6270999

Ireland 1800 832700

Israel 1 809 343051

Italy 800 599100

Luxembourg +32 800 58580

Netherlands 0800 0233200

Russia 8800 5009286

Spain 0800 000154

Sweden 0200 882255

Switzerland 0800 805353

Opt. 1 (DE)

Opt. 2 (FR)

Opt. 3 (IT)

United Kingdom 0800 0260637

For other unlisted countries:

www.keysight.com/find/contactus

(BP-07-10-14)


Crossover LAN

Configuring for a Crossover LAN

To set up your system for a crossover LAN connection (direct connection between a PC and instrument), do the following:

Configure the PC

This procedure is based on Windows XP. These steps will vary for Windows 2000.

  1. From your PC's Control Panel, double-click Network Connections > Local Area Connection.

  2. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the check box remains selected.

  3. Click Properties.

  4. Select Use the following IP address (radio selection).

  5. Enter 1 once for each of the four areas that make up the IP address. After your entries, the IP address should show 1.1.1.1.

  6. Click the Subnet mask entry field; an address appears.

  7. Click OK to accept the configuration.

  8. Close the Local Area Connection Properties dialog box.

  9. Close the Network Connections window.

To Reconfigure for a LAN Connection

  1. Reconnect the LAN cable.

  2. From your PC's Control Panel, click Network Connections > Local Area Connection.

  3. In the Local Area Connection Status dialog box, click Properties.

  4. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the check box remains selected.

  5. Click Properties.

  6. Select the Obtain an IP address automatically option or enter your system IP address.

  7. Click OK to accept the configuration.

  8. Close the Local Area Connection Properties dialog box.

  9. Close the Local Area Connection Status dialog box and the Network Connections window.

Configure the Signal Generator

  1. Turn on the signal generator.

  2. Use the appropriate key-press sequence for the signal generator you are using:

    EXG or MXG: Utility > I/O Config > LAN Setup > Manual Config Settings > IP Address

    ESG or PSG: Utility > GPIB/RS-232 LAN > LAN Setup > IP Address

  3. Record the current IP address.

  4. Enter 1.1.1.2 as the new IP address.

  5. Press Enter > Proceed with Reconfiguration > Confirm Change.

    The signal generator reboots, completing the LAN reconfiguration.

Configuring Additional Instruments

To configure additional instruments, such as a spectrum analyzer, increment the IP address for each additional instrument by one. For example, use 1.1.1.3 as the IP address for a third instrument and 1.1.1.4 for a fourth instrument. Refer to the user documentation of the instrument you want to add for specific crossover configuration information.


Crossover LAN PXB

Configuring a Crossover LAN for a PXB Connected to a PC

To set up your system for a crossover LAN connection (direct connection between a PC and a PXB, or PXB to other instruments), do the following:

Configure the PXB

  1. From the Control Panel (located in the XP Start menu), double-click Network Connections.

  2. Right-click Local Area Connection and select Properties.

  3. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the checkbox remains checked.

  4. Click Properties.

  5. Select Use the following IP address (radio selection).

  6. Enter the IP address:

    • If the PXB is the controller, enter 1.1.1.1. (To configure client instruments, see Configuring a Crossover LAN.)

    • If the PXB is the client (PC is the controller), enter 1.1.1.2.

  7. Click the Subnet mask entry field; an address appears.

  8. Click OK to accept the configuration.

  9. Close the Local Area Connection Properties dialog box.

  10. Close the Network Connections window.

To Reconfigure for a LAN Connection

  1. Connect the LAN cable.

  2. From your PXB's Control Panel, click Network Connections.

  3. Right-click Local Area Connection and select Properties.

  4. In the Local Area Connection Status dialog box, click Properties.

  5. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the checkbox remains checked.

  6. Click Properties.

  7. Select the Obtain an IP address automatically option or enter your system IP address.

  8. Click OK to accept the configuration.

  9. Close the Local Area Connection Properties dialog box.

  10. Close the Local Area Connection Status dialog box and the Network Connections window.


Available Licenses

Free Trial License

A one-time, 30-day, free trial license enables the licensed instrument to play waveforms created with any of the software's optional capabilities. When the trial license expires, the instrument no longer plays the waveforms and the software displays an expiration notice when you attempt to download a waveform to the instrument. After the license expires, you must purchase a valid fixed or transportable license to enable your instrument to play the waveforms. Check trial license availability for your instrument.

Purchased Licenses

Fixed License

A fixed license is assigned to a specific instrument and cannot be transferred to another instrument. Fixed licenses are perpetual (permanent). Only perpetual licenses can be upgraded.

Transportable License

A transportable license is transferable from one instrument to another up to 10 times per month, but can be used on only one instrument at a time. Transportable licenses are perpetual (permanent) and can be upgraded. To transport a license, you will need the following:

  • Keysight License Manager (KLM) software

  • PC with an internet connection

  • LAN connection between PC running the KLM software and instruments (direct or networked)

  • Instruments connected to the internet (recommended, but not required)

Floating License

Floating licenses are available for connectivity with SystemVue ESL Software only. The floating license resides on a network server and is accessible by multiple users. Floating licenses are perpetual (permanent) and can be upgraded.


Receiving the Entitlement Certificate

When you purchase a software license, you will receive a Software Entitlement Certificate. Redeem this certificate to receive the software license. Keep this certificate in a safe place for future reference.

Record the order number and the certificate number.

You will also need your instrument's model number and serial number.

On EXG, MXG, ESG, and PSG signal generators, press Utility > Instrument Info > Diagnostic Info to view these numbers.

On the PXB, click System > Product Information to view these numbers.

On the EXT, click System > Show > System to view these numbers.


N7609B System Requirements

The N7609B Signal Studio for Global Navigation Satellite Systems (GNSS) software can be used in two different configurations:

  1. The software can be installed on a PC for use with the N5172B EXG or N5182B MXG X-series signal generators. The PC software allows the user to configure settings, generates scenario data, and provides a user interface for real-time control of the signals being produced by the signal generators.

  2. The software can be used with the N5106A PXB baseband generator and channel emulator to create baseband GNSS signals, which are upconverted to RF using an N5172B EXG, N5182A/B MXG, or E4438C ESG signal generator. The software is already installed as a component of the PXB firmware. However, to use the software, you must purchase and install a license, and ensure that the PXB and signal generator meet the minimum hardware requirements.

Instrument Requirements

N5172B EXG X-Series RF vector signal generator

Firmware:

Version B.01.30 or later (how to upgrade)

Required options:

N5172B-503 (9 kHz to 3 GHz frequency range)

N5172B-653 (Internal baseband generator, 32 MSa/sec, up to 60 MHz RF bandwidth)

N5172B-660 (upgrade baseband generator with real-time capability)

Recommended options:

N5172B-009 (internal Flash drive)

N5172B-403 (calibrated AWGN for testing with noise)

N5172B-660 is not required for the N7609B software's basic option.

When the N5172B EXG is used solely for RF upconversion with the PXB, the only required option is N5172B-503

N5182B MXG X-Series RF vector signal generator

Firmware:

Version B.01.30 or later (how to upgrade)

Required options:

N5182B-503 (9 kHz to 3 GHz frequency range)

N5182B-656 (Internal baseband generator, 32 MSa/sec, up to 80 MHz RF bandwidth)

N5182B-660 (upgrade baseband generator with real-time capability)

Recommended options:

N5182B-009 (internal Flash drive)

N5182B-1EQ (low power output for Rx testing)

N5182B-403 (calibrated AWGN for testing with noise)

N5182B-UNX (low phase noise)

N5182B-660 is not required for the N7609B software's basic option.

When the N5182B MXG is used solely for RF upconversion with the PXB, the only required option is N5182B-503

N5106A baseband generator and channel emulator

Firmware:

Version A.01.60 or later (how to upgrade)

Required options:

N5106A-611 (1 DSP block on 1 baseband card)

N5106A-632 (2 I/O ports - 2 analog I/Q out and 2 digital I/O on 1 I/O cards)

N5106A-EFP (Baseband generation)

Recommended options:

N5106A-JFP (Calibrated AWGN)

N5182A MXG vector signal generator

Firmware:

Version A.01.44 or later (how to upgrade)

Required options:

N5182A-503 (100 kHz to 3 GHz frequency range)

N5182A-651 (30 MSa/s internal baseband generator with 8 MSa memory)

Recommended options:

N5182A-403 (calibrated AWGN for testing with noise)

N5182A-1EL (differential I/Q outputs)

N5182A-1EQ (low power < -110 dBm)

When the N5182A MXG is used solely for RF upconversion with the PXB, the only required option is N5182A-503

E4438C ESG vector signal generator

Firmware:

Version C.05.23 or later (how to upgrade)

Required options:

E4438C-403 (calibrated AWGN for testing with noise)

E4438C-503 (250 kHz to 3 GHz frequency range)

E4438C-601 (Internal baseband generator, 8 MSa memory for digital bus capability)

Recommended options:

E4438C-UNJ (Enhanced Phase Noise)

When the E4438C ESG is used solely for RF upconversion with the PXB, the only required option is E4438C-503

E8267D PSG vector signal generator

Firmware:

Version C.04.85 or later (how to upgrade)

Required options:

E8267D-520 (250 kHz to 20 GHz frequency range)

E8267D-602 (internal baseband generator with 64 Msample memory and digital bus capability)

Recommended options:

E8267D-005 (6 GB internal hard drive)

E8267D-403 (calibrated noise personality, required for C/N capability)

E8267D-UNR (enhanced phase noise performance)

E6607A/B/C EXT wireless communications test set

Required options:

E6607A-503 (3 GHz) or E6607B/C-504 (3.8 GHz)

M9381A PXIe vector signal generator

Driver:

Version 1.4.400.0 or later

Required options:

M9381A-F03, frequency range 1 MHz to 3 GHz

M9381A-B04, modulation bandwidth 40 MHz

M9381A-M01, 32 MSa of memory

M9381A-300, adds M9300A PXIe frequency reference (if one is not already in the system)

Limitations:

The M9381A VSG has a limitation related to the Power Search and DC Cal functions, creating a time-synchronization loss. That is, the signal timing changes after a Power Search or DC Cal. When ALC is set to Off, Signal Studio automatically runs Power Search, which affects the user's trigger signal for starting waveform playback. Even though the timing alignment of the trigger signal and waveform are properly set, the Power Search function disrupts this synchronization. In these cases, use the following workarounds:

  • Set ALC to On whenever possible. This avoids the automatic Power Search.
  • When ALC must be set to Off (or is set to Off by Signal Studio), you can re-trigger the signal by turning ARB Off, then On, and then send the trigger signal to M9381A VSG.

For DC Cal, run it before you download and play the waveform. Do not run DC Cal while the signal is playing, which disrupts the synchronization.

E6640A EXM wireless test set

Software:

Version E.16.06 or later

Recommended options:

E6640A-B85 (increases signal bandwidth to 80 MHz)

E6640A-B1X (increases signal bandwidth to 160 MHz)

PC Requirements

200 GB HDD with 2 GB free disk space at runtime (5 GB or higher recommended)

1024 x 768 screen resolution (1280 x 1024 recommended)

Windows 8.1 (Pro/Enterprise) (32/64 bit)1,2:

  • 1 GHz or faster 32-bit or 64-bit processor

  • 1 GB of memory minimum for the 32-bit version

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (2. Downloading and Installing the .NET Framework)

  • Keysight IO Libraries, version 17.1 or later (3. Downloading and Installing the Keysight IO Libraries Suite)

  • Keysight License Manager (4. Downloading and Installing the Keysight License Manager )

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Windows 7 (Professional/Ultimate/Enterprise)1,2:

  • 1 GHz or faster 32-bit or 64-bit processor

  • 1 GB of memory minimum for the 32-bit version

  • 2 GB of memory minimum for a 64-bit version

  • 1.5 GB hard disk space (includes 1 GB for Microsoft .NET Framework and 65 MB for the Keysight IO Libraries)

  • Microsoft Internet Explorer (8.0 or later)

  • Microsoft .NET Framework 3.5 or .NET Framework 3.5 Service Pack 1 (included with Windows 7) (2. Downloading and Installing the .NET Framework)

  • Keysight IO Libraries, version 17.1 or later (3. Downloading and Installing the Keysight IO Libraries Suite)

  • Keysight License Manager (4. Downloading and Installing the Keysight License Manager )

  • 128 MB graphics memory with DirectX 9 graphics support (recommended)

Installed GPIB IO interface card, LAN interface card, or USB/GPIB interface connector

Keysight VISA

Microsoft Windows Installer version 2.0 or later

1 No support for Itanium64.

2 Signal Studio is compatible with the 64-bit operating system, but performs at the 32-bit speed.


Software License Redemption

  1. Go to the Keysight Software License Redemption web page:

    http://www.keysight.com/find/softwarelicense.

  2. Follow the directions on the website and be prepared to enter the following information:

    • order number

    • certificate number

    • model number

    • serial number

    • a valid email address

  3. You will promptly receive an email with the license file attached.


Trial License

To request a trial license, you must provide your contact information along with the model number and serial number of the instrument for which the trial license is being issued.

  • On EXG, MXG, ESG, and PSG signal generators, press Utility > Instrument Info > Diagnostic Info to obtain these numbers.

  • On the EXT, click System > Show > System to obtain these numbers.

  • For all other instruments, refer to the documentation for those instruments.

After completing your request, you will receive an email message that includes the trial license and instructions for installing the license.

Before requesting a trial license, verify that the instrument and PC meet the system requirements.

To request a trial license now, continue to the software licensing website.

Terms and Conditions

A trial license is available that enables you to evaluate this Signal Studio software product prior to purchase. The trial license enables all of the capabilities of the Signal Studio software product for 30 days and will be issued only once per host instrument. The trial period begins when the license is issued through the Keysight Software Licensing website and is non-renewable. To begin your trial, download and install the Signal Studio software and request your trial license as instructed above.

Check trial license availability for your instrument.


Trial License Availability

Trial licenses are available for connectivity to the following Keysight instrument models:

  • N5172B EXG signal generator

  • N5182B MXG signal generator

  • M8190A arbitrary waveform generator

  • M9381A PXIe vector signal generator

  • E6640A EXM wireless test set

  • N5182A MXG signal generator

  • E4438C ESG signal generator

  • E8267D PSG signal generator

  • E6607 EXT wireless communications test set

  • N5106A PXB baseband generator and channel emulator


Waveform Licensing

Waveform Licensing 5-Pack and 50-Pack

Waveform licensing is not available for the N7605B, N7607B, and N7614B.

Waveform licensing is a cost-effective solution that lets you license individual waveforms rather than the Signal Studio software. Download any of the N76xxB Arb-based Signal Studio waveform creation software products to create and permanently license up to 545 waveforms to meet your specific test requirements. The latest instrument firmware enables you to evaluate the waveforms for up to 48 hours before choosing the ones you want to keep. Waveform licensing is only available for the following signal generator models:

  • N5172B EXG

  • N5182B MXG

  • N5182A MXG

  • E4438C ESG

  • E6607 EXT

  • M9381A PXIe VSG (Use N7650B as the model number to purchase waveform licenses for this instrument.)

  • E6640A EXM Wireless Test Set (50-pack options 250, 251, and 252 are standard with this product)

Waveform licensing 5-pack consists of nine different option numbers (Options 221-229). Each option enables you to license up to five Signal Studio waveforms, one waveform for each of the five available slots per option. By ordering all nine options, you can store a total of 45 Signal Studio waveforms.

Waveform licensing 50-pack consists of ten option numbers (Options 250-259). Each option enables you to license up to 50 Signal Studio waveforms, one waveform for each of the 50 available slots per option. By ordering all ten options, you can store a total of 500 Signal Studio waveforms.

With the latest instrument firmware (see details below), each waveform slot provides a 48-hour trial period to access the full functionality of all N76xxB Arb-based Signal Studio waveform creation software for the purpose of creating and evaluating an unlimited number of Keysight-validated, performance-optimized waveforms.

Getting a Waveform License

Waveform licensing 5-pack and 50-pack are available by contacting Keysight. With each order, you will receive a license:

  • Option 22x—This license allows you to assign 5 waveforms to your signal generator for permanent playback.

  • Option 25x—This license lets you assign 50 waveforms to your signal generator for permanent playback.

When ordering multiple waveform licenses of either 5-pack or 50-pack, be sure to use different option numbers; the same option cannot be licensed to a signal generator more than once. For example, to order two licenses for either license type:

  • 5-pack—order 221 and 222, not two 221 licenses (the option numbers range from 221 to 229)

  • 50-pack—order 250 and 251, not two 250 licenses (the option numbers range from 250 to 259)

Firmware Requirements

Only recent instrument firmware revisions (see below) provide a 48-hour trial period for you to evaluate a waveform prior to permanently locking it to a 5- or 50-pack slot. The trial period begins when you assign a waveform file to a slot. During the trial period you can playback, clear, or replace the waveform in that slot. Earlier firmware revisions do not support a trial period, so once you assign a waveform to a slot, it is permanently locked. To benefit from the trial period, upgrade your firmware to the latest revision.

Instrument | 48-Hour Trial Period | No Trial Period
N5172B EXG | B.01.01 or later (April 2012) | not applicable
N5182B MXG | B.01.01 or later (April 2012) | not applicable
N5182A MXG | A.01.50 or later (February 2009) | A.01.20 (March 2007) to A.01.45 (February 2009)
E4438C ESG | C.05.23 or later (February 2009) | C.04.95 (June 2007) to C.04.98 (January 2009)
E6607 EXT | All firmware versions | N/A
M9381A PXIe VSG | All firmware versions | N/A
E6640A | All firmware versions | N/A

Redeeming a Waveform License

The following steps outline the process for redeeming a license:

  1. Receive the Entitlement Certificate

  2. Go to the Keysight Software License Redemption web page

  3. Receive Redemption Email and Install the License files

Using Waveform Licenses

After you have installed the Keysight waveform license in your instrument, use this procedure.

  • Use the Signal Studio software to configure, generate, and download waveform files to your instrument

  • Evaluate a waveform in your instrument and then lock it to a 5- or 50-pack license slot


Getting the Latest Revision of Help

Keysight frequently updates the Signal Studio online documentation (help system). Your software may not have the latest revision. This topic describes how to access and install the latest revision into your Signal Studio software.

Where to Access the Latest Help

  1. Visit the Signal Studio web page at http://www.keysight.com/find/signalstudio.

  2. At the bottom of the page, click the link for your Signal Studio model.

  3. Under the Technical Support tab, click Manuals. Links to both a downloadable compiled help file (.chm) and a web-viewable help system (webhelp) appear.

  4. Compare the date shown for the .chm file on the web page to the compiled date shown on your software's installed help main menu page.

Installing the Latest Revision of Help in Your Signal Studio Software

If the compiled date of your software's installed help system is earlier than the date shown on the web page, you can update your help file as follows:

  1. Before installing the latest revision of the help file into your software, make sure it still supports the features of your current software revision. You can make this determination by carefully comparing the release notes of your current installed help system with the release notes in the latest help system. If the listed enhancements and bug fixes do not indicate significant feature changes, installing the latest help system is a good choice. Otherwise, you may want to consider downloading the latest version of software instead.

  2. Move the existing installed help file to a safe place on your PC. This ensures you can restore it later if you discover the new help file does not suit your needs. If you installed your Signal Studio software with the default directories, the help file (for example, N7624B.chm) is located in the following directory:

    C:\Program Files (x86)\Keysight\Signal Studio\<application name>

    Some Signal Studio products support both waveform playback (ARB) and real-time application types. In these cases, you have the option of installing both on your PC. The installation process, therefore, creates a separate sub directory for each type: one named Playback and the other Realtime. Identical help files, supporting both applications, reside in each of these directories. Each help file, however, is accessed from its respective application only. Therefore, if you replace the help file in the Playback folder, the help content is updated for the playback software, but the real-time software continues to access the original version. To update both, you have to replace both.

    Be careful not to accidentally replace the API help file (for example, N7624API.chm), if it exists.

  3. Download the latest help file (.chm) for your Signal Studio model from the Keysight website and copy it to the same directory from which you moved the existing help file in the previous step.

  4. Verify that the new help file can be accessed from the software by selecting Contents, Index, or Search from the Help drop-down menu.


GPIBaddress

To view the signal generator's GPIB connection information:

On the MXG or MXG ATE, press Utility > IO Config > GPIB Setup(For the MXG ATE, use the web interface.)

On the ESG or PSG, press Utility > GPIB/RS-232 LAN


IP address

To view the signal generator's IP address:

On the ESG/PSG, press Utility > GPIB/RS-232 LAN > LAN SETUP > IP ADDRESS.

On the MXG and EXG, press Utility > I/O Config > LAN Setup.

For the MXG ATE, use the web interface.


GLONASS Almanac – AGL format

File Name format: ???_< YYYY> <MM> <DD> <HH>. Agl

Here is an example: STN_2010011022.Agl

1) The almanac is an ascii (8 bit characters) text file with lines separated by <CR> or <CR><LF>

2) The Almanac is a series of “entries”

3) Each “entry” represents almanac data for one space vehicle or satellite in the Glonass constellation at a particular time/date.

4) Each “entry” is three lines of the file and has 20 numbers plus an optional comment which could be non-numeric

5) Each line of an “entry” is some numeric values with one or more spaces between values, the first line could optionally have a comment at the end which could be non-numeric

6) Integers may have leading zeros “01” .vs. “1”

7) Non integers are in “E” format: “0.273825937E+05 “ is the number 27382.5937

8) There are no blank lines between “entries”, there are no optional comment lines

9) The file starts with line 1 of the first entry

10) There can be a large number of “entries” in an AGL file with almanac data valid at different times and for different satellites (space vehicles)

Here is an example of an “entry” – there are three lines of the text file.

01 01 2011 1800 COMMENT

1 1 1 01 01 2011 0.273825937E+05 0.000000000E+00 0.000000000E+00 0.179290771E-03

0.5286379E+00 0.9077072E-02 -0.1849365E-01 0.5264282E-03 -0.2655781E+04 -0.1586914E-02

Here are the descriptions of the data on the three lines. Data is separated by one or more spaces.

Line 1

1 – day of Almanac

2 - month of Almanac

3 - year of Almanac

4 - time of receipt of the Almanac from the beginning of the day, UTC

5 – optional comment (with which the receiver is received, SW version etc.)

Line 2

1 - number of spacecraft in the grouping (orbital slot number)

2 - number of frequency channel (-7 .. 6)

3 – SV health indicator (0 -> bad, 1 -> healthy, operational)

4 - day

5 - month

6 - year

7 - the reference time of the almanac

8 – Correction from GLONASS to UTC

9 – Correction to GPS time relative GLONASS

10 - Correction of time relative to GLONASS system time,

Line 3

1 – Lamda - longitude of first ascending node passage, angle in semi-cycles

2 - dI - correction to the mean value of inclination, in semi-cycles

3 - w - argument of perigee, in semi-cycles

4 - E - eccentricity

5 - dT - correction to the mean value of Draconian period, in second

6 - dTT - rate of change of Draconian period, in second / coil


Advanced Real-time Signal Generation

Click GNSS node, and specify Advanced Real-time Signal Generation for Capability cell.

Keysight Signal Studio for GNSS will display the following Toolbar Functions and Parameters.

Toolbar Functions

Pause\Resume

Restart

Reset Channels

Disable/Enable UTC Display

Progress Bar

Parameters

1. Capability Capability | 2. General Simulation Mode Scenario Source Scenario File Location Scenario File Scenario Start Time Offset Satellite Power Control Satellite Power Reference External Attenuation | 3.Scenario Information Title Comment Constellations Visible Satellites Type Initial Longitude Initial Latitude Initial Altitude Start Date Time Duration Version
Constellation Control Table Enabled Relative Power (dB) Absolute Power (dBm) | Multi-tone Interference Table Enabled Frequency Band Frequency Offset Absolute Power (dBm) |

Toolbar Functions

Pause\Resume

Coupling: Visible with the Capability selection of Advanced Real-time Signal Generation and active while playing a scenario.

Click the Closed button to pause/resume the scenario (Navigation mode).

EXG/MXG:

[:SOURce]:RADio:GNSS[:BBG]:SCENario:PAUSe

[:SOURce]:RADio:GNSS[:BBG]:SCENario:RESUme

Restart

Coupling: Visible with the Capability selection of Advanced Real-time Signal Generation and active while playing a scenario.

Click the Closed button to restart the scenario (Navigation mode).

If a Scenario Start Time Offset value is entered, the software restarts the scenario at the entered offset time value. The progress bar also restarts from the offset value.

EXG/MXG:

[:SOURce]:RADio:GNSS[:BBG]:SCENario:RESTart

Reset Channels

Coupling: Visible with the Capability selection of Advanced Real-time Signal Generation.

Click this Closed button to reset the current satellite channel settings in the Satellite Settings tab:

Navigation mode | When the signal is not playing, resets values according to the start record of the current scenario. When the signal is playing, resets Enabled, Relative Power Scale, Pseudorange Error, and Multipath columns to their default values.
Static Test mode | When the signal is not playing, resets values to default settings. After turning on, the software updates the Power (dBm) column with values derived from the power calibration.

Disable/Enable UTC Display

Coupling: Visible with the Capability selection of Advanced Real-time Signal Generation, and active only when the signal is playing in Navigation mode.

Click the Closed button to disable or enable the query from instrument for UTC display.

EXG/MXG:

[:SOURce]:RADio:GNSS[:BBG]:SCENario:UTC?

Progress Bar

Coupling: Visible with the Capability selection of Advanced Real-time Signal Generation.

The Progress Bar shows the UTC time of the scenario playback when using User Scenario Files, shown as follows:

Parameters

1. Capability

Capability

Choice: Advanced Real-time Signal Generation | Basic Single Satellite Waveform\Basic Multi-satellite Waveform

Default: Advanced Real-time Signal Generation

Basic Single Satellite Waveform | Selects a pre-generated single satellite waveform file and downloads it to the instrument for playback.
Basic Multi-Satellite Waveform | Selects a pre-generated multi-satellite waveform file and downloads it to the instrument for playback.
Advanced Real-time Signal Generation | Loads in a scenario file and generates a real-time GNSS signal, or provides continuous real-time scenario generation based on the Scenario Generator node settings. The Scenario Source selection determines whether to use a file or continuous real-time generation.

Select the capability of GNSS signal simulation. Basic mode generates and downloads user defined single satellite waveform or multi-satellite waveform to instrument for playback. Advanced mode plays real-time navigation signal based on user selected scenario file or static signal based on satellite settings.

2. General

Simulation Mode

Choice: Navigation | Static Test

Default: Navigation

Select the simulation mode of GNSS signal.

Navigation | Simulates a real-world GNSS signal that is generated in real-time with navigation data that changes during the simulation to reflect movement of the satellites over time. Within the Satellite Settings tab and while the signal is playing, you can deselect active satellites and change the relative power between satellites.
Static Test | Simulate a static GNSS signal where the satellite channels and settings are initialized by a scenario file, but do not change with time (as if the satellites were frozen in time). Within the Satellite Settings tab, reconfigure the properties for each active satellite initialized by the scenario file, and manually activate and configure the properties for inactive satellites.

EXG/MXG:

[:SOURce]:RADio:GNSS[:BBG]:SIMMode NAVigation|STATic

[:SOURce]:RADio:GNSS[:BBG]:SIMMode?

Scenario Source

Choice: User Scenario File | Scenario Generator Settings

Default: User Scenario File

Coupling: Visible with Navigation as the Simulation Mode.

Select the type of scenario data source for playback.

User Scenario File | An existing scenario file will be used for playback. Use the Scenario File cell to load the existing file.
Scenario Generator Settings | The software continuously generates scenario file data in real-time based on the settings in the Scenario Generator node.

[:SOURce]:RADio:GNSS[:BBG]:SCENario:SOURce <USER | SGEN>

Scenario File Location

Choice: Local | Instrument

Default: Local

Coupling: While Navigation is the Simulation Mode, this property is visible when User Scenario File is the Scenario Source

Select the location of scenario file for playback. Local means browsing files from the local PC and Instrument means browsing files stored on the connected instrument.

Scenario File

Default: C:\<Program Files> or <Program Files (x86)>\Keysight\Signal Studio\Global Navigation Satellite System\Applications\Gnss\Scenarios\20140103_Beijing.ags

Coupling: While Navigation is the Simulation Mode, this property is visible when User Scenario File is the Scenario Source

For Advanced Real-time Signal Generation capability | select a scenario file for playback in Navigation mode or initialize the satellite channels in Static Test mode.
For Basic Multi-satellite Waveform capability | select a scenario file to build the multi-satellite waveform with a particular scenario.

EXG/MXG:

[:SOURce]:RADio:GNSS[:BBG]:SCENario <"file name">

[:SOURce]:RADio:GNSS[:BBG]:SCENario?

Scenario Start Time Offset

Range: 0 - Duration of scenario

Default: 0.0

Coupling: Available with the Navigation selection in the Simulation Mode property and User Scenario as the Scenario Source property selection.

Enter an offset value in seconds with resolution of 0.6 seconds, which indicates the starting position of the scenario playback.

When the Scenario Source selection is Scenario Generator Settings, a change to the offset does not provide an offset, but instead changes the Start Date Time (GPS Time) set in the Scenario Generator tab by the amount of the entered offset.

If the user modifies the Scenario Start Time Offset value and applies the change by clicking the Restart button, the elapsed scenario run-time display may have an error of up to one second. The error, if it occurs, is caused by the different clock rates between the clock for the FPGA/DSP (generates the real-time signal) and the clock for the host CPU that controls the display update. The amount of error depends upon the point in the clock timing where the Restart occurs.

EXG/MXG:

[:SOURce]:RADio:GNSS[:BBG]:SCENario:STIMe:OFFset <val>

[:SOURce]:RADio:GNSS[:BBG]:SCENario:STIMe:OFFset?

Satellite Power Control

Choice: Range Based | Equal Power

Default: Equal Power

Coupling: Available only in Navigation mode.

Select the power control mode for satellites. In Equal Power mode, all satellites will have the same power level. In Range Based mode, power level of each satellite will be calculated based on its pseudorange.

EXG/MXG:

[:SOURce]:RADio:GNSS[:BBG]:SATPower RANGe|EQUal

[:SOURce]:RADio:GNSS[:BBG]:SATPower?

Satellite Power Reference

Range: -144 dBm - 0 dBm.

Default: -130dBm

For Advanced mode | This property sets a reference power level on instrument's front panel. Power levels of all the satellites and interference tones will be relative to this reference level. It's recommended to set this value to the possible highest power level of individual satellite or interference tone across the test.
For Basic modes | This property sets the power of each satellite for Equal Power control; sets the power for the satellite which has the maximum power in the first record of the scenario for Range-Based power control.

[:SOURce]:RADio:GNSS[:BBG]:POWer:REF <ref power>

[:SOURce]:RADio:GNSS[:BBG]:POWer:REF?

External Attenuation

Range: 0 dB to 100 dB

Default: 0 dB

Enter the attenuation value of the external attenuator if connected to the instrument's RF port.

[:SOURce]:RADio:GNSS[:BBG]:EXT:ATTenuate <attenuate>

[:SOURce]:RADio:GNSS[:BBG]:EXT:ATTenuate?

3. Scenario Information

Title

Couplings: This cell is only visible in the Navigation mode and when the Scenario Source is User Scenario File.

This read-only cell displays the title of the current scenario file

EXG/MXG:

[:SOURce]:RADio:GNSS[:BBG]:SCENario:TITLe?

Comment

This read-only cell displays the user's comment for the scenario.

EXG/MXG:

[:SOURce]:RADio:GNSS[:BBG]:SCENario:COMMent?

Constellations

Couplings: This cell is only visible in the Navigation mode and when the Scenario Source is User Scenario File.

This read-only cell displays the constellations included in the scenario.

EXG/MXG:

[:SOURce]:RADio:GNSS[:BBG]:SCENario:CONSt?

Visible Satellites

Couplings: This cell is only visible in the Navigation mode and when the Scenario Source is User Scenario File.

This read-only cell displays the SV IDs in view during scenario playback. The software updates this information every second during playback.

EXG/MXG:

[:SOURce]:RADio:GNSS[:BBG]:SCENario:VSATellites?

Type

Couplings: This cell is only visible in the Navigation mode and when the Scenario Source is User Scenario File.

This read-only cell displays whether the scenario is static or dynamic. For old scenarios that do not contain type info in the header, it will display N/A.

EXG/MXG:

[:SOURce]:RADio:GNSS[:BBG]:SCENario:TYPE?

Initial Longitude

Couplings: This cell is only visible in the Navigation mode and when the Scenario Source is User Scenario File.

This read-only cell displays the initial longitude in degrees of the selected scenario and updates with a change in scenario file.

EXG/MXG:

[:SOURce]:RADio:GNSS[:BBG]:SCENario:LONGitude?

Initial Latitude

Couplings: This cell is only visible in the Navigation mode and when the Scenario Source is User Scenario File.

This read-only cell displays the initial latitude in degrees of the selected scenario and updates with a change in scenario file.

EXG/MXG:

[:SOURce]:RADio:GNSS[:BBG]:SCENario:LATitude?

Initial Altitude

Couplings: This cell is only visible in the Navigation mode and when the Scenario Source is User Scenario File.

This read-only cell displays the initial altitude in meters of the selected scenario and updates with a change in scenario file.

EXG/MXG:

[:SOURce]:RADio:GNSS[:BBG]:SCENario:ALTitude?

Start Date Time

Couplings: This cell is only visible in the Navigation mode and when the Scenario Source is User Scenario File.

This read-only cell displays the simulated date and time of the selected scenario and updates with a change in scenario file.

EXG/MXG:

[:SOURce]:RADio:GNSS[:BBG]:SCENario:STIMe?

Duration

Couplings: This cell is only visible in the Navigation mode and when the Scenario Source is User Scenario File.

This read-only cell displays the duration of the selected scenario in <HH:mm:ss> format and updates with a change in scenario file.

EXG/MXG:

[:SOURce]:RADio:GNSS[:BBG]:SCENario:DURation?

Version

Couplings: This cell is only visible in the Navigation mode and when the Scenario Source is User Scenario File.

This read-only cell displays the version of scenario generator that is used for creating the scenario. The scenario generator is included with the N7609B software advanced capability.

EXG/MXG:

[:SOURce]:RADio:GNSS[:BBG]:SCENario:VERSion?

Constellation Control Table

Enabled

Click Closed Enabled check box to enable or disable satellites of each constellation in currently playing scenario.

EXG/MXG:

[:SOURce]:RADio:GNSS[:BBG]:GPS:ENABle 1|0|ON|OFF

[:SOURce]:RADio:GNSS[:BBG]:GPS:ENABle?

[:SOURce]:RADio:GNSS[:BBG]:GLONass:ENABle 1|0|ON|OFF

[:SOURce]:RADio:GNSS[:BBG]:GLONass:ENABle?

[:SOURce]:RADio:GNSS[:BBG]:GALileo:ENABle on|off

[:SOURce]:RADio:GNSS[:BBG]:GALileo:ENABle?

[:SOURce]:RADio:GNSS[:BBG]:BDS:ENABle on|off

[:SOURce]:RADio:GNSS[:BBG]:BDS:ENABle?

[:SOURce]:RADio:GNSS[:BBG]:SBAS:ENABle on | off

[:SOURce]:RADio:GNSS[:BBG]:SBAS:ENABle?

[:SOURce]:RADio:GNSS[:BBG]:QZSS:ENABle on | off

[:SOURce]:RADio:GNSS[:BBG]:QZSS:ENABle?

Relative Power (dB)

Range: -60 dB to 0 dB

Default: 0 dB

Enter a power offset of the selected constellation.

For Equal Power mode | The Relative Power value is relative to Satellite Power Reference
For Range Based mode | The Relative Power value is relative to the original power level in the scenario.

The above will be applied to all satellite signals belonging to that constellation.

EXG/MXG:

[:SOURce]:RADio:GNSS[:BBG]:GPS:RPOWer <power>

[:SOURce]:RADio:GNSS[:BBG]:GPS:RPOWer?

[:SOURce]:RADio:GNSS[:BBG]:GLONass:RPOWer <power>

[:SOURce]:RADio:GNSS[:BBG]:GLONass:RPOWer?

[:SOURce]:RADio:GNSS[:BBG]:GALileo:RPOWer <power>

[:SOURce]:RADio:GNSS[:BBG]:GALileo:RPOWer?

[:SOURce]:RADio:GNSS[:BBG]:BDS:RPOWer <power>

[:SOURce]:RADio:GNSS[:BBG]:BDS:RPOWer?

[:SOURce]:RADio:GNSS[:BBG]:SBAS:RPOWer <power>

[:SOURce]:RADio:GNSS[:BBG]:SBAS:RPOWer?

[:SOURce]:RADio:GNSS[:BBG]:QZSS:RPOWer <power>

[:SOURce]:RADio:GNSS[:BBG]:QZSS:RPOWer?

Absolute Power (dBm)

Range: -160dBm to 0dBm

Default: -130dBm

Enter the absolute power level of the selected constellation in dBm. This will be applied to all satellite signals belonging to that constellation. Dynamic range of this power level should be within [-60dB - 0dB] range of Satellite Power Reference.

[:SOURce]:RADio:GNSS[:BBG]:GLONass:APOWer <power>

[:SOURce]:RADio:GNSS[:BBG]:GLONass:APOWer?

[:SOURce]:RADio:GNSS[:BBG]:GPS:APOWer <power>

[:SOURce]:RADio:GNSS[:BBG]:GPS:APOWer?

[:SOURce]:RADio:GNSS[:BBG]:GALileo:APOWer <power>

[:SOURce]:RADio:GNSS[:BBG]:GALileo:APOWer?

[:SOURce]:RADio:GNSS[:BBG]:BDS:APOWer <power>

[:SOURce]:RADio:GNSS[:BBG]:BDS:APOWer?

[:SOURce]:RADio:GNSS[:BBG]:SBAS:APOWer <power>

[:SOURce]:RADio:GNSS[:BBG]:SBAS:APOWer?

[:SOURce]:RADio:GNSS[:BBG]:QZSS:APOWer <power>

[:SOURce]:RADio:GNSS[:BBG]:QZSS:APOWer?

Multi-tone Interference Table

Enabled

Choices: On | Off

Default: Off

Click Closed Enabled check box to enable or disable an interference tone.

[:SOURce]:RADio:GNSS[:BBG]:MTONe[n]:ENABle <on| off>

[:SOURce]:RADio:GNSS[:BBG]:MTONe[n]:ENABle?

Frequency Band

Choices: GPS L1 | GLONASS L1 | Beidou B1

Default: GPS L1

Select the frequency band where the interference tone is located.

[:SOURce]:RADio:GNSS[:BBG]:MTONe[n]:BAND GPS | GLONass | BDS

[:SOURce]:RADio:GNSS[:BBG]:MTONe[n]:BAND?

Frequency Offset

Range: -8MHz to 8MHz for GPS L1, -4.5MHz - 4.5MHz for GLONASS L1, -4MHz - 4MHz for Beidou B1

Default: 0Hz

Enter the frequency offset of the interference tone, relative to the center of the frequency band - GPS L1 at 1.57542GHz, GLONASS L1 at 1.602GHz and Beidou B1 at 1.561098GHz.

[:SOURce]:RADio:GNSS[:BBG]:MTONe[n]:FREQ <frequency offset>

[:SOURce]:RADio:GNSS[:BBG]:MTONe[n]:FREQ?

Absolute Power (dBm)

Range: -160dBm - 0dBm

Default: -130dBm

Enter the absolute power level of the interference tone in dBm. Set the power level within [-60dB - 0dB] range of Satellite Power Reference.

[:SOURce]:RADio:GNSS[:BBG]:MTONe[n]:APOWer <power>

[:SOURce]:RADio:GNSS[:BBG]:MTONe[n]:APOWer?


Basic Multi-Satellite Waveform

Click GNSS node, and specify Basic Multi-Satellite Waveform for Capability cell.

Keysight Signal Studio for GNSS will display the following Toolbar Functions and Parameters.

Toolbar Functions

Generate

Download

Parameters

1. Capability

Capability

2. General

Waveform Name

Scenario File

Scenario Start Time Offset

Constellation

Satellite Power Control

Satellite Power

External Attenuation

Sample Rate

Waveform Length

Total Sample Points

3. Marker Settings

Marker1 Source

Marker2 Source

Marker4 Source

4. Scenario Information

Title

Comment

Constellations

Visible Satellites

Type

Initial Longitude

Initial Latitude

Initial Altitude

Start Date Time

Duration

Version

Toolbar Functions

Generate

Coupling: Visible with the Capability selection of Basic Single Satellite Waveform and Basic Multi-Satellite Waveform.

Click the Closed Generate icon to generate a waveform based on the Constellation and SV ID properties (SV ID does not apply to GLONASS). Alternatively click Control -> Generate to generate the waveform.

Download

Coupling: Visible with the Capability selection of Basic Single Satellite Waveform.

Click the Closed download icon to download a pre-generated waveform based on the Constellation and SV ID properties (SV ID does not apply to GLONASS). Alternatively click Control and then Download to download the waveform.

Parameters

1. Capability

Capability

Choice: Advanced Real-time Signal Generation | Basic Single Satellite Waveform\Basic Multi-satellite Waveform

Default: Advanced Real-time Signal Generation

Basic Single Satellite Waveform | Selects a pre-generated single satellite waveform file and downloads it to the instrument for playback.
Basic Multi-Satellite Waveform | Selects a pre-generated multi-satellite waveform file and downloads it to the instrument for playback.
Advanced Real-time Signal Generation | Loads in a scenario file and generates a real-time GNSS signal, or provides continuous real-time scenario generation based on the Scenario Generator node settings. The Scenario Source selection determines whether to use a file or continuous real-time generation.

Select the capability of GNSS signal simulation. Basic mode generates and downloads user defined single satellite waveform or multi-satellite waveform to instrument for playback. Advanced mode plays real-time navigation signal based on user selected scenario file or static signal based on satellite settings.

2. General

Waveform Name

Enter an alpha-numeric waveform file name. The maximum name length is 23 characters.

Scenario File

Default: C:\<Program Files> or <Program Files (x86)>\Keysight\Signal Studio\Global Navigation Satellite System\Applications\Gnss\Scenarios\20130103_Beijing.ags

Coupling: While Navigation is the Simulation Mode, this property is visible when User Scenario File is the Scenario Source

For Advanced Real-time Signal Generation capability | select a scenario file for playback in Navigation mode or initialize the satellite channels in Static Test mode.
For Basic Multi-satellite Waveform capability | select a scenario file to build the multi-satellite waveform with a particular scenario.

Scenario Start Time Offset

Range: 0 to Scenario Duration

Default: 0.0

Enter an offset value in seconds with resolution of 0.6s, which indicates the starting position of scenario playback.

Constellation

Choice: depends on the selected scenario file

Default: GPS

Coupling: Available with Basic Single Satellite Waveform or Basic Multi-Satellite Waveform as the Capability property selection.

Select the constellation of the satellite signal to be simulated.

Satellite Power Control

Choice: Range Based | Equal Power

Default: Equal Power

Select the power control mode for satellites. In Equal Power mode, all satellites will have the same power level. In Range Based mode, power level of each satellite will be calculated based on its pseudorange.

Satellite Power

Range: -144 dBm to 0 dBm

Default: -130 dBm

For Advanced mode | This property sets a reference power level on instrument's front panel. Power levels of all the satellites and interference tones will be relative to this reference level. It's recommended to set this value to the possible highest power level of individual satellite or interference tone across the test.
For Basic modes | This property sets the power of each satellite for equal power control; sets the power for the satellite which has the maximum power in the first record of the scenario for range-based power control.

For basic modes, the Amplitude setting in the Instrument node is coupled with this parameter automatically. However, when directly connected to an M9381A configuration, due to hardware limitations, there will be +20 dB power offset in the instrument in cases where a large number of satellites are employed. To check the power offset, send the SCPI query POWER:OFFSET?.

External Attenuation

Range: 0 dB to 100 dB

Default: 0 dB

Enter the attenuation value of the external attenuator if connected to the instrument's RF port.

Sample Rate

Range: 0 to 50 MHz

Default: 4 MHz

Enter the sample rate for the single and multi-satellite waveform.

Waveform Length

Range: 0.001 to 1000 s

Default: 6s for single satellite waveform, 60s for multi-satellite waveform

Enter the waveform length in second.

Total Sample Points

Display the total sample points of the waveform.

3. Marker Settings

Marker1 Source

Choice: Start | Pulse per second | Pulse per millisecond

Default: Start

Set the marker1 source for single and multi-satellite waveform.

Marker2 Source

Choice: Start | Pulse per second | Pulse per millisecond

Default: Pulse per second

Set the marker2 source for single and multi-satellite waveform.

Marker4 Source

Choice: Start | Pulse per second | Pulse per millisecond

Default: Pulse per millisecond

Set the marker4 source for single and multi-satellite waveform.

4. Scenario Information

Title

This read-only cell displays the title of the current scenario file.

Comment

This read-only cell displays the user's comment for the scenario.

Constellations

This read-only cell displays the constellations included in the scenario.

Visible Satellites

This read-only cell displays the SV IDs in view during scenario playback.

Type

This read-only cell displays whether the scenario is static or dynamic. For old scenarios that do not contain type info in the header, it will display N/A.

Initial Longitude

This read-only cell displays the initial longitude in degrees of the selected scenario and updates with a change in scenario file.

Initial Latitude

This read-only cell displays the initial latitude in degrees of the selected scenario and updates with a change in scenario file.

Initial Altitude

This read-only cell displays the initial altitude in meters of the selected scenario and updates with a change in scenario file.

Start Date Time

This read-only cell displays the simulated date and time of the selected scenario and updates with a change in scenario file.

Duration

This read-only cell displays the duration of the selected scenario in <HH:mm:ss> format and updates with a change in scenario file.

Version

This read-only cell displays the version of scenario generator that is used for creating the scenario. The scenario generator is included with the N7609B software advanced capability.


Basic Single Satellite Waveform

Click GNSS node, and specify Basic Single Satellite Waveform for Capability cell.

Keysight Signal Studio for GNSS will display the following Toolbar Functions and Parameters.

Toolbar Functions

Generate

Download

Parameters

1. Capability

Capability

2. General

Waveform Name

Constellation

SV ID

Frequency Channel

Dynamic Pattern

Dynamic Pattern Type

Initial Relative Range

Initial Relative Velocity

Initial Relative Acceleration

Number of Cycles

Navigation Message

Satellite Power

External Attenuation

Sample Rate

Waveform Length

Total Sample Points

3. Marker Settings

Marker1 Source

Marker2 Source

Marker4 Source

Toolbar Functions

Generate

Coupling: Visible with the Capability selection of Basic Single Satellite Waveform and Basic Multi-Satellite Waveform.

Click the Closed Generate icon to generate a waveform based on the Constellation and SV ID properties (SV ID does not apply to GLONASS). Alternatively click Control -> Generate to generate the waveform.

Download

Coupling: Visible with the Capability selection of Basic Single Satellite Waveform and Basic Multi-Satellite Waveform.

Click the Closed download icon to download a pre-generated waveform based on the Constellation and SV ID properties (SV ID does not apply to GLONASS). Alternatively click Control and then Download to download the waveform.

Parameters

1. Capability

Capability

Choice: Advanced Real-time Signal Generation | Basic Single Satellite Waveform\Basic Multi-satellite Waveform

Default: Advanced Real-time Signal Generation

Basic Single Satellite Waveform | Selects a pre-generated single satellite waveform file and downloads it to the instrument for playback.
Basic Multi-Satellite Waveform | Selects a pre-generated multi-satellite waveform file and downloads it to the instrument for playback.
Advanced Real-time Signal Generation | Loads in a scenario file and generates a real-time GNSS signal, or provides continuous real-time scenario generation based on the Scenario Generator node settings. The Scenario Source selection determines whether to use a file or continuous real-time generation.

Select the capability of GNSS signal simulation. Basic mode generates and downloads user defined single satellite waveform or multi-satellite waveform to instrument for playback. Advanced mode plays real-time navigation signal based on user selected scenario file or static signal based on satellite settings.

2. General

Waveform Name

Enter an alpha-numeric waveform file name. The maximum name length is 23 characters.

Constellation

Choice: GPS | GLONASS | Galileo | Beidou | SBAS | QZSS

Default: GPS

Coupling: Available with Basic Single Satellite Waveform as the Capability property selection.

Select the constellation for the basic single satellite waveform.

SV ID

Range: 1 to 32 for GPS, 1 to 50 for Galileo, 1 to 37 for Beidou, 120 to 138 for SBAS, 193 to 197 for QZSS

Default: 1

Coupling: Available with Basic Single Satellite Waveform as the Capability property selection and the Constellation choice being a selection other than GLONASS.

Select the SV ID for the single satellite ARB waveform in the specified constellation. This is not applicable for the GLONASS constellation. When switching between constellations, SV ID is clipped to the limit.

Frequency Channel

Range: –7 to 6

Default: 0

Coupling: Available with Basic Single Satellite Waveform as the Capability property selection and GLONASS as the constellation choice..

Select the frequency channel to transmit the GLONASS signal. This is only applicable to the GLONASS constellation. Changing frequency channel changes the Frequency under the Instrument node.

Dynamic Pattern

Click '+' on the left to expand dynamic parameters.

Set the relative dynamic pattern between the satellite and the receiver.

Dynamic Pattern Type

Choice: Static| Constant Velocity| Constant Acceleration |Sinusoidal

Default: Static

Select the dynamic pattern for single satellite waveform.

With the Capability selection of Basic Single Satellite Waveform, four types of dynamic pattern are provided to simulate the relative range between the satellite and the receiver- Static, Constant Velocity, Constant Acceleration and Sinusoidal.

Initial Relative Range

Range: 0 to 40000 km

Default: 0 m

Enter the initial relative range between the satellite and the receiver.

Initial Relative Velocity

Range: -20000 to 20000 m/s

Default: 100 m/s

Enter the initial relative velocity between the satellite and the receiver.

Initial Relative Acceleration

Range: -500 to 500 m/s2

Default: 10 m/s2

Enter the initial relative acceleration between the satellite and the receiver.

Number of Cycles

Range: 1 to 50

Default: 1

Enter the number of sinusoidal cycles in the waveform for sinusoidal dynamic pattern.

Navigation Message

To configure the navigation message, click '...' on the right side to prompt the Closed Data Setup dialog box

Satellite Power

Range: -144 dBm to 0 dBm

Default: -130 dBm

For Advanced mode | This property sets a reference power level on instrument's front panel. Power levels of all the satellites and interference tones will be relative to this reference level. It's recommended to set this value to the possible highest power level of individual satellite or interference tone across the test.
For Basic modes | This property sets the power of each satellite for equal power control; sets the power for the satellite which has the maximum power in the first record of the scenario for range-based power control.

External Attenuation

Range: 0 dB to 100 dB

Default: 0 dB

Enter the attenuation value of the external attenuator if connected to the instrument's RF port.Then the external attenuation will be compensated, which means the amplitude of the instrument output will be set to the sum of Satellite Power and external attenuation.

Sample Rate

Range: 0 to 50 MHz

Default: 4 MHz

Enter the sample rate for the single and multi-satellite waveform.

Waveform Length

Range: 0.001 to 1000 s

Default: 6s

Enter the waveform length in second.

Total Sample Points

Display the total sample points of the waveform.

3. Marker Settings

Marker1 Source

Choice: Start | Pulse per second | Pulse per millisecond

Default: Start

Set the marker1 source for single and multi-satellite waveform.

Marker2 Source

Choice: Start | Pulse per second | Pulse per millisecond

Default: Pulse per second

Set the marker2 source for single and multi-satellite waveform.

Marker4 Source

Choice: Start | Pulse per second | Pulse per millisecond

Default: Pulse per millisecond

Set the marker4 source for single and multi-satellite waveform.


KML to NMEA Converter

Closed Image

Click this button to select the kml file you’ve saved.

Click this button to save as a *.nmea file and close the KML to NMEA Converter.

The information bar on the right provides status information .

Start Time (hh:mm:ss)

This is the start time stamp written into converted NMEA GGA file.

Max Velocity (km/h)

This is the maximum velocity of the moving receiver in a straight line segment.

Min velocity (km/h)

This is the minimum velocity to simulate the vehicle turning in the real world, as velocity will be decreased from maximum value to the min value before it enters a turning.

Acceleration (km/h/s)

This is the acceleration of the moving receiver from its min velocity to max velocity.

Smooth Turn Mask (degree)

This is the Smooth Turn Mask (degree) to simulate the vehicle turning in the real world, as sharp turning angle between two line segments that is larger than the mask will be smoothed to an arc.

Closed Example

The following Closed image illustrates the velocity change at turning and the effect of smooth turning. Velocity will be decreased to minimum value right before it enters the turning and increased to maximum value after it exits the turning, with the specified acceleration. On a straight line, it will keep max velocity after it reaches. The blue line is the original path created in Google Earth and the red line is the NMEA trajectory after turning smooth. With the smooth function, the trajectory can better reflect the vehicle turning case in real world.

Turn Radius (m)

Indicating the radius of the smoothed turning.

Sampling Rate (Hz)

Indicating the sampling rate of the converted NMEA GGA file.


Leap Seconds Editor

Closed image

Leap Seconds

Edit leap seconds in year/month/day/hours/minutes/seconds format. If two or more leap-second values are identical, only one will remain after you click OK. This is true even if you apply different signs to identical leap-second values.

Sign

Use the drop down menu to select plus or minus.

Add

Adds a leap second row to the bottom of the table.

Remove

Removes the selected leap second row.

Default

Restores the entire table to its default state of 16 different preset leap-second values.


Multipath Profile Configuration

To set the taps using a SCPI command, refer to the command under the Multipath description.

Closed image

Click this button and add a new multipath tap.

Click this button and remove the selected multipath tap.

Tap

Indicating the tap index.

Enabled

Click the check box to enable or disable a specific tap.

Delay Offset (chip)

Range: 0 – 100 chips

Default: 1

Enter the delay offset of the tap to the line-of-sight signal.

The unit chip refers to the chip width of the system:

  • 1.023Mcps for GPS and Galileo
  • 511kcps for GLONASS
  • 2.046Mcps for Beidou

Power Offset (dB)

Range: -40 dB to 0 dB

Default: -10 dB

Enter the power offset of the tap to the line-of-sight signal.

Doppler Shift (Hz)

Range: -125 kHz to 125 kHz

Default: 5 Hz

Enter the Doppler shift of the tap to the line-of-sight signal.


SBAS message configuration

In the Settings Browser, select Scenario Generator. Click the SBAS message cell, and use the dialog box button [image] to launch the Closed SBAS message configuration dialog box.

The following table lists all the supported SBAS Message Types and their contents.

To configure each message type, refer to the "How to Configure" column. For Message Type 9 and Message Type 17, refer to SBAS Ephemeris File (Optional) and SBAS Almanac File.

SBAS Message Type | Contents | How to configure
MT 1 | PRN Mask assignments, set up to 51 of 210 bits | Refer to MT 1
MT 2 to 5 | Fast corrections | Refer to MT 2 to 5
MT 7 | Fast Correction Degradation factor | Refer to MT 7
MT 9 | 9 GEO navigation message (X, Y, Z, time, etc.) | SBAS Ephemeris File (Optional)
MT 12 | WAAS Network Time/UTC offset parameters | Refer to MT 12
MT 17 | GEO almanacs message | SBAS Almanac File
MT 18 | Lonospheric grid point masks | Refer to MT 18
MT 25 | Long term satellite error corrections | Refer to MT 25
MT 26 | Ionospheric delay corrections | Refer to MT 26

MT 1

To configure Closed message type 1, click MT 1 node.

Coupling: Message type 1 (PRN Mask) indicates which PRNs are included in some other types. Therefore,when type 1 mask gets changed, each enabled satellite in the mask will have a corresponding row under MT 2 to 5, MT 7 and MT 25.

IODP

Choice: 0 to 3

Default: 0

2-bit issue of data PRN (IODP) to indicate the mask’s applicability to the corrections and accuracies contained in messages to which the mask applies.

Mask

The PRN mask is consisted of 210 ordered slots.Each slot indicates if data is provided for the corresponding satellite, defined in the following Table.

PRN | Assignment
1-37 | GPS/GPS Reserved
38-61 | GLONASS
62-119 | Future GNSS
120-138 | SBAS
139-210 | Future GEO

N7609B provides easy-to-configure buttons with the index from 1 to 210, representing each PRN Slot. Enable a particular satellite in the PRN mask by highlighting the corresponding button in green.

SBAS | PRN
WAAS | 133,135,138
EGNOS | 120,124,126
MSAS | 129,137
GAGAN | 127,128
Reserved | 121,122, 123,125,130,131,132,134,136

Couplings:

MT 2 to 5

To configure Closed message type 2 to 5, click MT 2 to 5 node.

IODP

Choice: 0 to 3

Default: 0

2-bit issue of data PRN (IODP) to indicate the mask’s applicability to the corrections and accuracies contained in messages to which the mask applies.

IODF

Issue of data for fast correction.

FC(m)

Fast correction

[-255.875 ~ 255.875]. Fast correction in meters to be applied to measured pseudorange.

UDREI

[0 ~ 15] Indicator of User range error

MT 7

To configure Closed message type 7, click MT 7 node .

IODP

Choice: 0 to 3

Default: 0

2-bit issue of data PRN (IODP) to indicate the mask’s applicability to the corrections and accuracies contained in messages to which the mask applies.

System Latency

Choice: 0 to 15

Default: 0

System latency time.

ai

Choice: 0 to 15

Default: 0

Indicates degradation factor.

MT 12

To configure Closed message type 12, click MT 12 node.

Coupling: Click message type 12 to update delta_t_LS, WN_LSF, DN, delta_t_LSF according to the user leap seconds list. WNt and tot are updated to the nearest valid values of Start Date Time.

A1_SNT

[-7.45e-9 ~ 7.45e-9]

rate of time change between SNT and UTC

A0_SNT

[-1 ~ 1]

Time gap between SNT and UTC.

tot

[0 ~ 602112]

Time of applicability.

WNt

[0 ~ 255]

Week number of applicability.

Delat_t_LS

[-127 ~ 127]

Current leap seconds, read-only.

WN_LSF

[0 ~ 255]

Week number for future leap second, read-only

DN [1 ~ 7]

Day number for future leap second, read-only

Delta_t_LSF

[-127 ~ 127]

Future leap seconds, read-only.

UTC STD ID

[0 ~ 3]

UTC standard identifiers.

MT 18

To configure Closed message type 18, click MT 18 node.

Coupling:Message type 18 (IGP Mask) indicates which IGPs are included in MT 26 (ionosphere correction). Therefore, when type 18 mask changes, block list under Type 26 will be rebuilt based on the new mask.

Band Number

[0 ~ 8]

Band number of IGP, defined in WAAS spec 4.4.9.

IGP Mask

Enable one or more IGPs in the IGP mask by highlighting the corresponding button in green.

IODI

Issue of data for IGP mask.

MT 25

To configure Closed message type 25, click MT 25 node .

Coupling: d_x_rate, d_y_rate, d_z_rate and d_af1 are only visible when Velocity Code is 1.

Velocity Code

[ 0 | 1]

Velocity code indicates whether or not this half-message includes clock drift and velocity component error estimates.

PRN Mask No.

[0 ~ 51]

Sequence number of the bits set in the 210 bit mask.PRN Mask assignments is set up to 51 of 210 bits.

PRN

Display the PRN of the satellite.

IOD

[0 ~ 255]

Issue of ephemeris data for GPS

d_x, d_y, d_z

[-128 ~ 128]

Delta to calculated location in {x, y, z} axis

d_x_rate, d_y_rate, d_z_rate

[-0.625 ~ 0.625]

Rate of delta to calculated location in {x, y, z} axis

d_af0

[-2^21 ~ 2^21]

Delta of time gap to SNT

d_af1

[-2^32 ~ 2^32]

Rate of delta of time gap to SNT

IODP

[0 ~ 3]

Issue of data for PRN mask.

MT 26

To configure Closed message type 26, click MT 26 node .

Coupling:Message type 18 (IGP Mask) indicates which IGPs are included in MT 26 (ionosphere correction). Therefore, when type 18 mask changes, block list under Type 26 will be rebuilt based on the new mask.

Band Number

[0 ~ 8]

Band number of IGP, defined in WAAS spec 4.4.9.

Block ID

[0 ~ 13]

Block ID in the specified IGP band.

IODI Issue of data for IGP mask

Vertical Delay Estimation

[0 ~ 63.875]

The estimation of vertical delay for a specified IGP.

GIVEI

[0 ~ 15]

Grid Ionospheric Vertical Error Indicator.


Scenario Generator1

Scenario Generator

This section provides descriptions for parameters and graphical features found in the N7609B user interface.

Scenario Generator | describes the setting used to create or edit a scenario
Scenario Graphics | provides information on the use of this node
Antenna Pattern | describes how to use this feature